mui.init();

var vm = new Vue({
	el: '#wrap',
	data: {
		list: [],
		length: '',
		itemId: '',
		checkNum: 0,
		need_integral: '', //兑换所需积分
		stamp_amt: '', //券面额
		give_max_date: '', //有效期至
		give_ap_year: '', //券有效年数
		give_ap_mouth: '', //券有效月数
		give_ap_day: '', //券有效天数
		give_memo: '' //券使用说明
	},
	created:function(){
		this.listFn();
	},
	mounted: function() {
		
	},
	methods: {
		listFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.list = data.list;
					that.length = that.list.length;
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast('删除成功');
						that.listFn();
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {

						that.need_integral = data.Body.item.need_integral;
						that.stamp_amt = data.Body.item.stamp_amt;
						that.give_max_date = data.Body.item.give_max_date;
						that.give_ap_year = data.Body.item.give_ap_year;
						that.give_ap_mouth = data.Body.item.give_ap_mouth;
						that.give_ap_day = data.Body.item.give_ap_day;
						that.give_memo = data.Body.item.give_memo;

						mui('#middlePopover').popover('show');
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		}
	},
	watch: {

	}
})

//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked;

	mui.each(mui('.oneCheck'), function(index, item) {
		item.checked = isChecked;
	})
})
//添加
mui('#btns').on('tap', '#add', function() {
	mui.openWindow({
		url: 'addIntExchange.html',
		id: "addIntExchange",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	mui.openWindow({
		url: 'addIntExchange.html?itemno=' + this.getAttribute('itemno'),
		id: "addIntExchange",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//删除
mui('#wrap').on('tap', '.delete', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的兑券设置吗', ' ', ['取消', '确认'], function(e) {
		if(e.index == 1) {
			vm.itemId = id;
			vm.delectFn();
		}
	},'div')
})

//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if(item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if(vm.itemId == '') {
		mui.alert('请选择要删除的兑券设置', ' ',function(){},'div');
	} else {
		mui.confirm('确认删除选中的兑券设置吗', ' ', ['取消', '确认'], function(e) {
			if(e.index == 1) {
				vm.delectFn();
			}
		},'div')
	}

})

//单个选中
mui('body').on('change', '.oneCheck', function() {
	if(this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if(vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})

//查看详情
mui('#wrap').on('tap', '.detail', function() {
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
})

mui('#wrap').on('tap', '.close', function() {
	mui('#middlePopover').popover('hide');
})