mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: getList
		}
	}
});

var page = 1;

function getList() {
	mui.ajax('http://dc.10le.cn/vip/integral_item_api.aspx?page=' + page, {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if (page > data.PageCount) {
				vm.list = vm.list;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.list = vm.list.concat(data.list);
				vm.length = vm.list.length;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}
			page++;
		}
	});
}

var vm = new Vue({
	el: '#wrap',
	data: {
		list: [],
		allGood: [],
		allGoodObj: [],
		flag: '',
		checkNum: 0,
		length: '',
		itemId: '',
		item_no: '', //选择商品
		need_integral: '', //兑换所需积分
		give_memo: '' //备注
	},
	created:function(){
		this.allGoodsList();
	},
	mounted: function() {
		
	},
	methods: {
		allGoodsList: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.allGood = data.list;
					mui.each(that.allGood, function(index, item) {
						that.allGoodObj[index] = {
							value: item.basic.ID,
							text: item.basic.item_name
						}
					})
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.allGoodsList();
					}
				}
			});
		},
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/integral_item_api.aspx?cmd=02&item_no=' + that.item_no + '&need_integral=' + that
				.need_integral + '&give_memo=' + that.give_memo, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							page = 1;
							that.list = [];
							mui.toast(data.Body);
							getList();
							mui('#pullrefresh').pullRefresh().refresh(true);
							mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
							mui('.middlePopover1').popover('hide');
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addFn();
						}
					}
				});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/integral_item_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						page = 1;
						that.list = [];
						mui.toast(data.Body);
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/integral_item_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.need_integral = data.Body.item.need_integral;
						that.give_memo = data.Body.item.give_memo;
						that.item_no = data.Body.item.item_no;
						mui.each(that.allGood, function(index, item) {
							if (that.item_no == item.basic.ID) {
								mui('.good')[0].value = item.basic.item_name;
							}
						})
						mui('.middlePopover1').popover('show');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/integral_item_api.aspx?cmd=03&item_no=' + that.item_no + '&need_integral=' + that
				.need_integral + '&give_memo=' + that.give_memo + '&itemId=' + that.itemId, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							page = 1;
							that.list = [];

							getList();
							mui.toast(data.Body);
							mui('#pullrefresh').pullRefresh().refresh(true);
							mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
							mui('.middlePopover1').popover('hide');
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateFn();
						}
					}
				});
		}
	},
	watch: {
		flag: function() {
			if (this.flag == 'add') {
				mui('body').on('tap', '.good', selGood);
			} else {
				mui('body').off('tap', '.good', selGood);
			}
			if (this.flag == 'detail') {
				mui('.cancel1')[0].style.display = 'none';
				mui('.ok1')[0].style.display = 'none';
				mui('.close')[0].style.display = 'inline-block';
			} else {
				mui('.cancel1')[0].style.display = 'inline-block';
				mui('.ok1')[0].style.display = 'inline-block';
				mui('.close')[0].style.display = 'none';
			}
		}
	}
})

//添加
mui('#btns').on('tap', '#add', function() {
	mui('.good')[0].value = '';
	vm.item_no = '';
	vm.need_integral = '';
	vm.give_memo = '';
	vm.flag = 'add';
	mui('.middlePopover1').popover('show');
})
//全选
mui('body').on('change', '#all', function() {
	var isChecked = this.checked;
	mui.each(mui('.oneCheck'), function(index, item) {
		item.checked = isChecked;
	})
})

//选择商品


function selGood() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.allGoodObj);
	picker.show(function(selectItems) {
		vm.item_no = selectItems[0].value;
		mui('.good')[0].value = selectItems[0].text;
	})
}

mui('#wrap').on('tap', '.ok1', function() {
	if (vm.item_no == '') {
		mui.alert('请选择商品', ' ', function() {}, 'div');
		return;
	} else if (vm.need_integral == '' || vm.need_integral < 0 || vm.need_integral == 0) {
		mui.alert('请输入正确的所需积分', ' ', function() {}, 'div');
		return;
	}

	if (vm.flag == 'add') {
		vm.addFn();
	} else if (vm.flag == 'edit') {
		vm.updateFn();
	}
})

//删除
mui('#wrap').on('tap', '.delete', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.itemId = id;
			vm.delectFn();
		}
	}, 'div')
})

mui('body').on('change', '.oneCheck', function() {
	if (this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if (vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})

mui('#wrap').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if (item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if (vm.itemId == '') {
		mui.alert('请选择要删除的积分商品', ' ', function() {}, 'div');
	} else {
		mui.confirm('确认删除选中的积分商品吗', ' ', ['取消', '确认'], function(e) {
			if (e.index == 1) {
				vm.delectFn();
			}
		}, 'div')
	}
})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	vm.flag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
})

//查看详情
mui('#wrap').on('tap', '.detail', function() {
	vm.flag = 'detail';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
})

mui('#wrap').on('tap', '.close', function() {
	mui('.middlePopover1').popover('hide');
})

mui('#wrap').on('tap', '.cancel1', function() {
	mui('.middlePopover1').popover('hide');
})
