mui.init({
	gestureConfig: {
		longtap: true,
		pinch: true,
		doubletap: true
	}
});


var vm = new Vue({
	el: "#wrap",
	data: {
		key: '',
		//图片预览
		imgArr: [],

		itemId: '', //编辑菜品id
		flag: '', //菜品还是套餐
		danweiObj: [], //单位
		itemClassObj: [], //所属分类
		itemStateObj: [{
			value: '01',
			text: '普通'
		}, {
			value: '02',
			text: '特价'
		}, {
			value: '03',
			text: '推荐'
		}, {
			value: '05',
			text: '特色'
		}, {
			value: '10',
			text: '新品'
		}, {
			value: '11',
			text: '热销'
		}, {
			value: '12',
			text: '临时菜'
		}],

		item_no: '', //商品编号
		item_classid: '', //所属分类
		item_name: '', //名称
		item_sale_price: '', //堂食价格
		item_in_price: '', //成本价
		item_vip_price: '', //会员价格
		item_out_price: '', //外卖价格
		item_unit_no: '份', //单位
		display_flag: '', //商品状态
		item_state: '', //出品时态
		py_code: '', //拼音简码
		item_memo: '', //备注

		item_img: '',

		flag1: 0,
		flag2: 0,
		flag3: 0,

		goodsListObj: [], //所有菜品
		waresList: [], //商品

		//套餐下的菜品
		packname: [],
		packid: [], //数据id
		packItemid: [], //菜品id
		packnum: [],
		packmemo: [],

		//配菜下的菜品
		pItemid: [], //商品id
		pName: [], //名称
		pNum: [], //数量
		pFlagid: '', //正在选择的商品

		flagid: '',
		flagItemid: '',
		flagname: '',
		flagnum: 1,
		flagmemo: '',

		packFlag: 0,
		packindex: '',

		delectImgId: [], //多个图片删除的id
		moreFile: []
	},
	mounted: function() {
		var search = location.search.split('?')[1];
		this.key = search.split('=')[0];
		var value = search.split('=')[1];

		this.danweiFn();
		this.itemClassFn();
		this.allgoodFn();
		this.waresFn();

		if (this.key == 'itemId') {
			this.itemId = value;
			this.searchFn();
		} else if (this.key == 'flag') {
			this.display_flag = '0';
			mui('.displayFlag')[0].value = '可用';
			this.item_state = this.itemStateObj[0].value;
			mui('.itemstate')[0].value = this.itemStateObj[0].text;
			this.flag = value;
			if (this.flag == 2) {
				mui('.mui-title')[0].innerText = '添加菜品';
			} else if (this.flag == 6) {

				mui('.mui-title')[0].innerText = '添加套餐';
			} else if (this.flag == 1) {
				mui('.mui-title')[0].innerText = '添加商品';
			}
			this.itemNoFn();
		}

	},
	methods: {
		itemNoFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=1N', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.item_no = data.Body;
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.itemNoFn();
					}
				}
			});
		},
		allgoodFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/ClassItem?classdata=', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					var len = data.Body.list.length;
					for (var i = 0; i < len; i++) {
						that.goodsListObj[i] = {
							value: data.Body.list[i].pid,
							text: data.Body.list[i].item_name
						}
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.allgoodFn();
					}
				}
			});
		},
		//商品列表
		waresFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=00&item_flag=1', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.list, function(index, item) {
						that.waresList[index] = {
							value: item.basic.ID,
							text: item.basic.item_name
						}
					})
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.waresFn();
					}
				}
			});
		},
		//查询
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					for (var a in data.Body.item) {
						if (data.Body.item[a] == null || data.Body.item[a] == 'null') {
							data.Body.item[a] = '';
						}
					}
					that.item_no = data.Body.item.item_no;
					that.item_classid = data.Body.item.item_classid;
					that.item_name = data.Body.item.item_name;
					that.item_sale_price = data.Body.item.item_sale_price;
					that.item_in_price = data.Body.item.item_in_price;
					that.item_vip_price = data.Body.item.item_vip_price;
					that.item_out_price = data.Body.item.item_out_price;
					that.item_unit_no = data.Body.item.item_unit_no;
					that.display_flag = data.Body.item.display_flag;
					that.item_state = data.Body.item.item_state;
					that.py_code = data.Body.item.py_code;
					that.item_memo = data.Body.item.item_memo;

					that.flag = data.Body.item.item_flag;
					//套餐
					if (that.flag == '6') {
						mui('.mui-title')[0].innerText = '编辑套餐';
						mui.each(data.Body.packlist, function(index, item) {
							if (item.item != null) {
								that.packname.push(item.item.item_name);
								that.packItemid.push(item.item.ID);
								that.packid.push(item.id);
								that.packnum.push(item.qty);
								that.packmemo.push(item.memo);
							}
						})
					} else if (that.flag == '2') {
						mui('.mui-title')[0].innerText = '编辑菜品';
					} else if (that.flag == '1') {
						mui('.mui-title')[0].innerText = '编辑商品';
					}
					//单张图片
					if (data.Body.item.item_img != null && data.Body.item.item_img != '') {
						that.item_img = 'http://dc.10le.cn' + data.Body.item.item_img;
						var img = document.createElement('img');
						img.setAttribute('src', that.item_img);
						img.setAttribute('id', 'portrait');
						img.setAttribute('data-preview-src', '');
						img.setAttribute('data-preview-group', '1');
						var parentEl = mui('#item2')[0].getElementsByClassName('imgBox')[0];
						parentEl.insertBefore(img, parentEl.childNodes[0]); //插入到最左边
					}

					//多张图片
					if (data.Body.imgs.length != 0) {
						mui.each(data.Body.imgs, function(index, item) {
							var img = document.createElement('img');
							img.setAttribute('src', item.image_id);
							img.setAttribute('class', 'moreImg');
							img.setAttribute('imgId', item.id);
							img.setAttribute('data-preview-src', '');
							img.setAttribute('data-preview-group', '1');
							var parentEl = mui('#item3')[0].getElementsByClassName('imgBox')[0];
							parentEl.insertBefore(img, parentEl.childNodes[0]); //插入到最左边
						})
					}

					//所属分类]
					mui.each(that.itemClassObj, function(index, item) {
						if (that.item_classid == this.value) {
							mui('.itemClass')[0].value = this.text;
						}
					})
					//商品状态  
					if (that.display_flag == '0') {
						mui('.displayFlag')[0].value = '可用';
					} else if (that.display_flag == '1') {
						mui('.displayFlag')[0].value = '停用';
					}

					//出品时态 itemStateObj
					mui.each(that.itemStateObj, function(index, item) {
						if (that.item_state == this.value) {
							mui('.itemstate')[0].value = this.text;
						}
					})
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		addFn: function() {
			if (this.item_sale_price < 0) {
				document.activeElement.blur();
				mui.alert('请输入正确的价格', function() {}, 'div');
				return false;
			}
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx', {
				data: {
					cmd: '02',
					item_no: that.item_no,
					item_name: that.item_name,
					item_flag: that.flag, //2 商品          //6 套餐
					item_classid: that.item_classid,
					item_state: that.item_state,
					item_unit_no: that.item_unit_no,
					item_in_price: that.item_in_price,
					item_sale_price: that.item_sale_price,
					item_rsale_price: '',
					item_pf_price: '',
					item_vip_price: that.item_vip_price,
					item_rvip_price: '',
					item_dist_price: '',
					item_out_price: that.item_out_price,
					item_isout: '',
					have_stock: '',
					item_date_unit: '',
					integral_flag: '',
					pos_lower_price: '',
					integral_rate: '',
					pos_isprice: '',
					pos_isdiscount: '',
					item_isfulldiscount: '',
					display_flag: that.display_flag,
					have_saleman: '',
					item_dist_qty: '',
					item_dist_limit: '',
					item_dist_double: '',
					have_cz: '',
					item_isprint_outroom: '',
					item_isprint_floor: '',
					item_isprint_cq: '',
					Item_stamp_pay: '',
					Item_stamp_out: '',
					py_code: that.py_code,
					item_size: '',
					item_byname: '',
					item_property: '',
					item_do_time: '',
					item_other_cost: '',
					item_memo: that.item_memo,
					item_isrealprice: '',
					item_istemp: '',
					item_isamount: '',
					item_isfwf: '',
					item_isdxf: '',
					item_ishot: '',
					Item_IsAllZK: '',
					item_havemake: '',
					item_islabprint: '',
					Item_IsPrintLocal: '',
					item_isprint: '',
					item_ishc: '',
					item_brand: '',
					item_area: '',
					item_grade: '',
					item_sup_no: '',
					item_save: '',
					item_valid_day: '',
					out_tax_rate: '',
					in_tax_rate: '',
					item_xd_canqty: '',
					item_combine: '',
					item_qa_cert: '',
					item_qs_cert: '',
					item_inlet_cert: '',
					item_qi_rep: '',
					item_info: '',
					item_bytxt1: '',
					item_bynum1: '',
					item_bytxt2: '',
					item_bynum2: '',
					item_bytxt3: '',
					item_bynum3: '',
					item_barcode: ''
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('添加成功');
						that.itemId = data.Body.itemId;
						document.activeElement.blur();
					}
					if (data.code == '0001') {
						mui.toast(data.msg);
					}
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		//基本单位
		danweiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/UnitsOptions', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {

					mui.each(data.Body.data, function(index, item) {
						that.danweiObj[index] = {
							value: item,
							text: item
						}
					})
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.danweiFn();
					}
				}
			});
		},
		//所属分类
		itemClassFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/itemclass', {
				data: '',
				dataType: 'json',
				type: 'GET',
				async: 'false',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body.list, function(index, item) {
						that.itemClassObj[index] = {
							value: item.id,
							text: item.name
						}
					})
					if (that.itemClassObj.length != 0 && that.key == 'flag') {
						that.item_classid = that.itemClassObj[0].value;
						mui('.itemClass')[0].value = that.itemClassObj[0].text;
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.itemClassFn();
					}
				}
			});
		},
		editFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx', {
				data: {
					cmd: '03',

					itemId: that.itemId,
					item_no: that.item_no,
					item_name: that.item_name,
					item_flag: that.flag, //2 商品          //6 套餐
					item_classid: that.item_classid,
					item_state: that.item_state,
					item_unit_no: that.item_unit_no,
					item_in_price: that.item_in_price,
					item_sale_price: that.item_sale_price,
					item_rsale_price: '',
					item_pf_price: '',
					item_vip_price: that.item_vip_price,
					item_rvip_price: '',
					item_dist_price: '',
					item_out_price: that.item_out_price,
					item_isout: '',
					have_stock: '',
					item_date_unit: '',
					integral_flag: '',
					pos_lower_price: '',
					integral_rate: '',
					pos_isprice: '',
					pos_isdiscount: '',
					item_isfulldiscount: '',
					display_flag: that.display_flag,
					have_saleman: '',
					item_dist_qty: '',
					item_dist_limit: '',
					item_dist_double: '',
					have_cz: '',
					item_isprint_outroom: '',
					item_isprint_floor: '',
					item_isprint_cq: '',
					Item_stamp_pay: '',
					Item_stamp_out: '',
					py_code: that.py_code,
					item_size: '',
					item_byname: '',
					item_property: '',
					item_do_time: '',
					item_other_cost: '',
					item_memo: that.item_memo,
					item_isrealprice: '',
					item_istemp: '',
					item_isamount: '',
					item_isfwf: '',
					item_isdxf: '',
					item_ishot: '',
					Item_IsAllZK: '',
					item_havemake: '',
					item_islabprint: '',
					Item_IsPrintLocal: '',
					item_isprint: '',
					item_ishc: '',
					item_brand: '',
					item_area: '',
					item_grade: '',
					item_sup_no: '',
					item_save: '',
					item_valid_day: '',
					out_tax_rate: '',
					in_tax_rate: '',
					item_xd_canqty: '',
					item_combine: '',
					item_qa_cert: '',
					item_qs_cert: '',
					item_inlet_cert: '',
					item_qi_rep: '',
					item_info: '',
					item_bytxt1: '',
					item_bynum1: '',
					item_bytxt2: '',
					item_bynum2: '',
					item_bytxt3: '',
					item_bynum3: '',
					item_barcode: ''
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('保存成功');
					} else {
						mui.toast(data.msg);
					}
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.editFn();
					}
				}
			});
		},
		saveOneImg: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx', {
				data: {
					cmd: '06',
					itemId: that.itemId,
					base64: base64
					// mui('#baseImg')[0].value
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('上传成功');
						that.item_img = data.Body.src;
					} else {
						mui.toast(data.msg);
					}
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.saveOneImg();
					}
				}
			});
		},
		saveMoreImg: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx', {
				data: {
					cmd: '07',
					itemId: that.itemId,
					base64: base64
				},
				dataType: 'json',
				type: 'POST',
				timeout: 100000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code != '0000') {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.saveMoreImg(base64);
					}
				}
			});
		},
		savePack: function() {
			var that = this;

			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=09&itemId=' + that.itemId + '&pack_item_no=' + that.packItemid
				.join(',') + '&pack_qty=' + that.packnum.join(',') + '&packmemo=' + that.packmemo.join(',') + '&packId=' + that
				.packid.join(','), {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast('保存成功');
						} else {
							mui.toast(data.msg);
						}
						mui('#warning')[0].style.display = 'none';
					},
					error: function(xhr, type, errorThrown) {

					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.savePack();
						}
					}
				});
		},
		//删除多个图片
		delectMoreImg: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=07X&itemId=' + that.itemId + '&imageId=' + that.delectImgId
				.join(','), {
					data: '',
					dataType: 'json',
					type: 'get',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {

					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.delectMoreImg();
						}
					}
				});
		}
	},
	watch: {
		item_name: function() {
			this.py_code = Pinyin.GetJP(this.item_name).toUpperCase();
		},
		item_sale_price: function() {
			if (this.key == 'flag') {
				if (this.flag1 == 0) {
					this.item_vip_price = this.item_sale_price;
				}
				if (this.flag2 == 0) {
					this.item_out_price = this.item_sale_price;
				}
				if (this.flag3 == 0) {
					this.item_in_price = this.item_sale_price;
				}
			}
		},
		packFlag: function() {
			if (this.packFlag == 0) {
				mui('.middlePopover').on('tap', '.selectGood', selectFn);
				mui('.middlePopover').off('tap', '.selectGood', toastFn);

			} else if (this.packFlag == 1) {

				mui('.middlePopover').off('tap', '.selectGood', selectFn);
				mui('.middlePopover').on('tap', '.selectGood', toastFn);
			}
		}
	},
	updated: function() {
		var slider = mui('#slider');
		slider.slider({
			interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
		});

	}
})
//单张
mui('#item2').on('change', '#fileclick', function() {
	var obj = this.files[0];
	var fr = new FileReader();
	fr.onload = function() {
		var length = mui('#item2')[0].getElementsByTagName('img').length;
		if (length == 0) {
			var img = document.createElement('img');
			img.setAttribute('src', this.result);
			img.setAttribute('id', 'portrait');
			img.setAttribute('data-preview-src', '');
			img.setAttribute('data-preview-group', '1');
			var parentEl = mui('#item2')[0].getElementsByClassName('imgBox')[0];
			parentEl.insertBefore(img, parentEl.childNodes[0]); //插入到最左边
		} else {
			mui("#portrait")[0].setAttribute('src', this.result);
		}
		mui('#baseImg')[0].value = this.result;
	};
	fr.readAsDataURL(obj);

})
//
//多张
mui('#item3').on('change', '#fileclick2', function() {
	mui.each(this.files, function(index, item) {
		var obj = item;
		var fr = new FileReader();
		fr.onload = function() {
			var img = document.createElement('img'); //1、创建元素
			img.setAttribute('src', this.result);
			img.setAttribute('class', 'moreImg');
			img.setAttribute('data-preview-src', '');
			img.setAttribute('data-preview-group', '1');
			var input = document.createElement('input'); //1、创建元素
			input.setAttribute('type', 'hidden');
			input.setAttribute('value', this.result);
			input.setAttribute('class', 'moreInp');

			var container = mui('.imgBox3')[0]; //2、找到父级元素
			container.insertBefore(img, container.childNodes[0]); //插入到最左边
			container.insertBefore(input, container.childNodes[0]); //插入到最左边
		};
		fr.readAsDataURL(obj);
	});


	// 	var obj = this.files[0];
	// 	var fr = new FileReader();
	// 	fr.onload = function() {
	// 		var img = document.createElement('img'); //1、创建元素
	// 		img.setAttribute('src', this.result);
	// 		img.setAttribute('class', 'moreImg');
	// 		img.setAttribute('data-preview-src', '');
	// 		img.setAttribute('data-preview-group', '1');
	// 		var input = document.createElement('input'); //1、创建元素
	// 		input.setAttribute('type', 'hidden');
	// 		input.setAttribute('value', this.result);
	// 		input.setAttribute('class', 'moreInp');
	// 
	// 		var container = mui('.imgBox3')[0]; //2、找到父级元素
	// 		container.insertBefore(img, container.childNodes[0]); //插入到最左边
	// 		container.insertBefore(input, container.childNodes[0]); //插入到最左边
	// 	};
	// 	fr.readAsDataURL(obj);

})

//保存多张图片
mui('#item3').on('tap', '.save', function() {
	if (vm.itemId != '') {
		var input = mui('#item3')[0].getElementsByClassName('moreInp');
		var length = input.length;
		if (length == 0 && vm.delectImgId.length == 0) {
			document.activeElement.blur();
			mui.alert('请选择要操作的图片', ' ', function() {}, 'div');
			return;
		} else if (length != 0 && vm.delectImgId.length == 0) {
			mui.each(input, function(index, item) {
				vm.saveMoreImg(item.value);
			})
		} else if (length == 0 && vm.delectImgId.length != 0) {
			vm.delectMoreImg();
		} else if (length != 0 && vm.delectImgId.length != 0) {
			mui.each(input, function(index, item) {
				vm.saveMoreImg(item.value);
			})
			vm.delectMoreImg();
		}
// 		mui.later(function() {
// 			mui.toast('操作成功');
// 		}, 500)
	} else {
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
	}
})

function photoCompress(file, w, callback) {
	var ready = new FileReader();
	ready.readAsDataURL(file);
	ready.onload = function() {
		var re = this.result;
		var newImg = new Image();
		newImg.src = re;
		var imgWidth, imgHeight, offsetX = 0,
			offsetY = 0;
		newImg.onload = function() {
			var img = document.createElement("img");
			img.src = newImg.src;
			imgWidth = img.width;
			imgHeight = img.height;
			var canvas = document.createElement("canvas");
			canvas.width = w;
			canvas.height = w;
			var ctx = canvas.getContext("2d");
			ctx.clearRect(0, 0, w, w);
			if (imgWidth > imgHeight) {
				imgWidth = w * imgWidth / imgHeight;
				imgHeight = w;
				offsetX = -Math.round((imgWidth - w) / 2);
			} else {
				imgHeight = w * imgHeight / imgWidth;
				imgWidth = w;
				offsetY = -Math.round((imgHeight - w) / 2);
			}
			ctx.drawImage(img, offsetX, offsetY, imgWidth, imgHeight);
			var base64 = canvas.toDataURL("image/jpeg", 0.7);
			callback(base64);
		}
	}
}


//保存单张图片
mui('#item2').on('tap', '.save', function() {
	if (vm.itemId != '') {
		if (mui('#baseImg')[0].value == '') {
			document.activeElement.blur();
			mui.alert('请选择要上传的图片', ' ', function() {}, 'div');
		} else {
			// vm.saveOneImg();
			photoCompress(mui('#fileclick')[0].files[0], 300, vm.saveOneImg);
		}
	} else {
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
	}
})

//多张图片的删除
mui('#item3').on('longtap', 'img', function(e) {
	e.preventDefault();
	window.event.returnValue = false;

	var that = this;
	var imgid = that.getAttribute('imgid'),
		parentEl = mui('#item3')[0].getElementsByClassName('imgBox')[0];

	mui.confirm('确认删除此图片吗', ' ', ['取消', '确定'], function(e) {
		if (e.index == 1) {
			if (imgid != null) { //旧照片
				vm.delectImgId.push(imgid);
				parentEl.removeChild(that);
			} else { //新照片
				var input = that.previousElementSibling;
				parentEl.removeChild(that);
				parentEl.removeChild(input);
			}
		}
	}, 'div')
}, false)

mui('#wrap').on('tap', '.displayFlag', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '0',
		text: '可用'
	}, {
		value: '1',
		text: '停用'
	}]);
	picker.show(function(selectItems) {
		vm.display_flag = selectItems[0].value;
		mui('.displayFlag')[0].value = selectItems[0].text;
	})
})

//会员价格
mui('#item1').on('keyup', '.vipPrice', function() {
	vm.flag1 = this.value.length;
})
//外卖价格
mui('#item1').on('keyup', '.outPrice', function() {
	vm.flag2 = this.value.length;
})
//成本价
mui('#item1').on('keyup', '.inPrice', function() {
	vm.flag3 = this.value.length;
})

//保存
mui('#item1').on('tap', '.save', function() {
	if (vm.item_name == '') {
		document.activeElement.blur();
		mui.alert('请输入商品名称', ' ', function() {}, 'div');
		return;
	} else if (vm.item_sale_price == '') {
		document.activeElement.blur();
		mui.alert('请输入商品价格', ' ', function() {}, 'div');
		return;
	} else if (vm.item_classid == '') {
		document.activeElement.blur();
		mui.alert('请选择所属分类', ' ', function() {}, 'div');
		return;
	}
	// 
	if (vm.itemId == '') { //添加
		vm.addFn();
	} else { //编辑
		vm.editFn();
	}
})

//单位 
mui('#wrap').on('tap', '.danwei', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.danweiObj);
	picker.show(function(selectItems) {
		vm.item_unit_no = selectItems[0].value;
	})
})

//所属分类 
mui('#wrap').on('tap', '.itemClass', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.itemClassObj);
	picker.show(function(selectItems) {
		vm.item_classid = selectItems[0].value;
		mui('.itemClass')[0].value = selectItems[0].text;
	})
})

//出品时态
mui('#wrap').on('tap', '.itemstate', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.itemStateObj);
	picker.show(function(selectItems) {
		vm.item_state = selectItems[0].value;
		mui('.itemstate')[0].value = selectItems[0].text;
	})
})

mui('#item4').on('tap', '.addGoods', function() {
	vm.packFlag = 0;
	vm.flagItemid = '';
	vm.flagid = '';
	vm.flagname = '';
	vm.flagnum = 1;
	vm.flagmemo = '';

	if (vm.itemId != '') {
		mui('.middlePopover').popover('show');
	} else {
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
	}

})
mui('#item4').on('tap', '.edit', function() {
	vm.packFlag = 1;
	vm.packindex = this.getAttribute('index');
	vm.flagItemid = vm.packItemid[vm.packindex];
	vm.flagid = vm.packid[vm.packindex];
	vm.flagname = vm.packname[vm.packindex];
	vm.flagnum = vm.packnum[vm.packindex];
	vm.flagmemo = vm.packmemo[vm.packindex];

	//	mui('#num')[0].value = vm.flagnum;
	mui('.middlePopover').popover('show');
})
mui('#wrap').on('tap', '#close', function() {
	mui('.middlePopover').popover('hide');
})
//删除套餐下的菜品
mui('#item4').on('tap', '.delete', function() {
	var index = this.getAttribute('index');
	vm.packid.splice(index, 1);
	vm.packname.splice(index, 1);
	vm.packItemid.splice(index, 1);
	vm.packnum.splice(index, 1);
	vm.packmemo.splice(index, 1);
})
//添加
mui('.middlePopover').on('tap', '.selectGood', selectFn);

function toastFn() {
	mui.toast('不可编辑菜品名称');
}

function selectFn() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.goodsListObj);
	picker.show(function(selectItems) {
		if (vm.itemId == selectItems[0].value) {
			document.activeElement.blur();
			mui.alert('不可选择此菜品', ' ', function() {}, 'div');
		} else {
			vm.flagItemid = selectItems[0].value;
			vm.flagname = selectItems[0].text;
		}
	})
}

mui('.middlePopover').on('tap', '#ok', function() {
	vm.flagnum = Number(mui('.numbox1').numbox().getValue());
	if (vm.flagItemid == '') {
		document.activeElement.blur();
		mui.alert('请选择菜品', ' ', function() {}, 'div');
		return;
	}
	if (vm.flagnum < 0 || vm.flagnum == 0) {
		document.activeElement.blur();
		mui.alert('请输入正确的数量', ' ', function() {}, 'div');
		return;
	}

	//编辑或者添加
	if (vm.packFlag == 0) { //添加
		vm.packname.push(vm.flagname);
		vm.packid.push(0);
		vm.packItemid.push(vm.flagItemid);
		vm.packnum.push(vm.flagnum);
		vm.packmemo.push(vm.flagmemo);
	} else if (vm.packFlag == 1) {
		vm.$set(vm.packnum, vm.packindex, vm.flagnum);
		vm.$set(vm.packmemo, vm.packindex, vm.flagmemo);
	}
	mui('.middlePopover').popover('hide');
})

//保存套餐下的菜品
mui('#item4').on('tap', '.save', function() {
	if (vm.itemId != '') {
		vm.savePack();
	} else {
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
	}
})

//其他tab
mui('#wrap').on('tap', '.tab2', function() {
	if (vm.itemId == '') { //未保存商品基本信息
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
		return false;
	}
})
mui('#wrap').on('tap', '.tab3', function() {
	if (vm.itemId == '') { //未保存商品基本信息
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
		return false;
	} else if (vm.item_img == '') {
		document.activeElement.blur();
		mui.alert('请先保存基本图片', ' ', function() {}, 'div');
		return false;
	}
})
mui('#wrap').on('tap', '.tab4', function() {
	if (vm.itemId == '') { //未保存商品基本信息
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
		return false;
	}
})

mui('#wrap').on('tap', '.tab5', function() {
	if (vm.itemId == '') { //未保存商品基本信息
		document.activeElement.blur();
		mui.alert('请先保存商品的基本信息', ' ', function() {}, 'div');
		return false;
	}
})

//配菜
mui('#item5').on('tap', '.addPei', function() {
	mui('.middlePopover1').popover('show');
})
mui('.middlePopover1').on('tap', '.close', function() {
	mui('.middlePopover1').popover('hide');
})

mui('#wrap').on('tap', '.wares', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.waresList);
	picker.show(function(selectItems) {
		vm.pFlagid = selectItems[0].value;
		mui('.waresInp')[0].value = selectItems[0].text;
	})
})

mui('.middlePopover1').on('tap', '.ok', function() {
	var num = mui('.numbox2').numbox().getValue();
	if (vm.pFlagid == '') {
		document.activeElement.blur();
		mui.alert('请选择商品', ' ', function() {}, 'div');
		return false;
	} else if (num == '' || num < 0 || num == 0) {
		document.activeElement.blur();
		mui.alert('请输入正确的数量', ' ', function() {}, 'div');
		return false;
	} else {

		//查看是否已经添加过此商品
		var index = vm.pItemid.indexOf(vm.pFlagid);

		if (index == -1) {
			vm.pItemid.push(vm.pFlagid);
			vm.pName.push(mui('.waresInp')[0].value);
			vm.pNum.push(num);
		} else {
			vm.$set(vm.pNum, index, vm.pNum[index] + Number(num));
		}

		mui('.middlePopover1').popover('hide');

		vm.pFlagid = '';
		mui('.waresInp')[0].value = '';
		mui('.numbox2').numbox().setValue(1);
	}
})
//配菜删除
mui('#item5').on('tap', '.delete', function() {
	var index = this.getAttribute('index');
	vm.pItemid.splice(index, 1);
	vm.pName.splice(index, 1);
	vm.pNum.splice(index, 1);
})
//配菜编辑
mui('#item5').on('tap', '.delete', function() {
	var index = this.getAttribute('index');
	vm.pItemid.splice(index, 1);
	vm.pName.splice(index, 1);
	vm.pNum.splice(index, 1);
})
mui('.numbox1').on('tap', '.mui-btn-numbox-minus', function() {
	if (vm.flagnum == 0) {
		return false;
	}
	vm.flagnum--;
})

mui('.numbox1').on('tap', '.mui-btn-numbox-plus', function() {
	vm.flagnum++;
})

//var oldBack = mui.back;
//mui.back = function() {
//	history.go(-1);
//	location.reload();
//	oldBack();
//};
//1111111111111111111111111111111111111111111111111111111111111111
var $ = {};
$.all = function(selector, contextElement) {
	var nodeList,
		list = [];
	if (contextElement) {
		nodeList = contextElement.querySelectorAll(selector);
	} else {
		nodeList = document.querySelectorAll(selector);
	}
	if (nodeList && nodeList.length > 0) {
		list = Array.prototype.slice.call(nodeList);
	}
	return list;
}

$.delegate = function($el, eventType, selector, fn) {
	if (!$el) {
		return;
	}
	$el.addEventListener(eventType, function(e) {
		var targets = $.all(selector, $el);
		if (!targets) {
			return;
		}
		// findTarget:
		for (var i = 0; i < targets.length; i++) {
			var $node = e.target;
			while ($node) {
				if ($node == targets[i]) {
					fn.call($node, e);
					break; //findTarget;
				}
				$node = $node.parentNode;
				if ($node == $el) {
					break;
				}
			}
		}
	}, false);
};

$.delegate(document.querySelector('#item3'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item3')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});

$.delegate(document.querySelector('#item2'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item2')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
