mui.init();

var vm = new Vue({
	el: "#wrap",
	data: {
		itemno: '',
		need_integral: '', //兑换所需积分
		stamp_amt: '', //券面额
		give_max_date: '', //有效期至
		give_ap_year: '', //券有效年数
		give_ap_mouth: '', //券有效月数
		give_ap_day: '', //券有效天数
		give_memo: '' //券使用说明
	},
	beforeMount:function(){
		if(location.search != '') {
			this.itemno = location.search.split('?')[1].split('=')[1];
			mui('.mui-title')[0].innerText = '修改兑券方案';
			this.searchFn();
		} else {
			mui('.mui-title')[0].innerText = '添加兑券方案';
		}
	},
	methods: {
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx', {
				data: {
					cmd: '02',
					stamp_amt: that.stamp_amt,
					need_integral: that.need_integral,
					give_memo: that.give_memo,
					give_max_date: that.give_max_date,
					give_ap_year: that.give_ap_year,
					give_ap_mouth: that.give_ap_mouth,
					give_ap_day: that.give_ap_day
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						mui.later(function() {
							mui.openWindow({
								url: 'IntegralExchange.html',
								id: "IntegralExchange",
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}, 500)
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx?cmd=04&itemId=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.need_integral = data.Body.item.need_integral;
						that.stamp_amt = data.Body.item.stamp_amt;
						that.give_max_date = data.Body.item.give_max_date;
						that.give_ap_year = data.Body.item.give_ap_year;
						that.give_ap_mouth = data.Body.item.give_ap_mouth;
						that.give_ap_day = data.Body.item.give_ap_day;
						that.give_memo = data.Body.item.give_memo;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemno,
					stamp_amt: that.stamp_amt,
					need_integral: that.need_integral,
					give_memo: that.give_memo,
					give_max_date: that.give_max_date,
					give_ap_year: that.give_ap_year,
					give_ap_mouth: that.give_ap_mouth,
					give_ap_day: that.give_ap_day
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						mui.later(function() {
							mui.openWindow({
								url: 'IntegralExchange.html',
								id: "IntegralExchange",
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}, 500)
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.updateFn();
					}
				}
			});
		}
	}
})

//确定
mui('#wrap').on('tap', '.okBtn', function() {
	if(vm.need_integral == '' || vm.need_integral == 0 || vm.need_integral < 0) {
		mui.alert('请输入正确的所需积分', ' ', function() {}, 'div');
		return false;
	} else if(vm.stamp_amt == '' || vm.stamp_amt == 0 || vm.stamp_amt < 0) {
		mui.alert('请输入正确的券面额', ' ', function() {}, 'div');
		return false;
	}

	if(vm.itemno == '') { //添加
		vm.addFn();
	} else {
		vm.updateFn();
	}
})

//有效期
mui('#wrap').on('tap', '.maxDate', function() {
	document.activeElement.blur();
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(2000, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.give_max_date = selectItems.text;
	})
})