var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}

var wrap = new Vue({
	el: '#wrap',
	data: {
		quList: [],
		deskList: [],
		selectDeskid: '',
		ywList: '',
		cusinfo: '', //客户名称
		custel: '', //客户电话
		emp_id: '', //业务员id
		num: '', //人数
		reg: /^1[345789]\d{9}$/
	},
	created: function() {
		this.getQu();
		this.getDesk();
		this.yw();
	},
	mounted: function() {

	},
	methods: {
		getQu: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/index', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.quList = data.Body.cq;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getQu();
					}
				}
			});
		},
		getDesk: function() {
			var that = this;
			//获取桌子
			mui.ajax('http://dci.10le.cn/default/desk', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.deskList = data.Body.desklist;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getDesk();
					}
				}
			});
		},
		//业务员
		yw: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/emp', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.ywList = data.Body;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.yw();
					}
				}
			});
		},
		telFn: function() {
			if (this.reg.test(this.custel) == false) {
				mui.alert('请输入正确的手机号', ' ', function() {}, 'div');
				return false;
			}
		},
		okYuding: function(emp_id) {
			var that = this;
			if (that.reg.test(that.custel) == false) {
				mui.alert('请输入正确的手机号', ' ', function() {}, 'div');
				return false;
			}
			mui.ajax('http://dc.10le.cn/boss/api/book_add.aspx?desk_id=' + that.selectDeskid + '&num=' + that.num +
				'&emp_id=' + emp_id + '&cusinfo=' + that.cusinfo + '&custel=' + that.custel + '&usetime=' + mui("#comeTime")[0]
				.value + '&maxtime=' + mui("#expire")[0].value, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						mui('#warning')[0].style.display = 'none';
						if (data.code == '0000') {
							mui.toast('预订单创建成功');
							mui.later(function() {
								mui.openWindow({
									url: 'yuding.html',
									id: 'yuding',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}, 500)
						}
						if (data.code == '0001') {
							mui.alert(data.msg, ' ', function() {}, 'div');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.okYuding(emp_id);
						}
					}
				});
		}
	}
})

mui('#wrap').on('tap', '#comeTime', function() {
	var date = new Date();
	var y = date.getFullYear(),
		month = date.getMonth(),
		d = date.getDate(),
		h = date.getHours(),
		m = date.getMinutes();
	var dtpicker = new mui.DtPicker({
		"type": "datetime",
		beginDate: new Date(y, month, d, h, m),
		endDate: new Date(2500, 0, 1)
	})
	dtpicker.show(function(rs) {
		document.getElementById("comeTime").value = rs.text;
		var date = new Date(rs.text);
		var time1 = date.getTime();
		var time2 = time1 + 1000 * 60 * 30;
		document.getElementById("expire").value = formatDateTime(time2);
		//销毁时间控件
		dtpicker.dispose();
	})
})

function formatDateTime(inputTime) {
	var date = new Date(inputTime);
	var y = date.getFullYear();
	var m = date.getMonth() + 1;
	m = m < 10 ? ('0' + m) : m;
	var d = date.getDate();
	d = d < 10 ? ('0' + d) : d;
	var h = date.getHours();
	h = h < 10 ? ('0' + h) : h;
	var minute = date.getMinutes();
	var second = date.getSeconds();
	minute = minute < 10 ? ('0' + minute) : minute;
	return y + '-' + m + '-' + d + ' ' + h + ':' + minute;
};

mui('.middlePopover').on('change', 'input', function() {
	var desk = mui('#deskList')[0].querySelectorAll('input[type="checkbox"]:checked');

	wrap.selectDeskid = '';
	var html_ = '';
	mui.each(desk, function(index, item) {
		html_ += item.getAttribute('deskName') + '、';
		wrap.selectDeskid += item.getAttribute('deskid') + ',';
	})

	mui('#yudingDesk')[0].value = html_.slice(0, html_.length - 1);
	wrap.selectDeskid = wrap.selectDeskid.slice(0, wrap.selectDeskid.length - 1);
})

mui('#wrap').on('tap', '#yudingDesk', function() {
	mui('.middlePopover').popover('show');
	mui('.mui-scroll-wrapper').scroll();
	document.documentElement.style.overflow = "hidden";
})

mui('#wrap').on('tap', '.okDesk', function() {
	mui('.middlePopover').popover('hide');
	document.documentElement.style.overflow = "scroll";
})

mui('body').on('tap', '.mui-backdrop', function() {
	mui('.middlePopover').popover('hide');
	document.documentElement.style.overflow = "scroll";
})
mui('#wrap').on('tap', '#okBtn', function() {
	var check = true;
	if (!wrap.selectDeskid) {
		mui.alert('请选择桌台', ' ', function() {}, 'div');
		check = false;
	} else if (mui('#yw')[0].value == '') {
		mui.alert('请选择业务员', ' ', function() {}, 'div');
		check = false;
	} else {
		mui("#yudingInfo input").each(function() {
			if (!this.value) {
				var label = this.previousElementSibling;
				mui.alert('请输入' + label.innerText, ' ', function() {}, 'div');
				check = false;
				return false;
			}
		});
	}
	if (check) {
		if (Number(wrap.num) < 1) {
			mui.alert('人数不能低于1人', ' ', function() {}, 'div');
		} else {
			wrap.okYuding(mui('#yw')[0].value);
		}
	}

})
