mui.init();
var vm = new Vue({
	el: '#wrap',
	data: {
		store_no: '',
		store_name: '',
		openmark: '',
		openstate: '',
		opendate: '',
		phone: '',
		tel: '',
		weixin: '',
		contacts: '',
		store_adress: '',
		Area: '',
		intro: '',
		province: '', //省
		city: '', //市
		charteredimg: '', //营业执照
		severimg: '', //餐饮服务
		advertimg: '', //广告图片
		introimg: '', //基本图片
		shopQr: ''
	},
	mounted: function() {
		this.infoFn();
		this.shopQr = 'http://dc.10le.cn/store/store_qr.aspx?sign=' + localStorage["UserAuthorizationSign"];
		console.log(this.shopQr);
	},
	methods: {
		infoFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_api.aspx?cmd=04', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					for (var a in data.Body.item) {
						if (data.Body.item[a] == null || data.Body.item[a] == 'null') {
							data.Body.item[a] = '';
						}
					}
					that.store_no = data.Body.item.store_no;
					that.store_name = data.Body.item.store_name;
					that.province = data.Body.item.province;
					that.city = data.Body.item.city;
					mui('.selectAdd')[0].value = that.province + that.city;

					that.tel = data.Body.item.tel;
					that.weixin = data.Body.item.weixin;
					that.contacts = data.Body.item.contacts;
					that.store_adress = data.Body.item.store_adress;
					that.Area = data.Body.item.Area;
					that.intro = data.Body.item.intro;

					if (data.Body.item.charteredimg != '') {
						that.charteredimg = 'http://dc.10le.cn' + data.Body.item.charteredimg;
					}
					if (data.Body.item.severimg != '') {
						that.severimg = 'http://dc.10le.cn' + data.Body.item.severimg;
					}
					if (data.Body.item.advertimg != '') {
						that.advertimg = 'http://dc.10le.cn' + data.Body.item.advertimg;
					}
					if (data.Body.item.introimg != '') {
						that.introimg = 'http://dc.10le.cn' + data.Body.item.introimg;
					}

				},
				error: function(xhr, type, errorThrown) {
					console.log('erro');
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.infoFn();
					}
				}
			});
		},
		saveInfo: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_api.aspx', {
				data: {
					cmd: '03',
					store_no: that.store_no,
					store_name: that.store_name,
					openmark: '',
					openstate: '',
					opendate: '',
					tel: that.tel,
					weixin: that.weixin,
					contacts: that.contacts,
					store_adress: that.store_adress,
					Area: that.Area,
					intro: that.intro,
					city1: that.province,
					city2: that.city,
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					that.typeList = data.list;
					if (data.code == '0000') {
						mui('#warning')[0].style.display = 'none';
						mui.toast('保存成功');
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.saveInfo();
					}
				}
			});
		},
		//营业执照
		uploadImg2: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_api.aspx', {
				data: {
					cmd: '32',
					base64: base64
					// mui('#baseImg1')[0].value
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {

					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('上传成功');
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.uploadImg2(base64);
					}
				}
			});
		},
		//餐饮
		uploadImg3: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_api.aspx', {
				data: {
					cmd: '33',
					base64: base64
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {

					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('上传成功');
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.uploadImg3(base64);
					}
				}
			});
		},
		//广告
		uploadImg4: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_api.aspx', {
				data: {
					cmd: '34',
					base64: base64
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('上传成功');
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.uploadImg4(base64);
					}
				}
			});
		},
		shopLogo: function(value) {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_api.aspx', {
				data: {
					cmd: '31',
					base64: value
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('图片上传成功');
					} else {
						mui.toast('图片上传失败');
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.shopLogo(value);
					}
				}
			});
		}
	}
})

//营业状态
mui('.mui-content').on('tap', '.yingyeState', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	var arrObj = [{
		value: '0',
		text: '休息中'
	}, {
		value: '1',
		text: '营业中'
	}];
	picker.setData(arrObj);
	picker.show(function(selectItems) {
		vm.openmark = selectItems[0].value;
		mui('.yingyeState')[0].value = selectItems[0].text;
	})
})

//开业状态
mui('.mui-content').on('tap', '.openstate', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	var arrObj = [{
		value: '待开业',
		text: '待开业'
	}, {
		value: '已开业',
		text: '已开业'
	}, {
		value: '已停业',
		text: '已停业'
	}];
	picker.setData(arrObj);
	picker.show(function(selectItems) {
		vm.openstate = selectItems[0].value;
		mui('.openstate')[0].value = selectItems[0].text;
	})
})
//开业时间
mui('.mui-content').on('tap', '.opendate', function() {
	document.activeElement.blur();
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.opendate = selectItems.text;
	})
})

//保存基本信息
mui('#item1').on('tap', 'button', function() {
	document.activeElement.blur();
	if (vm.store_name == '') {
		mui.alert('请输入店铺名称', ' ', function() {}, 'div');
		return;
	} else if (vm.contacts == '') {
		mui.alert('请输入联系人', ' ', function() {}, 'div');
		return;
	} else if (vm.tel == '') {
		mui.alert('请输入固定电话', ' ', function() {}, 'div');
		return;
	} else if (vm.store_adress == '') {
		mui.alert('请输入门店地址', ' ', function() {}, 'div');
		return;
	}
	vm.saveInfo();
})
mui('#item1').on('tap', '#fileclick', function() {
	this.value = '';
})
mui('#item1').on('change', '#fileclick', function() {
	var obj = this.files[0];
	var fr = new FileReader();
	fr.onload = function() {
		var value = this.result;
		mui('#baseImg')[0].value = value;
		mui("#portrait")[0].setAttribute('src', value);
		mui.later(function() {
			// vm.shopLogo(value);
			photoCompress(mui('#fileclick')[0].files[0], 300, vm.shopLogo);
		}, 100)
	};
	fr.readAsDataURL(obj);
})

function photoCompress(file, w, callback) {
	var ready = new FileReader();
	/*开始读取指定的Blob对象或File对象中的内容. 当读取操作完成时,readyState属性的值会成为DONE,如果设置了onloadend事件处理程序,则调用之.同时,result属性中将包含一个data: URL格式的字符串以表示所读取文件的内容.*/
	ready.readAsDataURL(file);
	ready.onload = function() {
		var re = this.result;
		canvasDataURL(re, w, callback);
	}
}

function canvasDataURL(re, w, callback) {
	var newImg = new Image();
	newImg.src = re;
	var imgWidth, imgHeight, offsetX = 0,
		offsetY = 0;
	newImg.onload = function() {
		var img = document.createElement("img");
		img.src = newImg.src;
		imgWidth = img.width;
		imgHeight = img.height;
		var canvas = document.createElement("canvas");
		canvas.width = w;
		canvas.height = w;
		var ctx = canvas.getContext("2d");
		ctx.clearRect(0, 0, w, w);
		if (imgWidth > imgHeight) {
			imgWidth = w * imgWidth / imgHeight;
			imgHeight = w;
			offsetX = -Math.round((imgWidth - w) / 2);
		} else {
			imgHeight = w * imgHeight / imgWidth;
			imgWidth = w;
			offsetY = -Math.round((imgHeight - w) / 2);
		}
		ctx.drawImage(img, offsetX, offsetY, imgWidth, imgHeight);
		var base64 = canvas.toDataURL("image/jpeg", 0.7);
		callback(base64);
	}
}

//营业执照
mui('#item2').on('change', '#fileclick1', function() {
	var obj = this.files[0];
	var fr = new FileReader();
	fr.onload = function() {
		mui("#portrait1")[0].setAttribute('src', this.result);
		mui('#baseImg1')[0].value = this.result;
	};
	fr.readAsDataURL(obj);
})
mui('#item2').on('tap', 'button', function() {
	if (mui('#baseImg1')[0].value == '') {
		mui.toast('请选择新的图片');
	} else {
		// vm.uploadImg2();
		photoCompress(mui('#fileclick1')[0].files[0], 300, vm.uploadImg2);
	}
})

//c餐饮
mui('#item3').on('change', '#fileclick2', function() {
	var obj = this.files[0];
	var fr = new FileReader();
	fr.onload = function() {
		mui("#portrait2")[0].setAttribute('src', this.result);
		mui('#baseImg2')[0].value = this.result;
	};
	fr.readAsDataURL(obj);

})
mui('#item3').on('tap', 'button', function() {
	if (mui('#baseImg2')[0].value == '') {
		mui.toast('请选择新的图片');
	} else {
		// vm.uploadImg3();
		photoCompress(mui('#fileclick2')[0].files[0], 300, vm.uploadImg3);
	}
})

//广告
mui('#item4').on('change', '#fileclick3', function() {
	var obj = this.files[0];
	var fr = new FileReader();
	fr.onload = function() {
		mui("#portrait3")[0].setAttribute('src', this.result);
		mui('#baseImg3')[0].value = this.result;
	};
	fr.readAsDataURL(obj);

})
mui('#item4').on('tap', 'button', function() {
	if (mui('#baseImg3')[0].value == '') {
		mui.toast('请选择新的图片');
	} else {
		// vm.uploadImg4();
		photoCompress(mui('#fileclick3')[0].files[0], 300, vm.uploadImg4);
	}
})

mui('#wrap').on('tap', '.iconSpan', function() {
	mui.openWindow({
		url: 'map.html',
		id: 'map',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//选择省市
mui('#wrap').on('tap', '.selectAdd', function() {
	var picker = new mui.PopPicker({
		layer: 2
	});
	picker.setData(init_city_picker);
	picker.show(function(selectItems) {
		vm.province = selectItems[0].text;
		vm.city = selectItems[1].text;
		mui('.selectAdd')[0].value = selectItems[0].text + selectItems[1].text;
		picker.dispose();
	})
})
// 下载店铺二维码
mui.plusReady(function() {
	mui('#item5').on('tap', '.downLoad', function() {
		var src = vm.shopQr;
		console.log(src);
		downloadIamge(src, new Date().getTime());
	})

	function downloadIamge(url, name) {
		var imgDtask = plus.downloader.createDownload(url, {
			method: 'GET',
			filename: '_downloads/食乐云/' + name + '.png'
		}, function(d, status) {
			if (status == 200) {
				plus.gallery.save('_downloads/食乐云/' + name + '.png', function() { //保存到相册
					plus.io.resolveLocalFileSystemURL(d.filename, function(enpty) {
						mui.toast('保存成功')
					});
				})
			} else {
				mui.toast('保存失败')
			}
		});
		imgDtask.start();
	}
})



var $ = {};
$.all = function(selector, contextElement) {
	var nodeList,
		list = [];
	if (contextElement) {
		nodeList = contextElement.querySelectorAll(selector);
	} else {
		nodeList = document.querySelectorAll(selector);
	}
	if (nodeList && nodeList.length > 0) {
		list = Array.prototype.slice.call(nodeList);
	}
	return list;
}

$.delegate = function($el, eventType, selector, fn) {
	if (!$el) {
		return;
	}
	$el.addEventListener(eventType, function(e) {
		var targets = $.all(selector, $el);
		if (!targets) {
			return;
		}
		// findTarget:
		for (var i = 0; i < targets.length; i++) {
			var $node = e.target;
			while ($node) {
				if ($node == targets[i]) {
					fn.call($node, e);
					break; //findTarget;
				}
				$node = $node.parentNode;
				if ($node == $el) {
					break;
				}
			}
		}
	}, false);
};

$.delegate(document.querySelector('#item1'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item1')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
$.delegate(document.querySelector('#item2'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item2')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
$.delegate(document.querySelector('#item3'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item3')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
$.delegate(document.querySelector('#item4'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item4')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
$.delegate(document.querySelector('#item5'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item5')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
