mui.init();
var wrap = new Vue({
	el: '#wrap',
	data: {
		list: []
	},
	mounted: function() {
		this.listFn();
	},
	methods: {
		listFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/idledesk?billno=' + localStorage.getItem('bill_no') + '&type=1', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.data;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//合并订单
		concatFn: function(bill_no, deskid) {
			mui.ajax('http://dci.10le.cn/Default/MergeDesk?deskid=' + localStorage.getItem("deskid") + '&billno=' + localStorage.getItem("bill_no") + '&billno2=' + bill_no + '&deskid2=' + deskid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == "0000") {

						mui('#middlePopover').popover('hide');
						mui.toast('合并成功');
						mui.openWindow({
							url: 'orderDetail.html',
							id: 'orderDetail',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.concatFn(bill_no, deskid);
					}
				}
			});
		}
	}
})

var deskid = 0,
	bill_no = 0,
	deskName = 0,
	people = 0;

mui('#wrap').on('tap', '.parentCell', function() {
	deskid = this.getAttribute('deskid'), deskName = this.getElementsByClassName('deskName')[0].innerText,
		people = this.getElementsByClassName('people')[0].innerText;
	var parentCells = mui('.parentCell');
	mui.each(parentCells, function(idnex, item) {
		item.getElementsByClassName('name')[0].classList.remove('select');
	})
	this.getElementsByClassName('name')[0].classList.add('select');

})

mui('#wrap').on('tap', '.childCell', function() {
	bill_no = this.getAttribute('billno');
	var childCells = mui('.childCell');
	mui.each(childCells, function(idnex, item) {
		item.classList.remove('select');
	})
	this.classList.add('select');

})

//合并
mui('#wrap').on('tap', '#concat', function() {

	if(deskid == 0) {
		mui.toast('请选择桌台');
	}
	if(bill_no == 0) {
		mui.toast('请选择订单');
	}

	if(deskid != 0 && bill_no != 0) {

		mui('#mainOrder')[0].value = localStorage.getItem("deskNum") + ' ' + localStorage.getItem("bill_no") + ' ' + localStorage.getItem('personNum') + '人';
		mui('#deputyOrde')[0].value = deskName + ' ' + bill_no + ' ' + people + '人';

		mui('#middlePopover').popover('show');

	}
})
mui('#middlePopover').on('tap', '#cancel', function() {
	document.activeElement.blur();
	mui('#middlePopover').popover('hide');
});

mui('#wrap').on('tap', '#okBtn', function() {
	document.activeElement.blur();
	wrap.concatFn(bill_no, deskid);
})