mui.init();
mui('.scrollEl').scroll({
	indicators: true,
	deceleration: 0.0006,
	bounce: true
});

var vm = new Vue({
	el: '#wrap',
	data: {
		record: [],
		caipin: ''
	},
	created: function() {
		this.recordFn(1);
	},
	methods: {
		recordFn: function(type) {
			var that = this;
			that.record = [];
			mui.ajax('http://dci.10le.cn/VipPhone/orders?billtype=' + type, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},

				success: function(data) {
					if (data.code == '0000') {
						that.record = data.Body;
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.recordFn();
					}
				}
			});
		},
		//再来一单获取此订单下的菜品
		getOrderDetail: function(bill_no) {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/GetDetailsNos?billno=' + bill_no + '&deskid=', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
						return false;
					}
					that.caipin = data.Body.order.list;
					var id = [];
					var num = [];
					var name = [];
					var price = [];
					var count = [];
					mui.each(that.caipin, function(index, item) {
						var index = id.indexOf(String(item.item_no));
						if (index == -1) {
							id.push(String(item.item_no));
							num.push(item.now_qty);
							name.push(item.item_name);
							price.push(item.real_price);
							count.push(Number(item.now_qty) * Number(item.real_price));
						} else {
							num[index]++;
							count[index] = Number(num[index]) * Number(price[index]);
						}
					})
					localStorage.setItem('id', JSON.stringify(id));
					localStorage.setItem('num', JSON.stringify(num));
					localStorage.setItem('name', JSON.stringify(name));
					localStorage.setItem('price', JSON.stringify(price));
					localStorage.setItem('count', JSON.stringify(count));
					localStorage.removeItem('bill_no');
					localStorage.removeItem('deskid');
					localStorage.setItem('oneMore', 'oneMore');
					mui.openWindow({
						url: 'index.html',
						id: 'index',
						createNew: true,
						styles: {
							cachemode: "noCache"
						}
					})
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getOrderDetail();
					}
				}
			});
		}
	}
})

mui('.mui-segmented-control').on('tap', '.mui-control-item', function() {
	mui('#warning')[0].style.display = 'block';
	vm.recordFn(this.getAttribute('type'));
})

mui('#wrap').on('tap', '.order', function() {
	localStorage.setItem('bill_no', this.getAttribute('bill_no'));
	localStorage.removeItem('billid');
	localStorage.removeItem('deskid');
	if (this.getAttribute('isnet') == 'true') {
		localStorage.setItem('isnet', 'true');
	} else {
		localStorage.removeItem('isnet');
	}

	mui.openWindow({
		url: 'consumeDetail.html',
		id: 'consumeDetail',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//再来一单
mui('#wrap').on('tap', '.oneMore', function(e) {
	e.stopPropagation();
	vm.getOrderDetail(this.getAttribute('bill_no'));
})
