var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}

mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: getList
		}
	}
});

var page = 1;

function getList() {
	mui.ajax('http://dc.10le.cn/basic/emp_info_api.aspx?cmd=01&page=' + page + '&emp_name=' + vm.name + '&role_id=' + vm.role_id +
		'&emp_status=' + vm.state + '&emp_mobil=' + vm.tel, {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
			},
			success: function(data) {
				if (page > data.Body.PageCount) {
					vm.list = vm.list;
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				} else {
					vm.list = vm.list.concat(data.Body.list);
					vm.length = vm.list.length;
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				}
				page++;
				mui('#pullrefresh')[0].style.display = 'block';
			},
			complete: function(XMLHttpRequest, status) {
				if (status == 'timeout') {
					getList();
				}
			}
		});
}
var vm = new Vue({
	el: '#wrap',
	data: {
		roleList: [],
		prevourList: '',
		list: [],
		//查询
		name: '',
		role_id: '', //角色
		state: '', //在职状态
		tel: '', //手机号码
		//删除id
		itemId: '',
		//全选
		allCheck: '',
		checkNum: 0,
		length: 0,

		//部门列表
		sectionList: '',

		//详情
		detail: {
			basic: {}
		}
	},
	created: function() {
		this.rolesFn();
	},
	mounted: function() {

	},
	methods: {
		rolesFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/User/role_api.aspx?cmd=01', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.list, function(index, item) {
						that.roleList[index] = {
							value: item.basic.id,
							text: item.basic.name
						}
					})
					that.roleList.unshift({
						value: '-',
						text: '不限'
					});
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.rolesFn();
					}
				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/emp_info_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('删除成功');
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		},
		//部门列表
		sectionListFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/boss/api/is_dep.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.sectionList = data.list;
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		}
	},
	watch: {
		detail: function() {
			var that = this;
			mui.each(that.roleList, function(index, item) {
				if (Number(that.detail.role_id) == item.value) {
					mui('.role')[0].innerText = item.text;
				}
			})

		}
	}
})

//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked;
	var checkBox = mui('.oneCheck');
	mui.each(checkBox, function(index, item) {
		item.checked = isChecked;
	})
})

//添加员工
mui('#wrap').on('tap', '#addPerson', function() {
	mui.openWindow({
		url: 'addDangan.html',
		id: "addDangan",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	mui.openWindow({
		url: 'addDangan.html?itemno=' + this.getAttribute('itemno') + '&flag=1',
		id: "addDangan",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//查询
mui('#wrap').on('tap', '#search', function() {
	mui('#middlePopover').popover('show');
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#ok', function() {
	if (vm.section == '不限') {
		vm.section = '';
	}
	if (vm.state == '不限') {
		vm.state = '';
	}
	page = 1;
	vm.list = [];
	getList();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	mui('#middlePopover').popover('hide');
})

mui('#middlePopover').on('tap', '.state', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '不限',
		text: '不限'
	}, {
		value: '1',
		text: '在职'
	}, {
		value: '0',
		text: '离职'
	}]);
	picker.show(function(selectItems) {
		vm.state = selectItems[0].value;
		mui('#stateInp')[0].value = selectItems[0].text;
	})
})
mui('#middlePopover').on('tap', '.roleDiv', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.roleList);
	picker.show(function(selectItems) {
		if (selectItems[0].value == '-') {
			vm.role_id = '';
		} else {
			vm.role_id = selectItems[0].value;
		}

		mui('#roleInp')[0].value = selectItems[0].text;
	})
})

//查看详情
mui('#wrap').on('tap', '.detail', function() {
	var itemno = this.getAttribute('itemno');
	mui.openWindow({
		url: 'addDangan.html?itemno=' + this.getAttribute('itemno') + '&flag=2',
		id: "addDangan",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//单个删除
mui('#wrap').on('tap', '.delete', function() {
	vm.itemId = this.getAttribute('itemno');
	mui.confirm('确认删除此员工档案吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.delectFn();
		}
	}, 'div')
})
//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if (item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if (vm.itemId == '') {
		mui.alert('请选择要删除的员工资料', ' ', function() {}, 'div');
	} else {
		mui.confirm('确认删除选中的员工档案吗', ' ', ['取消', '确认'], function(e) {
			if (e.index == 1) {
				vm.delectFn();
			}
		}, 'div')
	}

})

//单个选中
mui('body').on('change', '.oneCheck', function() {
	if (this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if (vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})
