mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: getList
		}
	}
});

function accMul(arg1, arg2) {
	var m = 0,
		s1 = arg1.toString(),
		s2 = arg2.toString();
	try {
		m += s1.split(".")[1].length
	} catch(e) {}
	try {
		m += s2.split(".")[1].length
	} catch(e) {}
	return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m)
}

var page = 1;

function getList() {
	mui.ajax('http://dc.10le.cn/basic/vip_discount_info_api.aspx?page=' + page + '&cmd=', {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			mui.each(data.list, function(index, item) {
				item.basic.discount_rate = accMul(100, item.basic.discount_rate);
			})

			if(page > data.PageCount) {
				vm.list = vm.list;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.list = vm.list.concat(data.list);
				vm.length = vm.list.length;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}
			page++;
		},
		complete: function(XMLHttpRequest, status) {
			if(status == 'timeout') {
				getList();
			}
		}
	});
}

var vm = new Vue({
	el: "#wrap",
	data: {
		list: [],
		flag: "",
		length: 0,
		itemId: '',
		checkNum: 0,
		discount_no: '',
		discount_name: '', //折扣名称
		discount_rate: '', //折扣比率
		discount_memo: '' //备注
	},
	mounted: function() {

	},
	methods: {
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_discount_info_api.aspx', {
				data: {
					cmd: '02',
					discount_name: that.discount_name,
					discount_type: '',
					discount_rate: that.discount_rate,
					discount_memo: that.discount_memo
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#middlePopover').popover('hide');
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_discount_info_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui('#middlePopover').popover('hide');
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_discount_info_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.discount_no = data.Body.item.discount_no;
						that.discount_name = data.Body.item.discount_name;
						that.discount_rate = accMul(100, data.Body.item.discount_rate);
						that.discount_memo = data.Body.item.discount_memo;
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_discount_info_api.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemId,
					discount_no: that.discount_no,
					discount_name: that.discount_name,
					discount_type: '',
					discount_rate: that.discount_rate,
					discount_memo: that.discount_memo
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					//					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui('#middlePopover').popover('hide');
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.updateFn();
					}
				}
			});
		}
	},
	watch: {
		flag: function() {
			var middlePopover = mui('#middlePopover')[0];
			var input = middlePopover.getElementsByTagName('input');
			if(this.flag == 'detail') {
				mui('#cancel')[0].style.display = 'none';
				mui('#ok')[0].style.display = 'none';
				mui('#close')[0].style.display = 'inline-block';

				mui.each(input, function(index, item) {
					item.setAttribute('readonly', 'true');
				})
			} else {
				mui('#cancel')[0].style.display = 'inline-block';
				mui('#ok')[0].style.display = 'inline-block';
				mui('#close')[0].style.display = 'none';

				mui.each(input, function(index, item) {
					item.removeAttribute('readonly');
				})
			}
		}
	}
})

//添加
mui('#btns').on('tap', '#addPerson', function() {
	vm.flag = 'add';
	vm.discount_name = ''; //折扣名称
	vm.discount_rate = ''; //折扣比率
	vm.discount_memo = ''; //备注
	mui('#middlePopover').popover('show');
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#close', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#ok', function() {
	if(vm.discount_name == '') {
		mui.alert('请输入方案名称', ' ', function() {}, 'div');
		return false;
	} else if(vm.discount_rate == '') {
		mui.alert('请输入折扣比率', ' ', function() {}, 'div');
		return false;
	} else if(vm.discount_rate < 1 || vm.discount_rate > 100) {
		mui.alert('请输入1~100的数字', ' ', function() {}, 'div');
		return false;
	} else {
		if(vm.flag == 'add') {
			vm.addFn();
		} else if(vm.flag == 'edit') {
			vm.updateFn();
		}
	}

})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	vm.flag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
	mui('#middlePopover').popover('show');
})

//详情
mui('#wrap').on('tap', '.detail', function() {
	vm.flag = 'detail';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
	mui('#middlePopover').popover('show');
})

//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked;
	mui.each(mui('.oneCheck'), function(index, item) {
		item.checked = isChecked;
	})
})

//删除
mui('#wrap').on('tap', '.delete', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的方案吗', ' ', ['取消', '确认'], function(e) {
		if(e.index == 1) {
			vm.itemId = id;
			vm.delectFn();
		}
	}, 'div')
})

//单个选中
mui('body').on('change', '.oneCheck', function() {
	if(this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if(vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})

//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if(item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if(vm.itemId == '') {
		mui.alert('请选择要删除的方案', ' ', function() {}, 'div');
	} else {
		mui.confirm('确认删除选中的方案吗', ' ', ['取消', '确认'], function(e) {
			if(e.index == 1) {
				vm.delectFn();
			}
		})
	}

})