mui.init();
//时间
Date.prototype.format = function(format) {
	var args = {
		"M+": this.getMonth() + 1,
		"d+": this.getDate(),
		"h+": this.getHours() + 2,
		"m+": this.getMinutes(),
		"s+": this.getSeconds(),
		"q+": Math.floor((this.getMonth() + 3) / 3), //quarter
		"S": this.getMilliseconds()
	};
	if (/(y+)/.test(format))
		format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var i in args) {
		var n = args[i];
		if (new RegExp("(" + i + ")").test(format))
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? n : ("00" + n).substr(("" + n).length));
	}
	return format;
};

var vm = new Vue({
	el: '#wrap',
	data: {
		payStyle: 'tangshi',
		eatDate: '',
		address: '',
		localAddress: '',
		address_no: '',
		deskName: '',
		deskid: '',
		deskName2: '',
		deskid2: '',
		info: '',
		UserAuthor: '',
		buyCar: 0,
		count: 0,
		yudingNum: '', //预订人数
		beizhu: '',
		//堂食人数
		tpNum: '',
		flag: 0,
		//菜品数组
		idArr: [],
		numArr: [],
		countArr: [],
		nameArr: []

	},
	mounted: function() {
		var that = this;
		that.idArr = JSON.parse(localStorage.getItem('idArr'));
		that.numArr = JSON.parse(localStorage.getItem('numArr'));
		that.countArr = JSON.parse(localStorage.getItem('countArr'));
		that.nameArr = JSON.parse(localStorage.getItem('nameArr'));
		mui.each(that.countArr, function(index, item) {
			that.count += Number(item);
		})
		that.count = (that.count).toFixed(2);

		if (localStorage.getItem('deskid1') != null && localStorage.getItem('deskid1') != '') {
			that.deskName = localStorage.getItem('deskName1');
			that.deskid = localStorage.getItem('deskid1');
		}
		if (localStorage.getItem('deskid2') != null && localStorage.getItem('deskid2') != '') {
			that.deskName2 = localStorage.getItem('deskName2');
			that.deskid2 = localStorage.getItem('deskid2');
		}

		if (localStorage.getItem('yudingNum') != null && localStorage.getItem('yudingNum') != '') {
			that.yudingNum = localStorage.getItem('yudingNum');
		}
		if (localStorage.getItem('tpNum') != null && localStorage.getItem('tpNum') != '') {
			that.tpNum = localStorage.getItem('tpNum');
		}
		if (localStorage.getItem('eatDate') != null && localStorage.getItem('eatDate') != '') {
			that.eatDate = localStorage.getItem('eatDate');
		}
		// localStorage.setItem('payStyle',vm.payStyle);
		if (localStorage.getItem('payStyle') != null && localStorage.getItem('payStyle') != '') {
			that.payStyle = localStorage.getItem('payStyle');
		}
		console.log(that.payStyle);
		that.getLocaluser();

		mui.each(mui('.styleItem'), function(index, item) {
			item.classList.remove('mui-active');
		})
		mui.each(mui('.styleContent'), function(index, item) {
			item.classList.remove('mui-active');
		})

		if (that.payStyle == 'waimai') {
			mui('.waimaiDiv')[0].classList.add('mui-active');
			mui('#waimai')[0].classList.add('mui-active');
		} else if (that.payStyle == 'shop') {
			mui('.shopDiv')[0].classList.add('mui-active');
			mui('#shop')[0].classList.add('mui-active');

		} else if (that.payStyle == 'tangshi') {
			mui('.tangshiDiv')[0].classList.add('mui-active');
			mui('#tangshi')[0].classList.add('mui-active');
		}

		mui('#warning')[0].style.display = 'none';
		mui('#wrap')[0].style.display = 'block';
	},
	methods: {
		getLocaluser: function() {
			if (localStorage.getItem('UserAuthorizationSign2') != null) {
				this.UserAuthor = localStorage.getItem('UserAuthorizationSign2');
			}
		},
		getAddress: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/address?t=list', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						if (data.Body.length == 0) {
							mui('.addp')[0].innerText = '添加地址';
							mui('#add')[0].style.display = 'block';
							mui('#change')[0].style.display = 'none';
						} else {
							that.address = data.Body[0]; //默认第一个地址
							mui('#add')[0].style.display = 'none';
							mui('#change')[0].style.display = 'block';
						}
					} else {
						mui.toast(data.msg);
					}

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getAddress();
					}
				}
			});
		},
		infoFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/text', {
				data: "",
				dataType: 'json', //服务器返回json格式数据
				type: 'GET', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == "0001") {
						mui.alert(data.msg, ' ', function() {}, 'div');
						return;
					}
					that.info = data.Body;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.infoFn();
					}
				}
			});
		},
		trimFn: function(s) {
			return s.replace(/(^\s*)|(\s*$)/g, "");
		},
		//下单
		common: function(deskid, type) {
			var that = this;
			var idString = that.idArr.join(','),
				numString = that.numArr.join(','),
				url = "";

			if (type == 'tangshi') {
				url = 'http://dci.10le.cn/VipPart/Addbilldetail?billno=' + localStorage.getItem('bill_no') + '&itmeno=' +
					idString + '&num=' + numString + '&deskid=' + deskid;
			} else {
				url = 'http://dci.10le.cn/VipPart/Addbilldetail?billno=' + localStorage.getItem('bill_no') + '&itmeno=' +
					idString + '&num=' + numString + '&deskid=' + deskid + '&isnet=1';
			}
			mui.ajax(url, {
				data: "",
				dataType: 'json', //服务器返回json格式数据
				type: 'GET', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == "0001") {
						mui('#warning')[0].style.display = 'none';
						mui.alert(data.msg, ' ', function() {}, 'div');
						return;
					}
					mui('#warning')[0].style.display = 'none';
					// 删除应该删的缓存
					// 预定
					if (type == 'yuding') {
						localStorage.setItem('isnet', 'true');
						mui.openWindow({
							url: 'jiezhang.html?billno=' + localStorage.getItem('bill_no') + '&isnet=1',
							id: 'jiezhang',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					} else if (type == 'tangshi') { //堂食
						localStorage.removeItem('isnet');
						mui.openWindow({
							url: 'consumeDetail.html',
							id: 'consumeDetail',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					} else if (type == 'waimai') { //外卖
						localStorage.setItem('isnet', 'true');
						mui.openWindow({
							url: 'jiezhang.html?billno=' + localStorage.getItem('bill_no') + '&isnet=1',
							id: 'jiezhang',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.common();
					}
				}
			});
		},
		//外卖送餐
		waimaiFn: function(address, tel, name) {
			var that = this;
			localStorage.removeItem('deskid');
			mui.ajax('http://dci.10le.cn/VipPart/openstand?type=1&address=' + address + '&tel=' + tel + '&name=' + name +
				'&emo=' + that.trimFn(that.beizhu) + '&isnet=1', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
						'qrkey': localStorage["qrkey"] || ''
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data != null && data.code == "0001") {
							mui('#warning')[0].style.display = 'none';
							mui.alert(data.msg, ' ', function() {}, 'div');
							return;
						}
						localStorage.setItem('bill_no', data.Body.bill_no);
						that.common('', 'waimai');
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {

						if (status == 'timeout') {
							that.waimaiFn();
						}
					}
				});
		},
		//堂食
		tangshiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/openstand?deskid=' + that.deskid + '&emo=' + that.trimFn(that.beizhu) +
				'&count=' + Number(that.tpNum), {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
						'qrkey': localStorage["qrkey"] || ''
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == "0001") {
							mui('#warning')[0].style.display = 'none';
							mui.alert(data.msg, ' ', function() {}, 'div');
							return;
						}
						localStorage.setItem('bill_no', data.Body.bill_no);
						that.common(that.deskid, 'tangshi');
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.tangshiFn();
						}
					}
				});
		},
		//预定
		yudingFn: function() {
			var that = this;
			localStorage.removeItem('deskid');
			mui.ajax('http://dci.10le.cn/VipPart/openstand?type=2&num=' + that.yudingNum + '&tel=' + vm.info.手机 + '&name=' +
				vm.info.姓名 + '&time=' + that.eatDate + '&emo=' + that.trimFn(that.beizhu) + '&isnet=1' +
				'&deskid=' + that.deskid2, {
					data: "",
					dataType: 'json', //服务器返回json格式数据
					type: 'GET', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
						'qrkey': localStorage["qrkey"] || ''
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == "0001") {
							mui('#warning')[0].style.display = 'none';
							mui.alert(data.msg, ' ', function() {}, 'div');
							return;
						}
						localStorage.setItem('bill_no', data.Body.bill_no);
						that.common(that.deskid2, 'yuding');
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.yudingFn();
						}
					}
				});
		}
	},
	watch: {
		payStyle: function() {
			this.address_no = localStorage.getItem('address_no');
			if (this.payStyle == 'waimai') {
				if (this.address_no == null && this.UserAuthor != '') {
					this.getAddress(); //没有选地址默认第一个
				} else if (this.address_no != null && this.UserAuthor != '') { //选完地址
					this.address = JSON.parse(localStorage.getItem('addressInfo'));
					this.address.address_no = this.address_no;
					mui('#change')[0].style.display = 'block';
					mui('#add')[0].style.display = 'none';
				} else {
					mui('#change')[0].style.display = 'none';
					mui('.addp')[0].innerText = '请登录';
					mui('#add')[0].style.display = 'block';
				}
			}
		},
		UserAuthor: function() {
			//如果登录了预约姓名和电话就是本人
			if (this.UserAuthor != '') {
				this.infoFn();
			}
		}
	}
})

mui('#wrap').on('tap', '.eatTime', function() {
	var dtpicker = new mui.DtPicker({
		"type": "datetime",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2300, 0, 1)
	})
	dtpicker.show(function(rs) {
		vm.eatDate = rs.text;
		localStorage.setItem('eatDate', vm.eatDate);
		//销毁时间控件
		dtpicker.dispose();
	})
})

//登录后选择地址
mui('#wrap').on('tap', '#change', function() {
	localStorage.setItem('selAddress', 'true');
	mui.openWindow({
		url: 'address.html',
		id: 'address',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})

})

//添加地址
mui('#wrap').on('tap', '#add', function() {
	if (vm.UserAuthor == '') { //游客登录
		localStorage.setItem('login', 'eatStyle');
		mui.openWindow({
			url: 'login.html',
			id: 'login',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	} else {
		localStorage.setItem('selAddress', 'true');
		mui.openWindow({
			url: 'address.html',
			id: 'address',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	}
})

mui('.mui-scroll').on('tap', '.mui-control-item', function() {
	vm.payStyle = this.getAttribute('eatStyle');
	localStorage.setItem('payStyle', vm.payStyle);
})

//确定下单
mui('#bottom').on('tap', 'button', function() {
	if (vm.info == '') {
		mui.alert('请登录', ' ', function() {}, 'div');
		return;
	}

	if (vm.payStyle == 'waimai') { //外卖    选择支付方式和输入地址
		var address = mui('.address')[0].innerText,
			addTel = mui('.addTel')[0].innerText,
			addUser = mui('.addUser')[0].innerText;
		if (address == '') {
			mui.alert('请选择地址', ' ', function() {}, 'div');
			return;
		} else {
			vm.waimaiFn(address, addTel, addUser);
		}
	} else if (vm.payStyle == 'tangshi') { //堂食的要选择桌台
		if (vm.deskid == '' || vm.deskid == null) {
			mui.alert('请选择餐桌', ' ', function() {}, 'div');
			return;
		} else if (vm.tpNum == '' || vm.tpNum == 0) {
			mui.alert('请选择用餐人数', ' ', function() {}, 'div');
			return;
		} else {
			vm.tangshiFn();
		}
	} else { //预定的
		if (vm.eatDate == '') {
			mui.alert('请选择到店时间', ' ', function() {}, 'div');
			return;
		} else if (vm.yudingNum == 0 || vm.yudingNum == '') {
			mui.alert('请选择用餐人数', ' ', function() {}, 'div');
			return;
		} else {
			vm.yudingFn();
		}
	}
})

//选择桌台
mui('#wrap').on('tap', '.selectDesk', function() {
	localStorage.setItem('selDesk1', vm.payStyle);
	mui.openWindow({
		url: 'desk.html',
		id: 'desk',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
// //登录
mui('#wrap').on('tap', '.loginLi', function() {

	localStorage.setItem('login', 'eatStyle');
	mui.openWindow({
		url: 'login.html',
		id: 'login',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

mui('body').on('tap', '.tpNum', function() {
	vm.flag = 1;
	mui('#middlePopover').popover('show');
	if (vm.tpNum == 0 && vm.tpNum == '') {
		mui('.mui-numbox').numbox().setValue(1);
	} else {
		mui('.mui-numbox').numbox().setValue(vm.tpNum);
	}
})
mui('body').on('tap', '.eatNum', function() {
	vm.flag = 2;
	mui('#middlePopover').popover('show');
	if (vm.yudingNum == 0 && vm.yudingNum == '') {
		mui('.mui-numbox').numbox().setValue(1);
	} else {
		mui('.mui-numbox').numbox().setValue(vm.yudingNum);
	}

})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#okBtn', function() {
	var num = mui('.mui-numbox').numbox().getValue();
	if (Number(num) == 0 || Number(num) < 0) {
		mui.alert('用餐人数不能少于1', ' ', function() {}, 'div');
		return false;
	} else if (vm.flag == 2) {
		vm.yudingNum = num;
		localStorage.setItem('yudingNum', vm.yudingNum);
		// mui('#eatNum')[0].innerText = vm.yudingNum + '人';
		mui('#middlePopover').popover('hide');
	} else if (vm.flag == 1) {
		vm.tpNum = num;
		localStorage.setItem('tpNum', vm.tpNum);
		mui('#middlePopover').popover('hide');
	}
})
