var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if(!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: listFn
		}
	}
});
var pageIndex = 1;

function listFn() {
	mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=1&pageIndex=' + pageIndex + '&start_date=' + vm.startDate + '&end_date=' + vm.endDate + '&timer_no=' + vm.timer_no + '&cq_no=' + vm.cq_no + '&desk_id=' + vm.desk_id, {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000,
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if(pageIndex > data.Body.PageCount) {
				vm.flowInfo = vm.flowInfo;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.flowInfo = vm.flowInfo.concat(data.Body.list);

				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}
			mui('#warning')[0].style.display = 'none';
			vm.length = vm.flowInfo.length;
			vm.account = data.Body.总计;
			pageIndex++;
		},
		error: function(xhr, type, errorThrown) {
			mui.alert(errorThrown);
		},
		complete: function(XMLHttpRequest, status) {
			if(status == 'timeout') {
				listFn();
			}
		}

	});
}

var vm = new Vue({
	el: '#wrap',
	data: {
		year: new Date().getFullYear(),
		month: new Date().getMonth() + 1,
		date: new Date().getDate(),
		flowInfo: [],
		billno: '', //详情订单号
		account: {},
		length: 0,
		timerList: [{
			value: '',
			text: '不限'
		}],
		cqList: [{
			value: '',
			text: '不限'
		}],
		deskList: [{
			value: '',
			text: '不限'
		}],
		//查询
		startDate: '',
		endDate: '',
		timer_no: '', //市别
		cq_no: '', //餐区
		desk_id: '' //桌台
	},
	mounted: function() {
		this.startDate = this.year + '-' + this.month + '-' + this.date;
		this.cqFn();
		this.deskFn();
		this.timeFn();
	},
	methods: {
		cqFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/data_cq_api.aspx?cmd=01', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.list, function(index, item) {
						that.cqList[index + 1] = {
							value: item.basic.cq_no,
							text: item.basic.cq_name
						}
					})
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.cqFn();
					}
				}
			});
		},
		deskFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/data_desk_api.aspx?cmd=01', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.list, function(index, item) {
						that.deskList[index + 1] = {
							value: item.basic.desk_id,
							text: item.basic.desk_name
						}
					})
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.deskFn();
					}
				}
			});
		},
		timeFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/GetTimerList', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body.list, function(index, item) {
						that.timerList[index + 1] = {
							value: item.timer_no,
							text: item.timer_name
						}
					})
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.timeFn();
					}
				}
			});
		}
	}
})

//详情
mui('#pullrefresh').on('tap', '.mui-card', function() {
	mui.openWindow({
		url: 'flowDetail.html?billno=' + this.getAttribute('billno'),
		id: 'flowDetail.html',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

mui('#btns').on('tap', '#search', function() {
	mui('.middlePopover').popover('show');
})

mui('.middlePopover').on('tap', '.cancel', function() {
	mui('.middlePopover').popover('hide');
})

mui('.middlePopover').on('tap', '#startDate', function() {
	document.activeElement.blur();
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.startDate = selectItems.text;
	})
})
mui('.middlePopover').on('tap', '#endDate', function() {
	document.activeElement.blur();
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.endDate = selectItems.text;
	})
})

mui('#wrap').on('tap', '.cqDiv', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.cqList);
	picker.show(function(selectItems) {
		vm.cq_no = selectItems[0].value;
		mui('.cqInp')[0].value = selectItems[0].text;
	})
})

mui('#wrap').on('tap', '.timeDiv', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.timerList);
	picker.show(function(selectItems) {
		vm.timer_no = selectItems[0].value;
		mui('.timeInp')[0].value = selectItems[0].text;
	})
})
mui('#wrap').on('tap', '.deskDiv', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.deskList);
	picker.show(function(selectItems) {
		vm.desk_id = selectItems[0].value;
		mui('.deskInp')[0].value = selectItems[0].text;
	})
})

mui('.middlePopover').on('tap', '.okBtn', function() {
	mui('#warning')[0].style.display = 'block';
	pageIndex = 1;
	vm.flowInfo = [];
	vm.account = {};
	listFn();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	mui('.middlePopover').popover('hide');
})