mui.init();
var vm = new Vue({
	el: '#wrap',
	data: {
		giveMoneyList: [],
		giveJifenList: [],
		giveGoodList: [],
		giveCouponList: [],
		allGoods: [],
		allGoodObj: [],

		sect_amt: '', //充值金额
		give_value: '', //赠送
		//赠送金额
		rate_or_amt: '', //赠送方式
		//赠送积分
		rate_or_amt2: '',
		//赠送商品
		item_no: '', //赠送商品	

		moneyFlag: '',
		jifenFlag: '',
		goodFlag: '',
		couponFlag: '',

		itemId: ''
	},
	created: function() {
		this.goodList();
		this.giveMoneyFn();
		this.giveJifenFn();
		this.giveGoodFn();
		this.giveCouponFn();
	},
	mounted: function() {

	},
	methods: {
		//所有的商品
		goodList: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.allGoods = data.list;
					mui.each(that.allGoods, function(index, item) {
						that.allGoodObj[index] = {
							value: item.basic.ID,
							text: item.basic.item_name
						}
					})

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.goodList();
					}
				}
			});
		},
		//赠送金额记录
		giveMoneyFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=01', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.giveMoneyList = data.list;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.giveMoneyFn();
					}
				}
			});
		},
		//赠送积分
		giveJifenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=02', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.giveJifenList = data.list;

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.giveJifenFn();
					}
				}
			});
		},
		//赠送商品
		giveGoodFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=03', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {

					that.giveGoodList = data.list;

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.giveGoodFn();
					}
				}
			});
		},
		//赠送现金券
		giveCouponFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=04', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.giveCouponList = data.list;

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.giveCouponFn();
					}
				}
			});
		},
		//添加赠送金额
		addMoneyFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=01&cmd=02&sect_amt=' + that.sect_amt +
				'&rate_or_amt=' + that.rate_or_amt + '&give_value=' + that.give_value, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							vm.giveMoneyFn();
							mui('.middlePopover1').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addMoneyFn();
						}
					}
				});
		},
		//删除赠送金额
		delectMoneyFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=01&cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						vm.giveMoneyFn();
						mui('.middlePopover1').popover('hide');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectMoneyFn();
					}
				}
			});
		},
		//查询赠送金额
		searchMoneyFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=01&cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						vm.sect_amt = data.Body.item.sect_amt;
						vm.give_value = data.Body.item.give_value;
						vm.rate_or_amt = data.Body.item.rate_or_amt;
						mui('.middlePopover1').popover('show');
						if (vm.rate_or_amt == '1') {
							mui('.giveStyleInp')[0].value = '按比例（每满多少送多少）';

						} else if (vm.rate_or_amt == '2') {
							mui('.giveStyleInp')[0].value = '固定值（满多少送多少）';

						}
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchMoneyFn();
					}
				}
			});
		},
		//编辑赠送金额
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=01&cmd=03&itemId=' + that.itemId +
				'&sect_amt=' + that.sect_amt + '&rate_or_amt=' + that.rate_or_amt + '&give_value=' + that.give_value, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveMoneyFn();
							mui('.middlePopover1').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateFn();
						}
					}
				});
		},
		//添加积分
		addJifenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=02&cmd=02&sect_amt=' + that.sect_amt +
				'&give_value=' + that.give_value + '&rate_or_amt=' + that.rate_or_amt2, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveJifenFn();
							mui('.middlePopover2').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addJifenFn();
						}
					}
				});
		},
		//删除积分 
		delectJifenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=02&cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						that.giveJifenFn();
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectJifenFn();
					}
				}
			});
		},
		//查询积分
		searchJifenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=02&cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						vm.sect_amt = data.Body.item.sect_amt;
						vm.rate_or_amt2 = data.Body.item.rate_or_amt;
						vm.give_value = data.Body.item.give_value;
						if (data.Body.item.rate_or_amt == '1') {
							mui('.giveStyleInp2')[0].value = '按比例（每满多少送多少）';
						} else if (data.Body.item.rate_or_amt == '2') {
							mui('.giveStyleInp2')[0].value = '固定值（满多少送多少）';
						}
						mui('.middlePopover2').popover('show');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchJifenFn();
					}
				}
			});
		},
		//修改积分
		updateJifenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=02&cmd=03&sect_amt=' + that.sect_amt +
				'&give_value=' + that.give_value + '&itemId=' + that.itemId + '&rate_or_amt=' + that.rate_or_amt2, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveJifenFn();
							mui('.middlePopover2').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateJifenFn();
						}
					}
				});
		},
		//添加商品
		addGoodFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=03&cmd=02&sect_amt=' + that.sect_amt +
				'&give_value=' + that.give_value + '&item_no=' + that.item_no, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveGoodFn();

							mui('.middlePopover3').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addGoodFn();
						}
					}
				});
		},
		//删除赠送商品
		delectGoodFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=03&cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						that.giveGoodFn();

					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectGoodFn();
					}
				}
			});
		},
		//查询赠送商品
		searchGoodFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=03&cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						vm.sect_amt = data.Body.item.sect_amt;
						vm.give_value = data.Body.item.give_value;
						vm.item_no = data.Body.item.item_no;
						mui.each(that.allGoods, function(index, item) {
							if (item.basic.ID == vm.item_no) {
								mui('#giveGood')[0].value = item.basic.item_name;
							}
						})
						mui('.middlePopover3').popover('show');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchGoodFn();
					}
				}
			});
		},
		//修改商品
		updateGoodFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=03&cmd=03&sect_amt=' + that.sect_amt +
				'&give_value=' + that.give_value + '&item_no=' + that.item_no + '&itemId=' + that.itemId, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveGoodFn();

							mui('.middlePopover3').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateGoodFn();
						}
					}
				});
		},
		//增加现金券
		addCouponFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=04&cmd=02&sect_amt=' + that.sect_amt +
				'&give_value=' + that.give_value, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveCouponFn();
							mui('.middlePopover4').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addCouponFn();
						}
					}
				});
		},
		//删除现金券
		delectCouponFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=04&cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						that.giveCouponFn();
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectCouponFn();
					}
				}
			});
		},
		//查询现金券
		searchCouponFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=04&cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						vm.sect_amt = data.Body.item.sect_amt;
						vm.give_value = data.Body.item.give_value;
						mui('.middlePopover4').popover('show');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchCouponFn();
					}
				}
			});
		},
		//修改现金券
		updateCouponFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_save_detail_api.aspx?save_no=04&cmd=03&sect_amt=' + that.sect_amt +
				'&give_value=' + that.give_value + '&itemId=' + that.itemId, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.giveCouponFn();

							mui('.middlePopover4').popover('hide');
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateCouponFn();
						}
					}
				});
		}
	},
	watch: {
		giveGoodList: function() {
			mui.each(vm.allGoods, function(index1, item1) {
				mui.each(vm.giveGoodList, function(index2, item2) {
					if (item1.basic.ID == item2.basic.item_no) {
						item2.basic.item_no = item1.basic.item_name;
					}
				})
			})
		},
		goodFlag: function() {
			if (this.goodFlag == 'detail') {
				mui('.cancel3')[0].style.display = 'none';
				mui('.ok3')[0].style.display = 'none';
				mui('.close3')[0].style.display = 'inline-block';
			} else {
				mui('.cancel3')[0].style.display = 'inline-block';
				mui('.ok3')[0].style.display = 'inline-block';
				mui('.close3')[0].style.display = 'none';
			}
		}

	}
})

//添加
mui('#btns').on('tap', '#add', function() {
	var el = mui('#segmentedControl>.mui-active')[0];
	var myName = el.dataset.myname;

	vm.sect_amt = '';
	vm.give_value = '';
	vm.rate_or_amt = '';
	vm.item_no = '';
	vm.rate_or_amt2 = '';

	if (myName == 'giveMoney') {
		mui('.giveStyleInp')[0].value = '';
		vm.moneyFlag = 'add';
		mui('.middlePopover1').popover('show');
	} else if (myName == 'giveJifen') {
		vm.jifenFlag = 'add';
		mui('.middlePopover2').popover('show');
	} else if (myName == 'giveGood') {
		vm.goodFlag = 'add';
		mui('#giveGood')[0].value = '';
		mui('.middlePopover3').popover('show');
	} else if (myName == 'giveCoupon') {
		vm.couponFlag = 'add';
		mui('.middlePopover4').popover('show');
	}
})
//取消弹出框
mui('.middlePopover1').on('tap', '.cancel1', function() {
	mui('.middlePopover1').popover('hide');
})
mui('.middlePopover2').on('tap', '.cancel2', function() {
	mui('.middlePopover2').popover('hide');
})
mui('.middlePopover3').on('tap', '.cancel3', function() {
	mui('.middlePopover3').popover('hide');
})
mui('.middlePopover4').on('tap', '.cancel4', function() {
	mui('.middlePopover4').popover('hide');
})
//赠送方式
mui('body').on('tap', '.giveStyle', function() {

	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '1',
		text: '按比例（每满多少送多少）'
	}, {
		value: '2',
		text: '固定值（满多少送多少）'
	}]);
	picker.show(function(selectItems) {
		vm.rate_or_amt = selectItems[0].value;
		mui('.giveStyleInp')[0].value = selectItems[0].text;
	})
})
//积分赠送方式
//赠送方式
mui('body').on('tap', '.giveStyle2', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '1',
		text: '按比例（每满多少送多少）'
	}, {
		value: '2',
		text: '固定值（满多少送多少）'
	}]);
	picker.show(function(selectItems) {
		vm.rate_or_amt2 = selectItems[0].value;
		mui('.giveStyleInp2')[0].value = selectItems[0].text;
	})
})
//选择赠送商品
mui('body').on('tap', '.selectGood', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.allGoodObj);
	picker.show(function(selectItems) {
		vm.item_no = selectItems[0].value;
		mui('#giveGood')[0].value = selectItems[0].text;
	})
})

mui('#segmentedControl').on('tap', '.giveGood', function() {
	mui.each(vm.allGoods, function(index1, item1) {
		mui.each(vm.giveGoodList, function(index2, item2) {
			if (item1.basic.ID == item2.basic.item_no) {
				item2.basic.item_no = item1.basic.item_name;
			}
		})
	})
})

//添加赠送金额
mui('#wrap').on('tap', '.ok1', function() {
	if (vm.sect_amt == '' || vm.sect_amt < 0 || vm.sect_amt == 0) {
		mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
		return;
	} else if (vm.rate_or_amt == '') {
		mui.alert('请选择赠送方式', ' ', function() {}, 'div');
		return;
	} else if (vm.give_value == '' || vm.give_value == 0 || vm.give_value < 0) {
		mui.alert('请输入正确的赠送金额', ' ', function() {}, 'div');
		return;
	}

	if (vm.moneyFlag == 'add') {
		vm.addMoneyFn();
	} else if (vm.moneyFlag == 'edit') {
		vm.updateFn();
	}
})

//赠送金额删除
mui('#wrap').on('tap', '.delete1', function() {
	var id = this.getAttribute('itemno');
	mui.confirm('确认删除选中的方案吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.itemId = id;
			vm.delectMoneyFn();
		}
	}, 'div')
})

//赠送金额编辑
mui('#wrap').on('tap', '.edit1', function() {
	vm.moneyFlag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchMoneyFn();
})

//添加积分
mui('#wrap').on('tap', '.ok2', function() {
	if (vm.sect_amt == '' || vm.sect_amt < 0 || vm.sect_amt == 0) {
		mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
		return;
	} else if (vm.rate_or_amt2 == '') {
		mui.alert('请选择赠送方式', ' ', function() {}, 'div');
		return;
	} else if (vm.give_value == '' || vm.give_value == 0 || vm.give_value < 0) {
		mui.alert('请输入正确的赠送积分', ' ', function() {}, 'div');
		return;
	}

	if (vm.jifenFlag == 'add') {
		vm.addJifenFn();
	} else if (vm.jifenFlag == 'edit') {
		vm.updateJifenFn();
	}
})
//删除积分  
mui('#wrap').on('tap', '.delete2', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的方案吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.itemId = id;
			vm.delectJifenFn();
		}
	}, 'div')
})

//编辑积分
mui('#wrap').on('tap', '.edit2', function() {
	vm.itemId = this.getAttribute('itemno');
	vm.jifenFlag = 'edit';
	vm.searchJifenFn();
})

//添加赠送商品
mui('#wrap').on('tap', '.ok3', function() {
	if (vm.sect_amt == '' || vm.sect_amt < 0 || vm.sect_amt == 0) {
		mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
		return;
	} else if (vm.item_no == '') {
		mui.alert('请选择赠送商品', ' ', function() {}, 'div');
		return;
	} else if (vm.give_value == '' || vm.give_value < 0 || vm.give_value == 0) {
		mui.alert('请输入正确的赠送数量', ' ', function() {}, 'div');
		return;
	}

	if (vm.goodFlag == 'add') {
		vm.addGoodFn();
	} else if (vm.goodFlag == 'edit') {
		vm.updateGoodFn();
	}
})

//删除赠送商品
mui('#wrap').on('tap', '.delete3', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的方案吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.itemId = id;
			vm.delectGoodFn();
		}
	}, 'div')
})

//编辑商品
mui('#wrap').on('tap', '.edit3', function() {
	vm.goodFlag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchGoodFn();
})
//详情
mui('#wrap').on('tap', '.detail3', function() {
	vm.goodFlag = 'detail';
	vm.itemId = this.getAttribute('itemno');
	vm.searchGoodFn();
})
mui('.middlePopover3').on('tap', '.close3', function() {
	mui('.middlePopover3').popover('hide');
})

//添加赠送现金券
mui('#wrap').on('tap', '.ok4', function() {
	if (vm.sect_amt == '' || vm.sect_amt < 0 || vm.sect_amt == 0) {
		mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
		return;
	} else if (vm.give_value == '' || vm.give_value < 0 || vm.give_value == 0) {
		mui.alert('请输入正确的赠送现金券面值', ' ', function() {}, 'div');
		return;
	}

	if (vm.couponFlag == 'add') {
		vm.addCouponFn();
	} else if (vm.couponFlag == 'edit') {
		vm.updateCouponFn();
	}
})

// 删除现金券
mui('#wrap').on('tap', '.delete4', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的方案吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.itemId = id;
			vm.delectCouponFn();
		}
	}, 'div')
})

//编辑现金券
mui('#wrap').on('tap', '.edit4', function() {
	vm.couponFlag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchCouponFn();
})
