mui.init();

var vm = new Vue({
	el: '#wrap',
	data: {
		itemId: '',
		list: [],
		showList: [],
		//顶部搜索
		searchValue: '',
		danweiObj: [], //单位
		itemClassObj: [], //类别
		itemStateObj: [{ //时态
			value: '',
			text: '不限'
		}, { //时态
			value: '01',
			text: '普通'
		}, {
			value: '02',
			text: '特价'
		}, {
			value: '03',
			text: '推荐'
		}, {
			value: '05',
			text: '特色'
		}, {
			value: '10',
			text: '新品'
		}, {
			value: '11',
			text: '热销'
		}, {
			value: '12',
			text: '临时菜'
		}],
		qualeList: [{
			value: '',
			text: '不限'
		}, {
			value: '1',
			text: '商品'
		}, {
			value: '2',
			text: '菜品'
		}, {
			value: '6',
			text: '套餐'
		}],

		//查询
		item_subno: '', //编码
		item_name: '', //名称
		py_code: '', //拼音简码
		item_class: '', //分类
		item_unit_no: '', //基本单位
		display_flag: '', //品态
		item_state: '', //时态
		quale: '' //性质
	},
	created:function(){
		this.listFn();
		this.danweiFn();
		this.itemClassFn();
	},
	mounted: function() {
		
	},
	methods: {
		listFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=01', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.list;
						that.showList = that.list;
					} else {
						mui.toast(data.msg);
					}

				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//所属分类
		itemClassFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/itemclass', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.itemClassObj[0] = {
						value: '',
						text: '不限'
					}
					mui.each(data.Body.list, function(index, item) {
						that.itemClassObj[index + 1] = {
							value: item.id,
							text: item.name
						}
					})
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.itemClassFn();
					}
				}
			});
		},
		danweiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/UnitsOptions', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.danweiObj[0] = {
						value: '',
						text: '不限'
					}
					mui.each(data.Body.data, function(index, item) {
						that.danweiObj[index + 1] = {
							value: item,
							text: item
						}
					})
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.danweiFn();
					}
				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_info_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast('删除成功');
						that.listFn();
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this,
				newArr = [];
			if(that.quale == '不限') {
				that.quale = '';
			}
			mui.each(that.list, function(index, item) {
				var name = item.basic.item_name,
					price = String(item.basic.item_sale_price),
					code = item.basic.py_code,
					dw = item.basic.item_unit_no,
					classname = item.class_name,
					state = item.item_state,
					display = item.display_flag,
					xingzhi = item.basic.item_flag;

				if(xingzhi == '1') {
					xingzhi = '商品';
				} else if(xingzhi == '2') {
					xingzhi = '菜品';
				} else if(xingzhi == '6') {
					xingzhi = '套餐';
				}

				if(name.indexOf(that.item_name) == -1 || code.indexOf(that.py_code.toUpperCase()) == -1 || dw.indexOf(that.item_unit_no) == -1 || classname.indexOf(that.item_class) == -1 || state.indexOf(that.item_state) == -1 || display.indexOf(that.display_flag) == -1 || xingzhi.indexOf(that.quale)) {

				} else {
					newArr.push(item);
				}
			})
			mui('.middlePopover').popover('hide');
			mui.each(mui('.mui-control-content'), function(index, item) {
				item.classList.remove('mui-active');
			})
			mui.each(mui('.mui-control-item'), function(index, item) {
				item.classList.remove('mui-active');
			})

			if(newArr.length == 0) {
				mui.toast('抱歉，没有此菜品');
				that.showList = [];
				mui('#item1')[0].classList.add('mui-active');
				mui('.all')[0].classList.add('mui-active');
			} else if(newArr.length == 1) {
				that.showList = newArr;
				var classname = that.showList[0].basic.item_flag;
				if(classname == 1) {
					mui('#item2')[0].classList.add('mui-active');
					mui('.goods')[0].classList.add('mui-active');
				} else if(classname == 2) {
					mui('#item3')[0].classList.add('mui-active');
					mui('.caipin')[0].classList.add('mui-active');
				} else if(classname == 6) {
					mui('#item4')[0].classList.add('mui-active');
					mui('.taocan')[0].classList.add('mui-active');
				}
			} else if(newArr.length > 1) {
				that.showList = newArr;
				mui('#item1')[0].classList.add('mui-active');
				mui('.all')[0].classList.add('mui-active');
			}
		}
	},
	watch: {
		searchValue: function() {

			if(this.searchValue == '') {
				this.showList = this.list;
				mui('.scrollEl1').scroll().scrollTo(0, 0, 100);
				return false;
			}
			var that = this,
				newArr = [];
			that.item_name = '';
			that.py_code = '';
			that.item_class = '';
			that.item_unit_no = '';
			that.display_flag = '';
			that.item_state = '';
			that.quale = '';
			mui('.itemClass')[0].value = '';
			mui('.danwei')[0].value = '';
			mui('.pintai')[0].value = '';
			mui('.state')[0].value = '';

			mui.each(that.list, function(index, item) {
				var name = item.basic.item_name,
					price = String(item.basic.item_sale_price),
					code = item.basic.py_code,
					dw = item.basic.item_unit_no,
					classname = item.class_name,
					state = item.item_state,
					display = item.display_flag,
					xingzhi = item.basic.item_flag;
				if(xingzhi == 1) {
					xingzhi = '商品';
				} else if(xingzhi == 2) {
					xingzhi = '菜品';
				} else if(xingzhi == 6) {
					xingzhi = '套餐';
				}
				if(name.indexOf(that.searchValue) == -1 && price.indexOf(that.searchValue) == -1 && code.indexOf(that.searchValue.toUpperCase()) == -1 && dw.indexOf(that.searchValue) == -1 && classname.indexOf(that.searchValue) == -1 && state.indexOf(that.searchValue) == -1 && display.indexOf(that.searchValue) == -1 && xingzhi.indexOf(that.searchValue) == -1) {

				} else {
					newArr.push(item);
				}
			})

			mui.each(mui('.mui-control-content'), function(index, item) {
				item.classList.remove('mui-active');
			})
			mui.each(mui('.mui-control-item'), function(index, item) {
				item.classList.remove('mui-active');
			})

			if(newArr.length == 0) {
				mui.toast('抱歉，没有此菜品');
				that.showList = [];
				mui('#item1')[0].classList.add('mui-active');
				mui('.all')[0].classList.add('mui-active');
			} else if(newArr.length == 1) {
				that.showList = newArr;
				var classname = that.showList[0].basic.item_flag;
				if(classname == 1) {
					mui('#item2')[0].classList.add('mui-active');
					mui('.goods')[0].classList.add('mui-active');
				} else if(classname == 2) {
					mui('#item3')[0].classList.add('mui-active');
					mui('.caipin')[0].classList.add('mui-active');
				} else if(classname == 6) {
					mui('#item4')[0].classList.add('mui-active');
					mui('.taocan')[0].classList.add('mui-active');
				}
			} else if(newArr.length > 1) {
				that.showList = newArr;
				mui('#item1')[0].classList.add('mui-active');
				mui('.all')[0].classList.add('mui-active');
			}
			mui('.scrollEl1').scroll().scrollTo(0, 0, 100);
		}
	}
})

//添加
mui('#wrap').on('tap', '.add', function() {
	mui.openWindow({
		url: 'addGoods.html?flag=' + this.getAttribute('flag'),
		id: 'addGoods',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	mui.openWindow({
		url: 'addGoods.html?itemId=' + this.getAttribute('itemId'),
		id: 'addGoods',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//更多
//var flag = true;
//mui('#btns').on('tap', '#more', function() {
//	if(flag) {
//		mui('#btns')[0].style.height = 'auto';
//		flag = false;
//	} else {
//		mui('#btns')[0].style.height = '60px';
//		flag = true;
//	}
//})
//分类
mui('#wrap').on('tap', '#classify', function() {
	mui.openWindow({
		url: 'goodsClassify.html',
		id: 'goodsClassify',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//查询
mui('#wrap').on('tap', '#search', function() {
	vm.searchValue = '';
	vm.itemClassFn();
	mui('.middlePopover').popover('show');
})

//删除
mui('#wrap').on('tap', '.delete', function() {
	vm.itemId = this.getAttribute('itemId');
	mui.confirm('确定删除所选菜品吗？', ' ', function(e) {
		if(e.index == 1) {
			//确认
			vm.delectFn();
		}
	}, 'div');

})

//基本单位
mui('#wrap').on('tap', '.danwei', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.danweiObj);
	picker.show(function(selectItems) {
		vm.item_unit_no = selectItems[0].value;
		mui('.danwei')[0].value = selectItems[0].text;
	})
})

//品态
mui('#wrap').on('tap', '.pintai', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '',
		text: '不限'
	}, {
		value: '0',
		text: '可用'
	}, {
		value: '1',
		text: '停用'
	}]);
	picker.show(function(selectItems) {
		if(selectItems[0].text == '不限') {
			vm.display_flag = '';
		} else {
			vm.display_flag = selectItems[0].text;
		}
		mui('.pintai')[0].value = selectItems[0].text;
	})
})
//类别
mui('#wrap').on('tap', '.itemClass', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.itemClassObj);
	picker.show(function(selectItems) {
		if(selectItems[0].text == '不限') {
			vm.item_class = '';
		} else {
			vm.item_class = selectItems[0].text;
		}
		mui('.itemClass')[0].value = selectItems[0].text;
	})
})
//时态
mui('#wrap').on('tap', '.state', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.itemStateObj);
	picker.show(function(selectItems) {
		if(selectItems[0].text == '不限') {
			vm.item_state = '';
		} else {
			vm.item_state = selectItems[0].text;
		}
		mui('.state')[0].value = selectItems[0].text;
	})
})
//性质
mui('#wrap').on('tap', '.qualeDiv', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.qualeList);
	picker.show(function(selectItems) {
		vm.quale = selectItems[0].text;
		mui('.qualeInp')[0].value = selectItems[0].text;
	})
})

//查询  searchFn
mui('.middlePopover').on('tap', '#ok', function() {
	document.activeElement.blur();
	vm.searchValue = '';
	vm.searchFn();
	mui('.scrollEl1').scroll().scrollTo(0, 0, 10);
})
mui('.middlePopover').on('tap', '#close', function() {
	mui('.middlePopover').popover('hide');
})
mui('.scrollEl').scroll({
	scrollY: true, //是否竖向滚动
	startX: 0, //初始化时滚动至x
	startY: 0, //初始化时滚动至y
	indicators: true, //是否显示滚动条
	deceleration: 0.0006, //阻尼系数,系数越小滑动越灵敏
	bounce: true //是否启用回弹
});

var screenH = window.screen.availHeight,
	item = mui('.mui-control-content');
//	list = mui('.list')[0];
var bigh = screenH - mui('.mui-bar-nav')[0].offsetHeight - mui('#segmentedControl')[0].offsetHeight - 80;
mui.each(item, function() {
	this.style.height = bigh - 40 + 'px';
})

var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
window.onresize = function() {
	//软键盘弹起与隐藏  都会引起窗口的高度发生变化
	var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;
	if(resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
		mui('#btns')[0].style.display = 'none';
	} else {
		mui('#btns')[0].style.display = 'flex';
	}
}