mui.init();

var vm = new Vue({
	el: "#wrap",
	data: {
		list: [],
		itemId: '',
		item_no: '',
		class_name: '',
		flag: 0 //0添加  1编辑
	},
	created:function(){
		this.listFn();
	},
	mounted: function() {
		
	},
	methods: {
		itemNoFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_class_api.aspx?cmd=1N', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.item_no = data.Body;
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.itemNoFn();
					}
				}
			});
		},
		listFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_class_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.list = data.list;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_class_api.aspx?cmd=02&default_item_flag=&class_name=' + that.class_name +
				'&item_class=' + that.item_no, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							that.listFn();
							mui.toast(data.Body);
						}
						mui('.middlePopover').popover('hide');
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addFn();
						}
					}
				});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_class_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.item_no = data.Body.item.item_class;
					that.class_name = data.Body.item.class_name;
					mui('.middlePopover').popover('show');
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_class_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.listFn();
						mui.toast(data.Body);
					}else{
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		editFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/item_class_api.aspx?cmd=03&default_item_flag=&class_name=' + that.class_name +
				'&item_class=' + that.item_no + '&itemId=' + that.itemId, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							that.listFn();
							mui.toast(data.Body);
						}
						mui('.middlePopover').popover('hide');
					},
					error: function(xhr, type, errorThrown) {

					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.addFn();
						}
					}
				});
		}
	},
	watch: {

	}
})

//添加
mui('#wrap').on('tap', '#add', function() {
	vm.flag = 0;
	vm.itemId = '';
	vm.item_no = '';
	vm.class_name = '';
	vm.itemNoFn();
	mui('.middlePopover').popover('show');
})
mui('.middlePopover').on('tap', '#close', function() {
	mui('.middlePopover').popover('hide');
})

mui('.middlePopover').on('tap', '#ok', function() {
	if (vm.class_name == '') {
		mui.alert('请输入类别名称', ' ');
		return;
	} else if (vm.flag == 0) {
		vm.addFn();
	} else if (vm.flag == 1) {
		vm.editFn();
	}

})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	vm.flag = 1;
	vm.itemId = this.getAttribute('itemId');
	vm.searchFn();
})

//删除
mui('#wrap').on('tap', '.delete', function() {
	vm.itemId = this.getAttribute('itemId');
	mui.confirm('确认删除此分类吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.delectFn();
		}
	}, 'div')

})
