mui.init({
	swipeBack: true //启用右滑关闭功能
});

var wrap = new Vue({
	el: "#wrap",
	data: {
		guqingList: '', //估清列表
		caipinList: '', //菜品列表
		//添加估清的id
		itemId1: '',
		//删除的id
		itemId2: '',
		searchValue: ''
	},
	created:function(){
		this.guqingFn();
	},
	mounted: function() {
		
	},
	methods: {
		guqingFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/jsonclear.aspx', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					that.guqingList = data.Body.估清列表;
					that.caipinList = data.Body.菜品列表;
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.guqingFn();
					}
				}
			});
		},
		//添加估清
		addGuqing: function(num) {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/asonapi.aspx?fn=estimatenum&sum=' + num + '&item=' + that.itemId1, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui('#middlePopover').popover('hide');
					mui.toast('操作成功');
					that.guqingFn();
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.addGuqing();
					}
				}
			});
		},
		//清空
		emptyFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/asonapi.aspx?fn=unestimatenum&type=2', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.toast('操作成功');
					that.guqingFn();
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.emptyFn();
					}
				}
			});
		},
		//撤销
		revokeFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/asonapi.aspx?fn=unestimatenum&type=1&item=' + that.itemId2, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.itemId2 = '';
					mui.toast('操作成功');
					that.guqingFn();
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.revokeFn();
					}
				}
			});
		}
	},
	watch: {
		searchValue: function() {
			var that = this,
				flag = 0;
			if(that.searchValue == '') {
				mui('.addGuqing').each(function(index, item) {
					this.style.display = 'flex';
				})
			} else {
				mui('.addGuqing').each(function(index, item) {
					if(this.getAttribute('code') != '' && this.getAttribute('code') != null) {
						if(this.getAttribute('code').indexOf(that.searchValue.toUpperCase()) != -1) {
							this.style.display = 'flex';
							flag++;
						} else {
							this.style.display = 'none';
						}

					} else {
						this.style.display = 'none';
					}
				})
				if(flag == 0) {
					mui.toast('抱歉，没有此菜品');
				}
			}
		}
	}
})
mui('.firstScroll').scroll({
	indicators: true,
	deceleration: 0.0006,
	bounce: true
});
mui('.scrollEl').scroll({
	indicators: true,
	deceleration: 0.0006,
	bounce: true
});

var screenH = window.screen.availHeight,
	item1 = mui('#item1')[0],
	item2 = mui('#item2')[0],
	list = mui('.list')[0],
	firstScroll = mui('.firstScroll')[0];
var bigh = screenH - mui('.mui-bar-nav')[0].offsetHeight - mui('#optionDiv')[0].offsetHeight;
//
item1.style.height = bigh - 20 + 'px';
item2.style.height = bigh - 20 + 'px';

list.style.height = bigh - 20 + 'px';
firstScroll.style.height = bigh - 80 + 'px';

mui('#item2').on('tap', '.addGuqing', function() {
	wrap.itemId1 = this.getAttribute('itemId');
	mui('#middlePopover').popover('show');
	mui('.mui-numbox').numbox().setValue(0);
})

mui('#middlePopover').on('tap', '#add', function() {
	var num = mui('.mui-numbox').numbox().getValue();
	if(Number(num) < 0 && num != ' ') {
		mui.alert('请输入正确的估清数量', ' ', function() {

		}, 'div');
		return false;
	}
	//二次确认
	mui.confirm('确定估清操作', ' ', ['取消', '确定'], function(e) {
		if(e.index == 1) {
			//确认
			wrap.addGuqing(num);
		}
	}, 'div');
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})

//清空
mui('#wrap').on('tap', '#empty', function() {
	mui.confirm('确定撤销所有估清？', ' ', function(e) {
		if(e.index == 1) {
			//确认
			wrap.emptyFn();
		}
	}, 'div');

})

mui('#wrap').on('tap', '.chexiaoLi', function() {
	var chexiaoLis = document.getElementsByClassName('chexiaoLi');
	if(this.className.indexOf('selected') == -1) {
		mui.each(chexiaoLis, function(index, item) {
			item.classList.remove('selected');
		})
		this.classList.add('selected');
		wrap.itemId2 = this.getAttribute('itemId');

	} else {
		this.classList.remove('selected');
		wrap.itemId2 = 0;

	}
})

//撤销
mui('#wrap').on('tap', '#revoke', function() {
	if(wrap.itemId2 == '') {
		mui.alert('请选择要撤销的估清数据', ' ', function() {

		}, 'div');
	} else {
		mui.confirm('确定撤销操作？', ' ', function(e) {
			if(e.index == 1) {
				//确认
				wrap.revokeFn();
			}
		}, 'div');
	}
})