mui.init();
var vm = new Vue({
	el: '#wrap',
	data: {
		info: ''
	},
	created: function() {
		this.infoFn();
	},
	mounted: function() {

	},
	methods: {
		infoFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/text', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {

						that.info = data.Body;
						if (that.info.性别 == '1') {
							that.info.性别 = '男';
						} else if (that.info.性别 == '0') {
							that.info.性别 = '女';
						}
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.infoFn();
					}
				}
			});
		},
		saveInfo: function() {
			document.activeElement.blur();
			var that = this,
				idNo = mui(".idText")[0].innerText;

			mui.ajax('http://dci.10le.cn/VipPhone/text_save?vip_name=' + mui("#name")[0].innerText + '&vip_mobil=' + mui(
					"#phone")[0].innerText + '&vip_sex=' + mui(".sexText")[0].innerText + '&vip_birth=' + mui(".birthText")[0].innerText +
				'&vip_id=' + idNo + '&vip_userid=' + mui('.vip_userid')[0].innerText, {
					data: "",
					dataType: 'json', //服务器返回json格式数据
					type: 'GET', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
						'qrkey': localStorage["qrkey"] || ''
					},
					success: function(data) {
						if (data != null && data.code == "0001") {
							mui.alert(data.msg, ' ');
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}
						mui.toast(data.Body);
						that.infoFn();
						mui.later(function() {
							mui.back();
						}, 500)
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.saveInfo();
						}
					}
				});
		}

	}
})

mui('#wrap').on('tap', '.mui-pull-right', function() {
	document.activeElement.blur();
	var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
	window.onresize = function() {
		//软键盘弹起与隐藏  都会引起窗口的高度发生变化
		var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;
		if (resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
			mui('#saveInfo')[0].style.display = 'none';
		} else {
			mui('#saveInfo')[0].style.display = 'block';
		}
	}
	this.focus();
	setTimeout(function() {
		this.focus();
	}, 150);
})

mui('#wrap').on('tap', '#saveInfo', function() {
		document.activeElement.blur();
	vm.saveInfo();
})

mui('#wrap').on('tap', '#sex', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '1',
		text: '男'
	}, {
		value: '0',
		text: '女'
	}]);
	picker.show(function(selectItems) {
		mui(".sexText")[0].innerText = selectItems[0].text;
	})
})

mui('#wrap').on('tap', '#birth', function() {
	document.activeElement.blur();
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		mui(".birthText")[0].innerText = selectItems.text;
	})
})
