mui.init();

var vm = new Vue({
	el: '#wrap',
	data: {
		info: '',
		goods: '',
		itemId: '',
		youhui: ''
	},
	created:function(){
		this.getInfo();
		this.goodsFn();
		this.youhuiFn();
	},
	mounted: function() {
		
	},
	methods: {
		getInfo: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/info', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if(data.code == '0000') {
						that.info = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getInfo();
					}
				}
			});
		},
		goodsFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/integrals', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if(data.code == '0000') {
						that.goods = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.goodsFn();
					}
				}
			});
		},
		youhuiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/coupons', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if(data.code == '0000') {
						that.youhui = data.Body;
					} else {
						mui.toast(data.msg);
					}

				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.youhuiFn();
					}
				}
			});
		},
		//兑换优惠券
		exchangeYouhui: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/extocoupon?itemid=' + that.itemId, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {

					if(data.code == '0000') {
						mui.toast(data.Body);
						that.getInfo();
					}else{
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.exchangeYouhui();
					}
				}
			});
		},
		//兑换商品
		exchangeGoods: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/integralex?itemid=' + that.itemId, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					mui.toast(data.msg);
					if(data.code == '0000') {
						that.getInfo();
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.exchangeGoods();
					}
				}
			});
		}
	}
})

mui('.exchangeGood').on('tap', '.exchangeBtn', function() {
	vm.itemId = this.getAttribute('itemID');
	vm.exchangeGoods();
})

mui('#youhuiDiv').on('tap', '.exchangeBtn', function() {
	vm.itemId = this.getAttribute('itemID');
	vm.exchangeYouhui();
})