mui.init();

var wrap = new Vue({
	el: '#wrap',
	data: {
		list: '',
		timerList: []
	},
	created:function(){
		this.timerFn();
	},
	mounted: function() {
		this.detailFn();
	},
	methods: {
		timerFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/GetTimerList', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.timerList = data.Body.list;
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		},
		detailFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/Shift', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body;
						mui.each(that.timerList, function(index, item) {
							if(that.list.当班市别 == item.timer_no) {
								that.list.当班市别 = item.timer_name;
							}
						})
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		},
		//交班
		commitFn: function() {
			mui.ajax('http://dci.10le.cn/default/Shiftbill', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == "0000" && data.Body == null) {
						mui.toast('交班完成');
						mui.later(function() {
							mui.back();
						}, 500)
					}
					if(data != null && data.code == "0001") {
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						return;
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		}
	}
})

mui('#wrap').on('tap', '#commit', wrap.commitFn);
mui('#wrap').on('tap', '.jiezhangMingxi', function() {
	mui('.middlePopover1').popover('show');
	mui('.scroll1').scroll();
})
mui('#wrap').on('tap', '.kucun', function() {
	mui('.middlePopover2').popover('show');
	mui('.scroll2').scroll();
})
mui('#wrap').on('tap', '#back', function() {
	mui('.middlePopover1').popover('hide');
})
mui('#wrap').on('tap', '.close', function() {
	mui('.middlePopover2').popover('hide');
})