mui.init();

var wrap = new Vue({
	el: '#wrap',
	data: {
		info: '',
		vip: '',
		bill_no: localStorage.getItem("bill_no"),
		coupon: [],
		vipYou: ''
	},
	mounted: function() {
		this.infoFn();
	},
	methods: {
		infoFn: function() {
			var that = this,
				warning = mui('#warning')[0];
			mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + that.bill_no, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						that.info = data.Body.obj;
						that.vip = data.Body.obj.会员;
						mui('#zhekou')[0].value = that.info.折扣率 + '%';
						mui('#youhui')[0].value = Number(that.info.优惠券合计).toFixed(2);

						var youhui = Number(that.info.原价) - Number(that.info.应收);
						mui('.yiYouhui')[0].innerText = youhui.toFixed(2) + '元';

						mui.each(that.info.付款记录, function(index, item) {
							if (item.cell2 == '会员优惠券') {
								that.vipYou = item.cell1.substring(0, item.cell1.length - 1);
							}
						})

						if (that.vip != null && that.vip != '') {
							that.vipConFn(that.vip.vipid);
						}

					} else {
						mui.toast(data.msg);
					}
					warning.style.display = 'none';
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.infoFn();
					}
				}
			});
		},
		moLing: function(payamt) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/AddPay?paymentno=34&billno=' + localStorage.getItem('bill_no') + '&payamt=' +
				payamt, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000") {
							that.infoFn();
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.moLing(payamt);
						}
					}
				});
		},
		jiashouFn: function(money, beizhu) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/AddMoeny?billno=' + localStorage.getItem('bill_no') + '&addmoeny=' + money +
				'&addname=' + beizhu, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000") {
							that.infoFn();
							mui('#middlePopover').popover('hide');
						}

						if (data != null && data.code == "0001") {
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}

					},
					error: function(xhr, type, errorThrown) {}
				});
		},
		zhekouFn: function(zhekou) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/FullZk?billno=' + localStorage.getItem('bill_no') + '&allzk=' + zhekou, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == "0000") {
						that.infoFn();
						mui.toast('操作成功');
						mui('#middlePopover').popover('hide');
					}

					if (data != null && data.code == "0001") {
						return;
					}
					if (data == null || data.code != "0000" || data.Body == null) {
						return;
					}

				},
				error: function(xhr, type, errorThrown) {}
			});
		},
		youhuiFn: function(youhui) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/AddPay?paymentno=21&billno=' + localStorage.getItem('bill_no') + '&payamt=' +
				youhui, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000") {
							that.infoFn();
						}

						if (data != null && data.code == "0001") {
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}

					},
					error: function(xhr, type, errorThrown) {}
				});
		},
		//取消绑定会员
		cancelvipFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/CancelVip?billno=' + that.bill_no, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('取消成功');
						that.infoFn();
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.cancelvipFn();
					}
				}
			});
		},
		//会员优惠券
		vipConFn: function(id) {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/stamp_api.aspx?cmd=17&stamp_status=2&vipid=' + id, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						// 						mui.each(data.Body.list, function(index, item) {
						// 							var date = item.stamp_end_date;
						// 							if (date == '') {
						// 								item.stamp_end_date = '永久';
						// 							} else {
						// 								item.stamp_end_date = date.split(' ')[0];
						// 							}
						// 						})
						that.coupon = data.Body.list;
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.vipConFn(id);
					}
				}
			});
		},
		useCou: function(id) {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/addpaystamp?billno=' + that.bill_no + '&id=' + id, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('使用成功');
						that.info = data.Body.obj;
						mui('#zhekou')[0].value = that.info.折扣率 + '%';
						mui('#youhui')[0].value = Number(that.info.优惠券合计).toFixed(2);

						var youhui = Number(that.info.原价) - Number(that.info.应收);
						mui('.yiYouhui')[0].innerText = youhui.toFixed(2) + '元';
						mui('.middlePopover').popover('hide');
						mui.each(that.info.付款记录, function(index, item) {
							if (item.cell2 == '会员优惠券') {
								that.vipYou = item.cell1.substring(0, item.cell1.length - 1);
							}
						})

						if (that.vip != null && that.vip != '') {
							that.vipConFn(that.vip.vipid);
						}
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.useCou(id);
					}
				}
			});
		}
	}
})

mui('.mui-content').on('tap', '#next', function() {
	mui.openWindow({
		url: 'payStyle.html',
		id: 'payStyle',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

mui('.mui-content').on('tap', '#moLing', function() {
	mui.prompt('', '', '优惠金额', ['取消', '确定'], function(e) {
		if (e.index == 1 && e.value) {
			if (Number(e.value) < 0) {
				mui.alert('请输入正确的金额数', ' ', function() {}, 'div');
			} else {
				wrap.moLing(e.value);
			}
		}
	}, 'div');
})

mui('#wrap').on('tap', '.use', function() {
	var id = this.getAttribute('itemid');
	wrap.useCou(id);
})
mui('.middlePopover').on('tap', '.close', function() {
	mui('.middlePopover').popover('hide');
})

//加收
mui('.mui-content').on('tap', '#jiashou', function() {
	mui('#middlePopover').popover('show');
})
mui('.mui-content').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('.mui-content').on('tap', '#okBtn', function() {
	if (mui('#beizhu')[0].value && mui('#jiashouMoney')[0].value) {
		wrap.jiashouFn(mui('#jiashouMoney')[0].value, mui('#beizhu')[0].value);
	} else {
		mui.toast('加收金额或加收项目不能为空');
	}

})

//折扣
mui('.mui-content').on('tap', '#zhekou', function() {
	mui.prompt('', wrap.info.折扣率 + '%', '折扣', ['取消', '确定'], function(e) {
		if (e.index == 1 && e.value) {
			if (Number(e.value) < 1 || Number(e.value > 100)) {
				mui.alert('请输入1~100的数字', ' ', function() {}, 'div');
			} else {
				wrap.zhekouFn(e.value);
			}
		}
	}, 'div');
})

//优惠
mui('.mui-content').on('tap', '#youhui', function() {
	mui.prompt('', Number(wrap.info.优惠券合计), '优惠', ['取消', '确定'], function(e) {
		if (e.index == 1 && e.value) {
			if (Number(e.value) < 0) {
				mui.alert('请输入正确的优惠金额', ' ', function() {}, 'div');
			} else {
				wrap.youhuiFn(e.value);
			}

		}
	}, 'div');
})
//绑定会员
mui('#wrap').on('tap', '.bindVip', function() {
	localStorage.setItem('referrer', 'jiezhang');
	mui.openWindow({
		url: 'vip.html',
		id: 'vip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//取消绑定会员
mui('#wrap').on('tap', '.cancelVip', function() {
	mui.confirm('确定取消绑定会员', ' ', ['取消', '确定'], function(e) {
		if (e.index == 1) {
			wrap.cancelvipFn();
		}
	}, 'div');
})

mui('#wrap').on('tap', '.vipCon', function() {
	if (wrap.vip != null && wrap.vip != '') {
		mui('.middlePopover').popover('show');
		mui('.wrapper2').scroll().scrollTo(0, 0, 10);
	} else {
		mui.alert('此订单未绑定会员', ' ', function(e) {}, 'div')
	}

})
