mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: getList
		}
	}
});

var page = 1;

function getList() {
	mui.ajax('http://dc.10le.cn/basic/vip_integral_api.aspx?page=' + page + '&cmd=', {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if(page > data.PageCount) {
				vm.list = vm.list;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.list = vm.list.concat(data.list);
				vm.length = vm.list.length;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}
			page++;
		},
		error: function(xhr, type, errorThrown) {

		}
	});
}

var vm = new Vue({
	el: '#wrap',
	data: {
		//列表
		list: [],
		length: 0,
		checkNum: 0,
		//选中
		itemId: '',
		flag: '',

		//
		integral_no: '',
		integral_name: '', //积分方案名称
		one_sale_amt: '', //每消费
		one_integral: '', //积分
		round_type: '', //积分不足
		integral_memo: '' //备注		

	},
	mounted: function() {},
	methods: {
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		},
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_api.aspx', {
				data: {
					cmd: '02',
					integral_name: that.integral_name,
					integral_type: '',
					one_sale_amt: that.one_sale_amt,
					one_integral: that.one_integral,
					integral_birthday_rate: '',
					round_type: that.round_type,
					integral_memo: that.integral_memo,
					integral_birthday_range: ''
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					//					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui('#middlePopover').popover('hide');
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		},
		//查询
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.integral_no = data.Body.item.integral_no;
					that.integral_name = data.Body.item.integral_name;
					that.one_sale_amt = data.Body.item.one_sale_amt;
					that.one_integral = data.Body.item.one_integral;
					that.round_type = data.Body.item.round_type;
					that.integral_memo = data.Body.item.integral_memo;
					if(that.round_type == '0') {
						mui('.jifenLackInp')[0].value = '不处理';
					} else if(that.round_type == '1') {
						mui('.jifenLackInp')[0].value = '四舍五入';
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		},
		//编辑
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_api.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemId,
					integral_no: that.integral_no,
					integral_name: that.integral_name,
					integral_type: '',
					one_sale_amt: that.one_sale_amt,
					one_integral: that.one_integral,
					integral_birthday_rate: '',
					round_type: that.round_type,
					integral_memo: that.integral_memo,
					integral_birthday_range: ''
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					//					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui('#middlePopover').popover('hide');
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		}
	},
	watch: {
		flag: function() {
			var middlePopover = mui('#middlePopover')[0];
			var input = middlePopover.getElementsByTagName('input');

			if(this.flag == 'detail') {
				mui('#cancel')[0].style.display = 'none';
				mui('#ok')[0].style.display = 'none';
				mui('#close')[0].style.display = 'inline-block';

				mui.each(input, function(index, item) {
					item.setAttribute('readonly', 'true');
				})
			} else {
				mui('#cancel')[0].style.display = 'inline-block';
				mui('#ok')[0].style.display = 'inline-block';
				mui('#close')[0].style.display = 'none';

				mui.each(input, function(index, item) {
					item.removeAttribute('readonly');
				})
			}
		}
	}
})

//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked,
		checkBox = mui('.oneCheck');
	mui.each(checkBox, function(index, item) {
		item.checked = isChecked;
	})
})
//单个选中
mui('body').on('change', '.oneCheck', function() {
	if(this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if(vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})
//添加
mui('#btns').on('tap', '#addPerson', function() {
	vm.flag = 'add';
	vm.integral_name = '';
	vm.one_sale_amt = '';
	vm.one_integral = '';
	vm.round_type = '';
	vm.integral_memo = '';
	mui('.jifenLackInp')[0].value = '';
	mui('#middlePopover').popover('show');
})

mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#close', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#ok', function() {
	if(vm.flag == 'add') {
		vm.addFn();
	} else if(vm.flag == 'edit') {
		vm.updateFn();
	}
})

//编辑
mui('body').on('tap', '.edit', function() {
	vm.flag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
	mui('#middlePopover').popover('show');
})
//详情
mui('body').on('tap', '.detail', function() {
	vm.flag = 'detail';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
	mui('#middlePopover').popover('show');
})
//积分不足1时
mui('body').on('tap', '.jifenLack', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '0',
		text: '不处理'
	}, {
		value: '1',
		text: '四舍五入'
	}]);
	picker.show(function(selectItems) {
		vm.round_type = selectItems[0].value;
		mui('.jifenLackInp')[0].value = selectItems[0].text;
	})
})

//单个删除
mui('#wrap').on('tap', '.delete', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的方案', ' ', ['取消', '确认'], function(e) {
		if(e.index == 1) {
			vm.itemId = id;
			vm.delectFn();
		}
	},'div')
})

//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if(item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if(vm.itemId == '') {
		mui.alert('请选择要删除的方案', ' ',function(){},'div');
	} else {
		mui.confirm('确认删除选中的方案', ' ', ['取消', '确认'], function(e) {
			if(e.index == 1) {
				vm.delectFn();
			}
		},'div')
	}

})