mui.init({
	beforeback: function() {
		var list = plus.webview.currentWebview().opener();
		mui.fire(list, 'refresh');
		return true;
	}
});

var wrap = new Vue({
	el: '#wrap',
	data: {
		classify: '', //菜品类别列表
		kitchenList: [], //菜品列表
		shangcaiList: [], //上菜列表
		updateTime: '',
		allCaipin: [],
		itemId: '', //弹出菜品id
		detailInfo: '', //弹出菜品详情
		text: '', //语音播报的文字
		play: false,
		flag: 0,
		closeId: ''
	},
	created: function() {
		this.classListFn();
		this.kitchenFn();
		this.updateDate();
	},
	mounted: function() {
		//30秒之后自动刷新列表
		this.updateSelf();
	},
	methods: {
		audioFn: function() {
			mui('.kitchenAudio')[0].innerHTML = '';
			var txt1 = encodeURI(this.text);
			var audio =
				"<audio id='kAudio' onended='wrap.audioFn()'  autoplay=\"autoplay\"><source  src=\"http://fanyi.baidu.com/gettts?lan=zh&spd=4&source=web&text=" +
				txt1 + "\"></audio>";

			mui('.kitchenAudio')[0].innerHTML = audio;
		},
		myFunction: function() {

			this.audioFn();

		},
		//获取菜品类别
		classListFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/itemclass', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					that.classify = data.Body.list;
					mui('#warning')[0].style.display = 'none';
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.classListFn();
					}
				}
			});
		},
		//获取厨房列表
		kitchenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/json.aspx?cmd=index', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data != null && data.code == "0001") {
						return;
					}
					if (data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.kitchenList = [];
					//已完成
					that.shangcaiList = data.Body.上菜列表;
					//待处理
					that.allCaipin = data.Body.菜品列表;
// 					var a = 0;
// 					if (that.text != '') {
// 						that.text = '';
// 					} else if (that.text == '') {
// 						a++;
// 					}
					that.text = '';
					mui.each(data.Body.菜品列表, function(index, item) {
						that.text += item.name + ',' + item.desk_name + '。';
					})
					if(that.play){
						that.audioFn();
					}
					
// 					if (a == 1) {
// 						that.audioFn();
// 					}

					that.flag++;
					//将获取的菜品归类
					mui.each(that.classify, function(index1, item1) {
						var arr = {};
						arr.id = that.classify[index1].id;
						arr.child = [];
						mui.each(data.Body.菜品列表, function(index2, item2) {
							if (item1.name == item2.class_name) {
								arr.child.push(item2);
							}
						})
						that.kitchenList.push(arr);
					})
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.kitchenFn();
					}
				}
			});
		},
		updateDate: function() {
			var that = this;
			setInterval(function() {
				mui.ajax('http://dc.10le.cn/kitchen/json.aspx?cmd=time', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (that.updateTime != data.Body.updateTime) {
							that.kitchenFn();
						}
						that.updateTime = data.Body.updateTime;
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateDate();
						}
					}
				});
			}, 2000);
		},
		//弹出菜品操作总函数
		operationFn: function(operation) {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/asonapi.aspx?fn=' + operation + '&itemid=' + that.itemId, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.toast('操作成功');
					that.text = '';
					that.kitchenFn();
					mui('#middlePopover').popover('hide');
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.operationFn(operation);
					}
				}
			});
		},
		updateSelf: function() {
			var that = this;
			setInterval(function() {
				that.kitchenFn();
			}, 30000)
		},
		closeFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/kitchen/asonapi.aspx?fn=isend&itemId=' + that.closeId, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.toast('操作成功');
					that.kitchenFn();
					mui('#middlePopover').popover('hide');
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.closeFn();
					}
				}
			});
		}
	},
	updated: function() {
		mui('.scrollEl').scroll({
			indicators: true,
			deceleration: 0.0006,
			bounce: true
		});
		var screenH = window.screen.availHeight,
			item1 = mui('#item1')[0],
			item2 = mui('#item2')[0],
			smallContent = mui('.smallContent');
		var bigh = screenH - mui('.mui-bar-nav')[0].offsetHeight - mui('#optionDiv')[0].offsetHeight - 115;
		item1.style.height = bigh - 20 + 'px';
		item2.style.height = bigh - 20 + 'px';
		mui.each(smallContent, function(index, item) {
			this.style.height = bigh - 20 + 'px';
		})
	},
	watch: {
		itemId: function() {
			var that = this;
			mui.each(that.allCaipin, function(index, item) {
				if (that.itemId == this.id) {
					that.detailInfo = item;
				}
			})
		},
		flag: function() {
			if (this.flag == 1) {
				this.audioFn();
			}
		}
	}
})

//菜品弹出
mui('#item1').on('tap', 'li', function() {
	wrap.itemId = this.id;
	mui('#middlePopover').popover('show');
})

mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})

//making
mui('#middlePopover').on('tap', '#making', function() {
	wrap.operationFn('makeing');

})

mui('#middlePopover').on('tap', '#finish', function() {
	wrap.operationFn('makesuccess');

})
mui('#middlePopover').on('tap', '#giving', function() {
	wrap.operationFn('yishangcai');

})

mui('#wrap').on('tap', '.play', function() {
	console.log('11');
	var isActive = this.classList.contains("mui-active");
	if (isActive) {
		wrap.play = true;
		wrap.audioFn();
	} else {
		wrap.play = false;
		mui('.kitchenAudio')[0].innerHTML = '';
	}
})
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var opener = self.opener();
	var play = localStorage['play'];
	mui('body').on('tap', '.closeAu', function() {
		if (play) {
			opener.evalJS('playFn()');
		}
	})



})


var old_back = mui.back;
mui.back = function() {
	
	if (wrap.play == true) {
		// 删除厨房播报
		wrap.play == false;
		mui(".play").switch().toggle();
		//mui('.play')[0].classList.remove('mui-active');
		mui('.kitchenAudio')[0].innerHTML = '';
	}
	old_back();
}


mui('#wrap').on('tap', '#close', function() {
	wrap.closeId = wrap.itemId;
	wrap.closeFn();
})

mui('#wrap').on('tap', '.cancel', function() {
	mui.confirm('确定完成全部菜品吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			var idArr = [];
			mui.each(wrap.allCaipin, function(index, item) {
				idArr.push(item.id);
			})
			wrap.closeId = idArr.join(',');
			wrap.closeFn();
			wrap.text = '';
		}
	}, 'div')
})
