window.onload = function() {
	mui.init({
		swipeBack: true
	});
	var wrap = new Vue({
		el: '#wrap',
		data: {
			makeoptions: '', //查看制法选项父级
			allOptions: [], //所有子集
			methods_: '' //已保存的制法
		},
		mounted: function() {
			this.makeOptions();

			if (localStorage.getItem('detailid')) {
				this.oneMethods();
			} else {
				this.allMethods();
			}
		},
		methods: {
			makeOptions: function() {
				//查看制法选项
				var that = this;
				mui.ajax('http://dci.10le.cn/default/makeoptions', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data != null && data.code == "0001") {
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}
						that.makeoptions = data.Body.data;
						mui.each(that.makeoptions, function(index, item) {
							that.allOptions[index] = item.child;
						})
						for (var i = 0; i < that.allOptions.length + 1; i++) {
							that.allOptions[0] = that.allOptions[0].concat(that.allOptions[1]);
							that.allOptions.splice(1, 1);
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.makeOptions();
						}
					}
				});
			},
			//已经保存的单品制法
			oneMethods: function() {
				var that = this;
				mui.ajax('http://dci.10le.cn/Order/Visible?billno=' + localStorage.getItem('bill_no') + '&exe=修改制法&detailid=' +
					localStorage.getItem('detailid'), {
						data: "",
						dataType: 'json',
						type: 'GET',
						timeout: 10000, //超时时间设置为10秒；
						headers: {
							'Content-Type': 'application/json',
							'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
						},
						success: function(data) {
							if (data != null && data.code == "0001") {
								return;
							}
							if (data == null || data.code != "0000" || data.Body == null) {
								return;
							}
							if (data.Body.data[2]) {
								that.methods_ = data.Body.data[2];
							}
						},
						error: function(xhr, type, errorThrown) {},
						complete: function(XMLHttpRequest, status) {
							if (status == 'timeout') {
								that.oneMethods();
							}
						}
					});
			},
			//已保存整单内制法
			allMethods: function() {
				var that = this;
				mui.ajax('http://dci.10le.cn/Order/Visible?billno=' + localStorage.getItem('bill_no') + '&exe=整单制法', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data != null && data.code == "0001") {
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}

						if (data.Body.data) {
							that.methods_ = data.Body.data.join('、');
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.allMethods();
						}
					}
				});
			}
		},
		watch: {
			methods_: function() {
				var spans = document.getElementsByClassName('cell'),
					methods_ = 0,
					newArr = [];

				mui('#optionInp')[0].value = this.methods_;
				methods_ = this.methods_.split('、');

				mui.each(methods_, function(index1, item1) {
					mui.each(spans, function(index2, item2) {
						item2.classList.remove('selectCell');
						if (item1 == item2.innerText) {
							newArr.push(item2);
						}
					})
				})
				mui.each(newArr, function(index, item) {
					item.classList.add('selectCell');
				})
			}
		}
	})

	mui('.names').on('tap', 'span', function() {
		var names = mui('.names')[0],
			table = mui('.table')[0],
			index_ = this.getAttribute('index');
		var spans = names.getElementsByTagName('span'),
			cells = table.getElementsByClassName('table-cell');
		mui.each(spans, function(index, item) {
			item.classList.remove('select');
			cells[index].classList.add('mui-hidden');
			if (index_ == "all") {
				cells[0].classList.remove('mui-hidden');
			} else {
				if (index_ == index) {
					cells[index].classList.remove('mui-hidden');
				}
			}
		})
		this.classList.add('select');
	})
	mui('.table').on('tap', '.cell', function() {
		if (wrap.methods_.indexOf('、') != -1) {
			wrap.methods_ = wrap.methods_.split('、');
		} else {
			wrap.methods_ = wrap.methods_.split('|');
		}
		if (this.className.indexOf('selectCell') != -1) {
			this.classList.remove('selectCell');
			var text = this.innerText;
			mui.each(wrap.methods_, function(index, item) {
				if (item == text) {
					wrap.methods_.splice(index, 1);
				}
			})
		} else {
			this.classList.add('selectCell');
			var text = this.innerText;
			wrap.methods_.push(text);
		}
		if (wrap.methods_[0] == '') {
			wrap.methods_.shift();
		}
		wrap.methods_ = wrap.methods_.join('、');
	})
	//保存制法
	mui('#wrap').on('tap', '.keep', function() {
		// 查看父级页面
		var pre = localStorage.getItem('makeOpPre');
	    //单品制法
		if (localStorage.getItem("detailid")) {
			mui.ajax('http://dci.10le.cn/Order/BillMake?billno=' + localStorage.getItem("bill_no") + '&exe=1&detailid=' +
				localStorage.getItem("detailid") + '&makeval=' + mui('#optionInp')[0].value, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						
						//console.log(JSON.stringify(data));
						if (data.code == "0000" && data.Body == null) {
							mui.toast('操作成功！');
							if (pre.indexOf('order') != -1) {
								mui.openWindow({
									url: 'orderDetail.html',
									id: 'orderDetail',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}

							if (pre.indexOf('waimai') != -1) {
								mui.openWindow({
									url: 'waiMaiDetail.html',
									id: 'waiMaiDetail',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}
						}
						if (data != null && data.code == "0001") {
						    mui.toast(data.msg);
							return;
						}
						//mui.toast('操作失败！');
					},
					error: function(xhr, type, errorThrown) {
						console.log('erro');
					}
				});

		} else {
			//整单制法
			mui.ajax('http://dci.10le.cn/Order/BillMake?billno=' + localStorage.getItem("bill_no") +
				'&exe=0&itemval=0&makeval=' + mui('#optionInp')[0].value, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						
						//console.log(JSON.stringify(data));
						if (data.code == "0000" && data.Body == null) {
							mui.toast('操作成功！');
							if (pre.indexOf('order') != -1) {
								mui.openWindow({
									url: 'orderDetail.html',
									id: 'orderDetail',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}

							if (pre.indexOf('waimai') != -1) {
								mui.openWindow({
									url: 'waiMaiDetail.html',
									id: 'waiMaiDetail',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}
						}

						if (data != null && data.code == "0001") {
						    mui.toast(data.msg);
						    return;
						}

						//mui.toast('操作失败！');

					},
					error: function(xhr, type, errorThrown) {
						console.log('erro');
					}
				});
		}

	})

}
//
