mui.init();
var wrap = new Vue({
	el: '#wrap',
	data: {
		billno: localStorage.getItem("bill_no"),
		info: "",
		print: '',
		billinfo: '',
		goodinfo: '',
		jiezhangInfo: "",
		kaitaiInfo: '',
		length: '',

		// 桌台名称：
		deskname: [],
		// 席数
		desknum: '',

		//外卖客户信息
		userInfo: ''
	},
	mounted: function() {
		if (this.billno.indexOf('W') != -1) {
			//w开头的外面单
			this.userFn();
		}
		this.infoList();
	},
	methods: {
		getdata: function() {
			warning.style.display = 'none';
			var printer = localStorage['printer'];
			if (printer != null && printer != '') {
				//已经绑定了的打印机
				this.print = JSON.parse(printer);
				var id = this.print.mac;
				if (id == '' || id == null) {
					mui.alert('请前往"设置"中的"蓝牙打印机设置"进行配置', ' ', function() {}, 'div');
					return;
				} else {
					if (this.billno.indexOf('X') != -1) {
						//x开台的订单
						this.printFn1(id);
					} else if (this.billno.indexOf('W') != -1) {
						//w开头的外面单
						this.printFn2(id);
					}
				}
			} else {
				//没有绑定打印机
				mui.alert('请前往"设置"中的"蓝牙打印机设置"进行配置', ' ', function() {}, 'div');
				return;
			}
		},
		userFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/GetCus?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.userInfo = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.userFn();
					}
				}
			});
		},
		printFn1: function(mac_address) {
			var device = null,
				BAdapter = null,
				BluetoothAdapter = null,
				uuid = null,
				main = null,
				bluetoothSocket = null,
				bytes = '';
			if (!mac_address) {
				mui.toast('请选择蓝牙打印机');
				return;
			}

			main = plus.android.runtimeMainActivity();
			BluetoothAdapter = plus.android.importClass("android.bluetooth.BluetoothAdapter");
			UUID = plus.android.importClass("java.util.UUID");
			uuid = UUID.fromString("00001101-0000-1000-8000-00805F9B34FB");
			BAdapter = BluetoothAdapter.getDefaultAdapter();
			device = BAdapter.getRemoteDevice(mac_address);
			plus.android.importClass(device);
			bluetoothSocket = device.createInsecureRfcommSocketToServiceRecord(uuid);
			plus.android.importClass(bluetoothSocket);

			if (!bluetoothSocket.isConnected()) {
				console.log('检测到设备未连接，尝试连接....');
				bluetoothSocket.connect();
			}
			console.log('设备已连接');

			if (bluetoothSocket.isConnected()) {
				var outputStream = bluetoothSocket.getOutputStream();
				plus.android.importClass(outputStream);

				outputStream.write([0x1B, 0x40]); //重置打印机
				outputStream.write([0x1D, 0x21, 1]); //字体正常
				var text = '\n';
				text += '            消费单';
				outputStream.write(plus.android.invoke(text, 'getBytes', 'gbk'));
				outputStream.flush();

				outputStream.write([0x1D, 0x21, 0]); //小字体
				outputStream.write([0x1b, 0x61, 0x00]); //左对齐
				var PrintText0 = '\n\n';
				PrintText0 += '单号：' + this.billinfo.A04_订单号 + '\n';
				PrintText0 += '时间：' + this.billinfo.A02_开台时间 + '\n';
				PrintText0 = String(PrintText0);
				outputStream.write(plus.android.invoke(PrintText0, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText1 = '';
				PrintText1 += '桌台：' + this.deskname + '\n';
				PrintText1 += this.printTow('人数：' + this.billinfo.A12_消费人数, '席数：' + this.desknum);
				PrintText1 = String(PrintText1);
				outputStream.write(plus.android.invoke(PrintText1, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText2 = '-------------------------------\n';
				PrintText2 += this.printFour('商品', '数量', '原价', '价格');
				PrintText2 = String(PrintText2);
				outputStream.write(plus.android.invoke(PrintText2, 'getBytes', 'gbk'));
				outputStream.flush();

				mui.each(this.goodinfo, function(index, item) {
					var goodText = '';
					goodText += wrap.printFour(item.商品名称, Number(item.数量).toFixed(0), item.原价, item.实价);
					goodText = String(goodText);
					outputStream.write(plus.android.invoke(goodText, 'getBytes', 'gbk'));
					outputStream.flush();
				})

				var PrintText3 = '';
				PrintText3 += this.printFour('合计', (this.length).toString(), (Number(this.billinfo.A14_原价)).toFixed(2).toString(),
					(Number(this.billinfo.A10_实收)).toFixed(2).toString());
				PrintText3 = String(PrintText3);
				outputStream.write(plus.android.invoke(PrintText3, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText8 = '-------------------------------\n';
				PrintText8 = String(PrintText8);
				outputStream.write(plus.android.invoke(PrintText8, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText4 = '';
				PrintText4 += this.printTow('应付：' + Number(this.info.应收金额).toFixed(2), '优惠：' + Number(this.info.支付优惠).toFixed(2));
				PrintText4 = String(PrintText4);
				outputStream.write(plus.android.invoke(PrintText4, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText7 = '';
				PrintText7 += this.printTow('实付：' + Number(this.info.收款金额).toFixed(2), '找零：' + Number(this.info.找零金额).toFixed(2));
				PrintText7 = String(PrintText7);
				outputStream.write(plus.android.invoke(PrintText7, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText9 = '-------------------------------\n';
				PrintText9 = String(PrintText9);
				outputStream.write(plus.android.invoke(PrintText9, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText5 = '';
				PrintText5 += '收银员：' + this.billinfo.A19_收银员 + '\n';
				PrintText5 = String(PrintText5);
				outputStream.write(plus.android.invoke(PrintText5, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText10 = '';
				PrintText10 += '打印时间：' + this.getnowTime() + '\n';
				PrintText10 = String(PrintText10);
				outputStream.write(plus.android.invoke(PrintText10, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText6 = '-------------------------------\n';
				PrintText6 = String(PrintText6);
				outputStream.write(plus.android.invoke(PrintText6, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText12 = '';
				PrintText12 += '        食乐云餐饮软件\n';
				PrintText12 = String(PrintText12);
				outputStream.write(plus.android.invoke(PrintText12, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText11 = '';
				PrintText11 += '      (http://www.10le.cn)';
				PrintText11 += '\n\n';
				PrintText11 += '\n';
				PrintText11 += '\n';
				PrintText11 += '\n';
				PrintText11 = String(PrintText11);
				outputStream.write(plus.android.invoke(PrintText11, 'getBytes', 'gbk'));
				outputStream.flush();
				outputStream.write([0x1d, 0x4c, 0x1f, 0x00]); //结束打印
				outputStream.flush();

				device = null //这里关键
				bluetoothSocket.close(); //必须关闭蓝牙连接否则意外断开的话打印错误
			}
		},
		printFn2: function(mac_address) {
			var bno=Number(this.billinfo.A04_订单号.slice(7)); 
			var device = null,
				BAdapter = null,
				BluetoothAdapter = null,
				uuid = null,
				main = null,
				bluetoothSocket = null,
				bytes = '';
			if (!mac_address) {
				mui.toast('请选择蓝牙打印机');
				return;
			}

			main = plus.android.runtimeMainActivity();
			BluetoothAdapter = plus.android.importClass("android.bluetooth.BluetoothAdapter");
			UUID = plus.android.importClass("java.util.UUID");
			uuid = UUID.fromString("00001101-0000-1000-8000-00805F9B34FB");
			BAdapter = BluetoothAdapter.getDefaultAdapter();
			device = BAdapter.getRemoteDevice(mac_address);
			plus.android.importClass(device);
			bluetoothSocket = device.createInsecureRfcommSocketToServiceRecord(uuid);
			plus.android.importClass(bluetoothSocket);

			if (!bluetoothSocket.isConnected()) {
				console.log('检测到设备未连接，尝试连接....');
				bluetoothSocket.connect();
			}
			console.log('设备已连接');

			if (bluetoothSocket.isConnected()) {
				var outputStream = bluetoothSocket.getOutputStream();
				plus.android.importClass(outputStream);

				outputStream.write([0x1B, 0x40]); //重置打印机
				outputStream.write([0x1D, 0x21, 1]); //字体正常
				var text = '\n';
				text += '            消费单';
				text += '\n';
				text += '             '+bno+'号';
				outputStream.write(plus.android.invoke(text, 'getBytes', 'gbk'));
				outputStream.flush();
				outputStream.write([0x1D, 0x21, 0]); //小字体
				outputStream.write([0x1b, 0x61, 0x00]); //左对齐
				var PrintText = '\n\n';
				PrintText += '单号：' + this.billinfo.A04_订单号 + '\n';
				PrintText += '时间：' + this.billinfo.A02_开台时间 + '\n';
				PrintText = String(PrintText);
				outputStream.write(plus.android.invoke(PrintText, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText1 = '';
				PrintText1 += '订餐人：' + this.userInfo.客户名称 + '\n';
				PrintText1 += '订餐电话：' + this.userInfo.客户电话 + '\n';
				PrintText1 = String(PrintText1);
				outputStream.write(plus.android.invoke(PrintText1, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText0 = '';
				PrintText0 += '送餐地址：' + this.userInfo.送餐地址 + '\n';
				PrintText0 = String(PrintText0);
				outputStream.write(plus.android.invoke(PrintText0, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText2 = '-------------------------------\n';
				PrintText2 += this.printFour('商品', '数量', '原价', '价格');
				PrintText2 = String(PrintText2);
				outputStream.write(plus.android.invoke(PrintText2, 'getBytes', 'gbk'));
				outputStream.flush();
				mui.each(this.goodinfo, function(index, item) {
					var goodText = '';
					goodText += wrap.printFour(item.商品名称, Number(item.数量).toFixed(0), item.原价, item.实价);
					goodText = String(goodText);
					outputStream.write(plus.android.invoke(goodText, 'getBytes', 'gbk'));
					outputStream.flush();
				})

				var PrintText3 = '';
				PrintText3 += this.printFour('合计', (this.length).toString(), (Number(this.billinfo.A14_原价)).toFixed(2).toString(),
					(Number(this.billinfo.A10_实收)).toFixed(2).toString());
				PrintText3 = String(PrintText3);
				outputStream.write(plus.android.invoke(PrintText3, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText8 = '';
				PrintText8 += '-------------------------------\n';
				PrintText8 = String(PrintText8);
				outputStream.write(plus.android.invoke(PrintText8, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText4 = '';
				PrintText4 += this.printTow('应付：' + (Number(this.info.应收金额)).toFixed(2), '优惠：' + (Number(this.info.支付优惠)).toFixed(
					2));
				PrintText4 = String(PrintText4);
				outputStream.write(plus.android.invoke(PrintText4, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText7 = '';
				PrintText7 += this.printTow('实付：' + (Number(this.info.收款金额)).toFixed(2), '找零：' + (Number(this.info.找零金额)).toFixed(
					2));
				PrintText7 = String(PrintText7);
				outputStream.write(plus.android.invoke(PrintText7, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText9 = '';
				PrintText9 += '-------------------------------\n';
				PrintText9 = String(PrintText9);
				outputStream.write(plus.android.invoke(PrintText9, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText5 = '';
				PrintText5 += '收银员：' + this.billinfo.A19_收银员 + '\n';
				PrintText5 = String(PrintText5);
				outputStream.write(plus.android.invoke(PrintText5, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText10 = '';
				PrintText10 += '打印时间：' + this.getnowTime() + '\n';
				PrintText10 = String(PrintText10);
				outputStream.write(plus.android.invoke(PrintText10, 'getBytes', 'gbk'));
				outputStream.flush();

				var PrintText6 = '-------------------------------\n';
				PrintText6 += '        食乐云餐饮软件\n';
				PrintText6 = String(PrintText6);
				outputStream.write(plus.android.invoke(PrintText6, 'getBytes', 'gbk'));
				outputStream.flush();
				var PrintText11 = '';
				PrintText11 += '      (http://www.10le.cn)';
				PrintText11 += '\n\n';
				PrintText11 += '\n';
				PrintText11 += '\n';
				PrintText11 += '\n';
				PrintText11 = String(PrintText11);
				outputStream.write(plus.android.invoke(PrintText11, 'getBytes', 'gbk'));
				outputStream.flush();
				outputStream.write([0x1d, 0x4c, 0x1f, 0x00]); //结束打印
				outputStream.flush();

				device = null //这里关键
				bluetoothSocket.close(); //必须关闭蓝牙连接否则意外断开的话打印错误
			}
		},
		//两列
		printTow: function(leftStr, rightStr) {
			var str = '';
			var leftTextLength = leftStr.length,
				rightTextLength = rightStr.length;
			str += leftStr;
			// 计算两侧文字中间的空格
			var marginBetweenMiddleAndRight = 25 - leftTextLength - rightTextLength;
			for (var i = 0; i < marginBetweenMiddleAndRight; i++) {
				str += " ";
			}
			str += rightStr;
			str += "\n";
			return str.toString();
		},
		//四列
		printFour: function(str1, str2, str3, str4) {
			var str = '';
			//获取每个位置的字节
			var len1 = this.getBytesLength(str1),
				len2 = this.getBytesLength(str2),
				len3 = this.getBytesLength(str3),
				len4 = this.getBytesLength(str4),
				tab1 = 0,
				tab2 = 0,
				tab3 = 0;
			//如果商品的名称长度大于7，就让商品名称单独占一行
			if (str1.length > 7) {
				//获取商品的字节
				var len = this.getBytesLength(str1);
				str1 = str1;
				str += str1 + '\n';
				//计算第二行应该空多少个空格
				var tab = 16 - len2;
				for (var i = 0; i < tab; i++) {
					str += ' ';
				}
				str += str2;
			} else {
				str += str1;

				tab1 = 16 - len1 - len2;
				for (var i = 0; i < tab1; i++) {
					str += ' ';
				}
				str += str2;

			}
			tab2 = 8 - len3;
			for (var i = 0; i < tab2; i++) {
				str += ' ';
			}
			str += str3;
			tab3 = 8 - len4;
			for (var i = 0; i < tab3; i++) {
				str += ' ';
			}
			str += str4;
			str += "\n";
			return str.toString();
		},
		//获取字符串的字节
		getBytesLength: function(str) {
			var bytesCount = null;
			//一个汉字占2个字节   一个数字和一个字母各占一个字节
			for (var i = 0; i < str.length; i++) {
				var c = str.charAt(i);
				if (/^[\u0000-\u00ff]$/.test(c)) //匹配双字节
				{
					bytesCount += 1;
				} else {
					bytesCount += 2;
				}
			}
			return bytesCount;
		},
		getnowTime: function() {
			var date = new Date(),
				time = '';
			var year = date.getFullYear(),
				month = Number(date.getMonth()) + 1,
				date_ = date.getDate(),
				hours = date.getHours(),
				min = date.getMinutes(),
				sec = date.getSeconds();
			if (hours < 10) {
				hours = '0' + hours;
			}
			if (min < 10) {
				min = '0' + min;
			}
			if (sec < 10) {
				sec = '0' + sec;
			}
			time = year + '-' + month + '-' + date_ + ' ' + hours + ':' + min + ':' + sec;
			return time;
		},
		infoList: function() {
			var that = this,
				warning = mui('#warning')[0];
			mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 5000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						that.closeOrder(that.info.发票金额 || '', that.info.发票号码 || '');
					} else {
						mui.toast(data.msg);
						warning.style.display = 'none';
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.infoList();
					}
				}
			});
		},
		closeOrder: function(fpmoney, fpno) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/Billpay?billno=' + that.billno + '&fpmoney=' + fpmoney + '&fpno=' + fpno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						that.info = data.Body;
						mui.toast('付款成功');

					} else {
						mui.toast(data.msg);
						
					}

				},
				complete: function(XMLHttpRequest, status) {
					warning.style.display = 'none';
					if (status == 'timeout') {
						that.closeOrder(fpmoney, fpno);
					}
				}
			});
		},
		getDetailFn: function() {
			var that = this,
				warning = mui('#warning')[0];
				
			that.deskname = [];
			
			mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=1&flowtype=011&bill_no=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						// 桌台名称
						if (that.billno.indexOf('X') != -1) {
							that.desknum = data.Body.开台信息.length;
							mui.each(data.Body.开台信息, function(index, item) {
								that.deskname.push(item.桌台[0].desk.desk_name);
							})
							that.deskname = that.deskname.join('+');
						}
						that.billinfo = data.Body.bill;
						that.goodinfo = data.Body.点餐明细;
						//循环商品，看是否是赠送或者退菜，拼接在商品名称的后面
						mui.each(data.Body.点餐明细, function(index, item) {
							if (item.是否赠送 == '是') {
								item.商品名称 += '(赠)';
								item.实价 = '-';
							}
							if (item.是否退菜 == '是') {
								item.商品名称 += '(退)';
								item.实价 = '-';
								item.原价 = '-';
							}
						})
						that.length = that.goodinfo.length;
						that.jiezhangInfo = data.Body.结账明细;
						that.kaitaiInfo = data.Body.开台信息;
						that.getdata();
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					warning.style.display = 'none';
					if (status == 'timeout') {
						that.getDetailFn();
					}
				}
			});
		}
	}
})
//返回餐厅
mui('#wrap').on('tap', '.goRest', function() {
	var href='index.html';
	// var href='restaurant.html?s='+Math.random();
	// if(wrap.billno.slice(0,1)=='W'){
	// 	localStorage.setItem('wbill_no', '-');
	// 	href='waiMaiindex.html?s='+Math.random();
	// }
	mui.openWindow({
		url: href,
		id:href,
		//createNew: true,
		styles: {
			cachemode: "noCache"
		},
		show: {
			autoShow: true,
			aniShow: 'slide-in-right',
			duration: 300
		},
		waiting: {
			autoShow: true
		}
	})
})
//返回按钮
var old_back=mui.back;
			
			mui.back=function(){
				console.log('返回测试');
				mui.openWindow({
					url: 'index.html',
					id: 'index.html',
					styles: {
						cachemode: "noCache"
					}
				});
			}

//订单详情
mui('#wrap').on('tap', '.goDetail', function() {
	mui.openWindow({
		url: 'flowDetail.html?billno=' + wrap.billno,
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//点击打印小票  先获取订单详情
mui('#wrap').on('tap', '.billPrint', function() {

	wrap.getDetailFn();
})

mui('#middlePopover').on('tap', '#okBtn', function() {
	wrap.getdata();
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
