var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui.init({
	swipeBack: true, //启用右滑关闭功能
	preloadPages: [{
		url: 'diancan.html'
	}]
});

var wrap = new Vue({
	el: '#wrap',
	data: {
		billno: localStorage.getItem("bill_no"),
		order: "",
		detailid: "", //已选择菜品的detailid
		state: "", //是否已经是退菜状态
		loseOptions: "", //所有的可选退菜原因
		price: "",
		make: "", //整单制法
		give: '',
		giveOption: [], //赠送原因
		length: 0,
		huantaiOption: [],
		jiataiOption: []
	},
	created: function() {
		this.giveFn();
		this.huantaiOptionFn();
		this.jiataiOptionFn();
	},
	mounted: function() {
		this.listFn();
	},
	methods: {
		listFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/GetDetailsNos?billid=' + localStorage.getItem("billid") + '&no_id=' +
				localStorage.getItem("no_id") + '&deskid=' + localStorage.getItem("deskid") +
				'&type=&yestype=&0.1819844303453062', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							that.order = data.Body.order;
							that.make = data.Body.order.make.join('+');
							that.length = data.Body.order.list.length;
							localStorage.setItem('personNum', that.order.total_mans);
							
							if(that.length == 0){
								mui('.noData')[0].style.display = 'block';
							}


							mui('.topUl')[0].style.display = 'block';
							mui('.bottomInfo')[0].style.display = 'block';

						} else {
							mui.toast(data.msg);
						}

					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.listFn();
						}
					}
				});
		},

		pickerFn: function(value, text) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/LoseItem?billno=' + localStorage.getItem('bill_no') + '&deskid=' +
				localStorage.getItem('deskid') + '&detailid=' + that.detailid + '&loseno=' + value + '&losename=' + text +
				'&thqty=1', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.Body == null && data.code == "0000") {
							that.listFn();
							mui.toast('退菜成功！');
						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {}
				});

		},

		giveFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/GiveOptions', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body.data, function(index, item) {
						if (item != '' && item != 'undefined') {
							that.giveOption[index] = {
								value: index,
								text: item
							};
						}
					})
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.giveFn();
					}
				}

			});
		},
		//确定改价方法
		okPriceFn: function(price) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/BillPrice?billno=' + localStorage.getItem('bill_no') + '&deskid=' +
				localStorage.getItem('deskid') + '&detailid=' + that.detailid + '&unitprice=' + price, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000" && data.Body == null) {
							mui.toast('操作成功！');
							that.listFn();
						}

						if (data != null && data.code == "0001") {
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.okPriceFn();
						}
					}
				});

		},
		//确定修改人数
		okPnum: function(num) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/EditPeople?deskid=' + localStorage.getItem("deskid") + '&billno=' + that.billno +
				'&peoplesum=' + num, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000") {
							mui.toast('修改成功');
							wrap.listFn();
						}

						if (data != null && data.code == "0001") {
							return;
						}
						if (data == null || data.code != "0000" || data.Body == null) {
							return;
						}

					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.okPnum(num);
						}
					}
				});
		},
		//单品折扣
		singleDiscount: function() {
			var that = this,
				number = '';
			mui.ajax('http://dci.10le.cn/Order/Visible?billno=' + that.billno + '&exe=单品折扣&detailid=' + that.detailid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						if (data.Body.data == '' || data.Body.data == null) {
							number = '100%';

						} else {
							number = data.Body.data + '%';
						}
						mui.prompt('', number, '折扣优惠', ['取消', '确定'], function(e) {
							if (e.index == 1 && e.value != '') {
								if (Number(e.value) < 1 || Number(e.value) > 100) {
									mui.alert('请输入1~100的数字', ' ', function() {}, 'div');
								} else {
									mui.ajax('http://dci.10le.cn/Order/BillDiscount?billno=' + that.billno + '&detailid=' + that.detailid +
										'&zkval=' + e.value, {
											data: "",
											dataType: 'json',
											type: 'GET',
											timeout: 10000, //超时时间设置为10秒；
											headers: {
												'Content-Type': 'application/json',
												'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
											},
											success: function(data) {
												if (data.code == "0000") {
													mui.toast('操作成功');
													that.listFn();
												}
												if (data != null && data.code == "0001") {
													return;
												}
												if (data == null || data.code != "0000" || data.Body == null) {
													return;
												}
											},
											error: function(xhr, type, errorThrown) {}
										});
								}
							}
						}, 'div');
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}

				},
				error: function(xhr, type, errorThrown) {}
			});
		},
		//整单折扣
		allDiscount: function() {
			var that = this,
				number = '';
			mui.ajax('http://dci.10le.cn/Order/Visible?billno=' + that.billno + '&exe=整单折扣', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						if (data.Body.data == '' || data.Body.data == null) {
							number = '100%';
						} else {
							number = data.Body.data + '%';
						}
						mui.prompt('', number, '折扣优惠', ['取消', '确定'], function(e) {
							if (e.index == 1 && e.value != '') {
								if (Number(e.value) < 1 || Number(e.value) > 100) {
									mui.alert('请输入1~100的数字', ' ', function() {}, 'div');
								} else {
									mui.ajax('http://dci.10le.cn/Order/BillDiscount?billno=' + that.billno + '&zkval=' + e.value, {
										data: "",
										dataType: 'json',
										type: 'GET',
										timeout: 10000, //超时时间设置为10秒；
										headers: {
											'Content-Type': 'application/json',
											'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
										},
										success: function(data) {
											if (data.code == "0000") {
												mui.toast('操作成功');
												that.listFn();
											} else {
												mui.toast(data.msg);
												return;
											}
										},
										error: function(xhr, type, errorThrown) {}
									});
								}
							}
						}, 'div');
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		},
		//划菜
		huacaiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/BillSort?billno=' + localStorage.getItem('bill_no') + '&deskid=' +
				localStorage.getItem('deskid') + '&detailid=' + that.detailid, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						warning.style.display = 'block';
					},
					success: function(data) {
						if (data.code == "0000") {
							mui.toast('操作成功');
							that.listFn();
						}
						if (data.code == "0001") {
							mui.toast(data.msg);
						}


					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						warning.style.display = 'none';
						if (status == 'timeout') {
							that.huacaiFn();
						}
					}
				});
		},
		//加急
		jiajiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/Urgent?billno=' + localStorage.getItem('bill_no') + '&detailid=' + that.detailid +
				'&deskid=' + localStorage.getItem('deskid'), {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000" && data.Body == null) {
							mui.toast('操作成功！');
							that.listFn();
						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.jiajiFn();
						}
					}
				});
		},
		//赠送
		give1Fn: function(text) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/BillGive?billno=' + wrap.billno + '&detailid=' + wrap.detailid + '&deskid=' +
				localStorage.getItem('deskid') + '&givename=' + text, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == "0000") {
							mui.toast('赠送成功');
							wrap.listFn();
						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {}
				});

		},
		//结账
		jiezhangFn: function() {
			var warning = mui('#warning')[0],
				that = this;
			mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					warning.style.display = 'none';
					if (data.code == "0001") {
						mui.alert(data.msg, ' ', function() {}, 'div');
						return false;
					}
					if (data.code == "0000") {
						localStorage.setItem('orderForm', '餐厅');
						mui.openWindow({
							url: 'jiezhang.html',
							id: 'jiezhang',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.jiezhangFn();
					}
				}
			});

		},
		//换台选项
		huantaiOptionFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/ReplaceDesks?deskid=' + localStorage.getItem('deskid'), {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body.data, function(index, item) {
						var text = '';
						if (item.desk_no == null) {
							text = item.desk_name;
						} else {
							text = item.desk_no + '-' + item.desk_name;
						}
						that.huantaiOption[index] = {
							value: item.desk_id,
							text: text
						};
					})
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.huantaiOptionFn();
					}
				}
			});
		},
		//加台选项
		jiataiOptionFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/idledesk?billno=' + that.billno + '&type=2', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body.data, function(index, item) {
						that.jiataiOption[index] = {
							value: item.desk_id,
							text: item.desk_name
						};
					})
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.jiataiOptionFn();
					}
				}
			});
		}
	}
})

mui('body').on('tap', 'li', function() {
	var bottomInfo = mui('.bottomInfo')[0];
	var lis = bottomInfo.getElementsByTagName('li');

	if (this.className.indexOf('selected') == -1) {
		mui.each(lis, function(index, item) {
			item.classList.remove('selected');
		})
		this.classList.add('selected');
		wrap.detailid = this.getAttribute('detailid');
		wrap.state = this.getAttribute('state');
		wrap.price = this.getAttribute('price');
		wrap.give = this.getAttribute('give');
		localStorage.setItem('detailid', this.getAttribute('detailid'));
	} else {
		this.classList.remove('selected');
		wrap.detailid = 0;
		wrap.state = 0;
		wrap.price = 0;
		wrap.give = 0;
		localStorage.setItem('detailid', 0);
	}

})

//点菜
mui('#btns').on('tap', '#diancai', function() {
	mui.openWindow({
		url: 'diancan.html',
		id: 'diancan',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})

})
//划菜
mui('#btns').on('tap', '#huacai', function() {
	if (wrap.detailid) {
		wrap.huacaiFn();
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})
//加急
mui('#btns').on('tap', '#urgent', function() {
	wrap.jiajiFn();
})
//改价
mui('#btns').on('tap', '#gaijia', function() {
	if (wrap.detailid) {
		if (wrap.state == "已退菜") {
			mui.alert('此品已退，不支持改价', ' ', function() {}, 'div');
		} else {
			mui.prompt('', wrap.price, '修改价格', ['取消', '确定'], function(e) {
				if (e.index == 1) {
					if (e.value < 0) {
						mui.alert('请输入正确的价格', ' ', function() {}, 'div');
					} else {
						wrap.okPriceFn(e.value);
					}
				}
			}, 'div');
		}
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})

//退菜
mui('#btns').on('tap', '#tuicai', function() {
	if (wrap.detailid) {
		if (wrap.state == "已退菜") {
			mui.alert('此菜品已是退菜状态', ' ', function() {}, 'div');
		} else {
			//查看退菜原因
			mui.ajax('http://dci.10le.cn/Default/LoseOptions', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						//如果有退菜原因就显示选项，没有的话就输入原因
						wrap.loseOptions = data.Body.options;
						if (wrap.loseOptions.length > 0) {
							var picker = new mui.PopPicker(),
								arr = [];
							mui.each(wrap.loseOptions, function(index, item) {
								arr[index] = {
									value: item.lose_no,
									text: item.lose_name
								};
							})
							picker.setData(arr);
							picker.show(function(selectItems) {
								wrap.pickerFn(selectItems[0].value, selectItems[0].text);
							})
						} else {
							mui.prompt('', '', '退菜原因', ['取消', '确定'], function(e) {
								if (e.index == '1') {
									wrap.pickerFn('', e.value);
								}
							}, 'div');
						}

					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		}
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})
//制法
mui('#btns').on('tap', '.proMethod', function() {
	var index = this.getAttribute('item');
	if (index == 1) {
		if (wrap.detailid) {
			if (wrap.state == "已退菜" || wrap.state == "已上菜") {
				mui.toast('未开始制作的菜品才可以修改制法');
			} else {
				localStorage.setItem('detailid', wrap.detailid);
				localStorage.setItem('makeOpPre', 'order');
				mui.openWindow({
					url: 'makeOptions.html',
					id: 'makeOptions',
					createNew: true,
					styles: {
						cachemode: "noCache"
					},
					show: {
						autoShow: true,
						aniShow: 'slide-in-right',
						duration: 300
					},
					waiting: {
						autoShow: true
					}
				})
			}

		} else {
			mui.alert('请选择菜品', ' ', function() {}, 'div');
		}
	} else {
		localStorage.setItem('detailid', '');
		localStorage.setItem('makeOpPre', 'order');
		mui.openWindow({
			url: 'makeOptions.html',
			id: 'makeOptions',
			createNew: true,
			styles: {
				cachemode: "noCache"
			},
			show: {
				autoShow: true,
				aniShow: 'slide-in-right',
				duration: 300
			},
			waiting: {
				autoShow: true
			}
		})
	}
})

//更多
var length = Math.ceil(document.getElementsByClassName('btnDiv').length / 4);
mui('#btns').on('tap', '#more', function() {
	var btns = mui('#btns')[0];
	btns.style.height = length * 57 + 'px';
	this.style.display = 'none';
	mui('.pull')[0].style.display = 'block';
})
mui('#btns').on('tap', '#pullBtn', function() {
	btns.style.height = '60px';
	mui('#more')[0].style.display = 'inline-block';
	mui('.pull')[0].style.display = 'none';
})
//单品折扣
mui('#btns').on('tap', '#oneDiscount', function() {
	if (wrap.detailid) {
		if (wrap.state == "已退菜") {
			mui.alert('已退菜不可使用折扣优惠', ' ', function() {}, 'div');
		} else {
			wrap.singleDiscount();
		}
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}

})

//查看整单折扣
mui('body').on('tap', '#allDiscount', function() {
	wrap.allDiscount();
})

//赠送
mui('#btns').on('tap', '#give', function() {
	if (wrap.detailid) {
		if (wrap.state == "已退菜") {
			mui.alert('已退菜不可赠送', ' ', function() {}, 'div');
		} else if (wrap.give == "赠送") {
			mui.alert('此菜品已赠送', ' ', function() {}, 'div');
		} else {
			//查看赠送原因
			if (wrap.giveOption.length == 0) {
				mui.prompt('', '', '赠送原因', ['取消', '确定'], function(e) {
					if (e.index == 1) {
						wrap.give1Fn(e.value);
					}
				}, 'div');
			} else {
				var picker = new mui.PopPicker();
				picker.setData(wrap.giveOption);
				picker.show(function(selectItems) {
					wrap.give1Fn(selectItems[0].text);
				})
			}

		}
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})

//换台
mui('body').on('tap', '#huantai', function() {
	var picker = new mui.PopPicker();
	picker.setData(wrap.huantaiOption);
	picker.show(function(selectItems) {
		mui.ajax('http://dci.10le.cn/Default/ReplaceDeskdo?deskid=' + localStorage.getItem("deskid") + '&ndeskid=' +
			selectItems[0].value + '&billno=' + wrap.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == "0000") {
						mui.toast('更换成功');

						if (selectItems[0].text.indexOf('-') == -1) {
							localStorage.setItem('deskNum', selectItems[0].text);
						} else {
							var name = selectItems[0].text.split('-')[1];
							localStorage.setItem('deskNum', name);
						}

						localStorage.setItem('deskid', selectItems[0].value);
						wrap.listFn();
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
	})
})

//修改人数
mui('#btns').on('tap', '#changeNum', function() {
	mui.prompt('', '', '修改人数', ['取消', '确定'], function(e) {
		if (e.index == 1 && e.value) {
			if (Number(e.value) < 1) {
				mui.alert('人数不能少于1人', ' ', function() {}, 'div');
			} else {
				wrap.okPnum(e.value);
				localStorage.setItem('personNum', e.value);
			}
		}
	}, 'div');
})

//加台
mui('#btns').on('tap', '#addTai', function() {
	var picker = new mui.PopPicker();

	picker.setData(wrap.jiataiOption);
	picker.show(function(selectItems) {
		mui.prompt('', '', '请输入加台人数', ['取消', '确定'], function(e) {

			if (e.index == 1) {
				if (Number(e.value) < 1) {
					mui.alert('加台人数不能低于1人', ' ', function() {}, 'div');
					return;
				}

				mui.ajax('http://dci.10le.cn/Default/AddSand?billno=' + wrap.billno + '&deskid=' + selectItems[0].value +
					'&peoples=' + e.value, {
						data: "",
						dataType: 'json',
						type: 'GET',
						timeout: 10000,
						headers: {
							'Content-Type': 'application/json',
							'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
						},
						success: function(data) {
							if (data.code == "0000") {
								mui.toast('加台成功');
								wrap.listFn();

								return;
							}

							if (data != null && data.code == "0001") {
								return;
							}
							if (data == null || data.code != "0000" || data.Body == null) {
								return;
							}
						},
						error: function(xhr, type, errorThrown) {}
					});
			}
		}, 'div');

	});
})

//并单
mui('#btns').on('tap', '#merge', function() {
	mui.openWindow({
		url: 'concatOrder.html',
		id: 'concatOrder',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//会员
mui('#btns').on('tap', '#vip', function() {
	localStorage.setItem('referrer', 'orderDetail');
	mui.openWindow({
		url: 'vip.html',
		id: 'vip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//结账
mui('#btns').on('tap', '#jiezhang', function() {
	wrap.jiezhangFn();
})

mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#okBtn', function() {
	mui('#middlePopover').popover('hide');
})

//新建订单
mui('#btns').on('tap', '#createOrder', function() {
	mui('.middlePopover').popover('show');
})

mui('.middlePopover').on('tap', '.cancel', function() {
	mui('.middlePopover').popover('hide');
})

//确定开台
mui('.middlePopover').on('tap', '.okBtn', function() {
	var num = mui('.mui-numbox').numbox().getValue();
	if (Number(num) == 0 || Number(num) < 0) {
		mui.alert('用餐人数不能少于1人', ' ', function() {}, 'div');
		return;
	}
	mui('.middlePopover').popover('hide');
	localStorage.setItem('personNum', num);

	mui.ajax('http://dci.10le.cn/default/openstand?deskid=' + localStorage.getItem('deskid') + '&openman=' + num +
		'&order_no=', {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
			},
			success: function(data) {
				if (data.code == "0000") {
					localStorage.setItem('bill_no', data.Body.bill_no);
					localStorage.setItem('billid', data.Body.billid);
					mui.openWindow({
						url: 'diancan.html',
						id: 'diancan',
						createNew: true,
						styles: {
							cachemode: "noCache"
						}
					})
				}
			},
			error: function(xhr, type, errorThrown) {

			}
		});

})
