mui.init();
//是否隐藏更多支付方式
if (localStorage.getItem('show') == 'true') {
	mui('.more')[0].style.display = 'block';
} else if (localStorage.getItem('show') == 'false') {
	mui('.more')[0].style.display = 'none';
}

var wrap = new Vue({
	el: '#wrap',
	data: {
		info: '',
		paymentno: [],
		money: [],
		paystyle: '',
		payArr: [],
		vipInfo: '',
		vip_credit_amt: '',
		init_balance_amt: ''
	},
	mounted: function() {
		this.infoFn();
	},
	methods: {
		infoFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + localStorage.getItem("bill_no"), {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						// 如果剩余是负的   就显示0
						if (data.Body.obj.剩余 < 0) {
							data.Body.obj.剩余 = 0;
						}

						that.info = data.Body.obj;
						that.paystyle = data.Body.obj.付款方式;
						that.vipInfo = data.Body.obj.会员;
						//查询会员的欠款额度和已经欠的金额
						if (that.vipInfo != null) {
							that.vipDetailFn();
						}
					} else {
						mui.toast(data.msg);
					}
					warning.style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.infoFn();
					}
				}
			});
		},
		jiezhangFn: function() {
			var that = this,
				warning = mui('#warning')[0];
			mui.ajax('http://dci.10le.cn/Default/AddPay?paymentno=' + that.paymentno.join(',') + '&billno=' + localStorage.getItem(
				"bill_no") + '&payamt=' + that.money.join(',') + '&fpmoney=&fpno=', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {

					if (data.code == '0000') {
						mui.openWindow({
							url: 'okJiezhang.html',
							id: 'okJiezhang',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					warning.style.display = 'none';
					if (status == 'timeout') {
						that.jiezhangFn();
					}
				}
			});

		},
		//查询会员的欠款额度和已经欠的金额
		vipDetailFn: function() {
			var that = this,
				warning = mui('#warning')[0];
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx?cmd=04&itemId=' + that.vipInfo.vipid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {

						//欠款额度
						that.vip_credit_amt = data.Body.item.vip_credit_amt;
						//欠款金额
						that.init_balance_amt = data.Body.item.init_balance_amt;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					warning.style.display = 'none';
					if (status == 'timeout') {
						that.vipDetailFn();
					}
				}
			});
		},
		// 获取二维码
		getQrcode: function(type) {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/pay_qr.aspx?billno=' + localStorage.getItem("bill_no") + '&p7=' + type, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						qrcode.makeCode(data.Body.qrcode);
						mui('.box')[0].style.display = 'block';
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					warning.style.display = 'none';
					if (status == 'timeout') {
						that.getQrcode(type);
					}
				}
			});
		}
	}
})

mui('#wrap').on('tap', '#jiezhang', function() {
	document.activeElement.blur();
	wrap.payArr.length = 0;
	wrap.paymentno = [];
	wrap.money = [];
	var selectLi = mui('.select'),
		that = this,
		count = 0;

	if (selectLi.length == 0) {
		mui.toast('请选择支付方式')
	} else {
		//将选择到的支付方式整合
		mui.each(selectLi, function(index, item) {
			var payno = this.getAttribute('code'),
				money = Number(this.getElementsByTagName('input')[0].value);
			count += money;
			wrap.paymentno.push(payno);
			wrap.money.push(money);
		})

		if (count == wrap.info.剩余) {
			mui.confirm('确认结账？', ' ', function(e) {
				if (e.index == 1) {
					//判断是否选择了会员支付
					var index1 = wrap.paymentno.indexOf('10');
					//判断是否选择了会员欠款
					var index2 = wrap.paymentno.indexOf('11');

					//判断订单是否绑定了会员
					if (wrap.vipInfo == null) {
						if (index1 != -1 || index2 != -1) {
							mui.alert('订单未绑定会员，不能用会员支付或会员欠款', ' ', function() {}, 'div');
							return;
						}
					}

					//会员支付
					if (index1 != -1) {
						var num = wrap.money[index1];
						//如果会员支付中的金额大于会员的剩余金额  就提示会员余额不足
						if (Number(num) > Number(wrap.vipInfo.余额)) {
							mui.alert('会员余额不足', ' ', function() {}, 'div');
							return;
						}
					}

					//会员欠款
					if (index2 != -1) {
						var num = wrap.money[index2];
						//计算会员可欠的额度
						var canMoney = (Number(wrap.vip_credit_amt) - Number(wrap.init_balance_amt)).toFixed(2);
						//如果可欠额度小于会员欠款金额就提示
						if (canMoney < num) {
							mui.alert('会员欠款额度不足', ' ', function() {}, 'div');
							return;
						}
					}
					wrap.jiezhangFn();
				}
			}, 'div')
		} else if (count > wrap.info.剩余) {
			mui.toast('您输入的金额大于应收金额');
		} else if (count < wrap.info.剩余) {
			mui.toast('您输入的金额小于应收金额');
		}

	}

})

mui('.inputDiv').on('tap', 'li', function(e) {
	if (this.getAttribute('class').indexOf('select') == -1) {
		this.classList.add('select');
	} else {
		this.classList.remove('select');
	}
	var input = this.getElementsByTagName('input')[0];
	input.focus();
})
mui('.inputDiv').on('tap', 'input', function(e) {
	e.stopPropagation();
})

var flag = true,
	hideCell = mui('.hideCell')[0];
mui('.inputDiv').on('tap', '.moreStyle', function() {
	if (flag) {
		flag = false;
		hideCell.style.display = 'block';
	} else {
		flag = true;
		hideCell.style.display = 'none';
	}

})
var qrcode = new QRCode("qrcode", {
	width: 190,
	height: 190,
	colorDark: "#000000",
	colorLight: "#ffffff",
	correctLevel: QRCode.CorrectLevel.H
});
mui('#wrap').on('tap', '#weixin', function() {
	mui.confirm('确认结账？', ' ', function(e) {
		if (e.index == 1) {
			wrap.getQrcode(37);
		}
	}, 'div')
})

mui('#wrap').on('tap', '#zhifubao', function() {
	mui.confirm('确认结账？', ' ', function(e) {
		if (e.index == 1) {
			wrap.getQrcode(36);
		}
	}, 'div')
})


mui('#wrap').on('tap', '#icon', function() {
	mui('.box')[0].style.display = 'none';
})
