var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if(!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui.init({
	swipeBack: true
});
var index = new Vue({
	el: '#wrap',
	data: {
		list: "",
		deskSum: "",
		floors: "", //楼层
		free: 0,
		unfree: 0,
		all: 0,
		deskList: "",
		length: "",
		floor_no: '', //监听楼层
		statu: '', //监听桌子状态
		timerList: [] //市别列表
	},
	created: function() {
		this.getFloors();
		this.getDesk();
	},
	methods: {
		getFloors: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/index', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.floors = data.Body.cq;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getFloors();
					}
				}
			});
		},
		getDesk: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/desk', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					that.deskList = data.Body.desklist;
					that.length = that.deskList.length;
					that.free = data.Body.free;
					that.unfree = data.Body.unfree;
					that.all = data.Body.free + data.Body.unfree;
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.getDesk();
					}
				}
			});
		},
		common: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/desk?cq_no=' + that.floor_no + '&flag=' + that.statu, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.deskList = data.Body.desklist;
					that.free = data.Body.free;
					that.unfree = data.Body.unfree;
					that.all = data.Body.free + data.Body.unfree;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.common();
					}
				}
			});

		},
		searchIn: function(event) {
			var value = event.currentTarget.value,
				item1 = mui('#item1')[0];
			var arr = item1.getElementsByTagName('li');
			mui.each(arr, function(index, item) {
				if(item.getAttribute('desk_name').indexOf(value) == -1) {
					item.classList.add('mui-hidden');
				} else {
					item.classList.remove('mui-hidden');
				}
			})
		},
		timerFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/GetTimerList', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.timerList = data.Body.list;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.timerFn();
					}
				}
			});
		},
		//查询桌台下的订单
		ordersFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/deskbill?deskid=' + localStorage.getItem('deskid'), {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					var length = data.Body.list.length;
					if(length > 1) {
//						mui.openWindow({
//							url: "orders.html",
//							id: 'orders',
//							createNew: true,
//							styles: {
//								cachemode: "noCache"
//							},
//							waiting: {
//								autoShow: true //自动显示等待框，默认为true
//							}
//						})
					} else {
						localStorage.setItem('billid', data.Body.list[0].billid);
						localStorage.setItem('no_id', data.Body.list[0].bill_no);
						localStorage.setItem('bill_no', data.Body.list[0].bill_no);
						mui.openWindow({
							url: "orderDetail.html",
							id: "orderDetail",
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.ordersFn();
					}
				}
			});
		},
		//开台
		kaitaiFn: function(deskid, num) {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/openstand?deskid=' + deskid + '&openman=' + num + '&order_no=', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					mui('#warning')[0].style.display = 'none';
					localStorage.setItem('bill_no', data.Body.bill_no);
					localStorage.setItem('billid', data.Body.billid);

					mui.openWindow({
						url: 'diancan.html',
						id: 'diancan',
						createNew: true,
						styles: {
							cachemode: "noCache"
						}
					})
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.kaitaiFn();
					}
				}
			});
		}
	},
	watch: {
		deskList: function() {
			var html_ = '';
			mui.each(this.deskList, function(index, item) {
				if(item.flag == '非空闲') {
					html_ += '<li class="busy" desk_name="' + item.desk_name + '" flag="' + item.flag + '" deskid="' + item.deskid + '" floor="' + item.floor + '"  desk_no="' + item.desk_no + '"><p class="num">' + item.desk_name + '</p><div class="picture"></div><div class="bottom"><p class="pNum"><span class="mui-icon mui-icon-person"></span>' + item.user_num + '位</p> <span>|</span> <p class="orderNum"><span class="mui-icon mui-icon-compose"></span>' + item.billnum + '单</p></div></li>';
				} else {
					html_ += '<li class="free" desk_name="' + item.desk_name + '" flag="' + item.flag + '" deskid="' + item.deskid + '" floor="' + item.floor + '"  desk_no="' + item.desk_no + '"><p class="num">' + item.desk_name + '</p><div class="picture"></div><div class="bottom"><p class="pNum"><span class="mui-icon mui-icon-person"></span>0位</p> <span>|</span> <p class="orderNum"><span class="mui-icon mui-icon-compose"></span>0单</p></div></li>';
				}
			})

			mui('#item1Ul')[0].innerHTML = html_;
			mui('#item1Ul').on('tap', 'li', function() {
				if(this.getAttribute('flag') == '非空闲') {
					//桌号
					localStorage.setItem('deskNum', this.getAttribute('desk_name'));
					localStorage.setItem('deskid', this.getAttribute('deskid'));
					localStorage.setItem('desk_no', this.getAttribute('desk_no'));
					index.ordersFn();
				} else {
					mui('.middlePopover').popover('show');
					mui('.deskNum')[0].innerText = this.getAttribute('desk_name');
					mui('#okKaitai')[0].setAttribute('deskid', this.getAttribute('deskid'));
					mui('.mui-numbox').numbox().setValue(1);

				}
			});
		},
		floor_no: function() {
			this.common();
		},
		statu: function() {
			this.common();
		}
	}
})

//选择楼层
mui('.floor').on('tap', '.louDiv', function() {
	var floors = mui('#floors')[0];
	if(floors.style.height == '0px' || floors.style.height == '') {
		floors.style.height = 'auto';
		floors.style.overflow = 'auto';
		floors.style.display = 'block';
	} else {
		floors.style.height = '0px';
		floors.style.overflow = 'hidden';
		floors.style.display = 'none';
	}
});
//全部
mui('#floors').on('tap', '.allFloor', function() {
	index.getDesk();
	index.floor_no = '';
	var floors = mui('#floors')[0];
	mui('.lou')[0].innerText = this.innerText;
	floors.style.height = '0px';
	floors.style.overflow = 'hidden';
	floors.style.display = 'none';
})
//其他楼层
mui('#floors').on('tap', '.otherFloor', function() {
	var floors = mui('#floors')[0],
		lou = mui('.lou')[0];
	lou.innerText = this.innerText;
	lou.setAttribute('floor_no', this.getAttribute('floor_no'));
	floors.style.height = '0px';
	floors.style.overflow = 'hidden';
	floors.style.display = 'none';
	index.floor_no = this.getAttribute('floor_no');
})

//按钮
mui('#segmentedControl').on('tap', 'a', function() {
	index.statu = this.getAttribute('statu');
	var muibadge = mui('.mui-badge'),
		thisBadge = this.getElementsByClassName('mui-badge')[0];
	mui.each(muibadge, function(index, item) {
		item.classList.remove('active');
		item.classList.add('default');
	})
	thisBadge.classList.remove('default');
	thisBadge.classList.add('active');

})

//确定开台
mui('.middlePopover').on('tap', '#okKaitai', function() {
	var a = this;

	var num = mui('.mui-numbox').numbox().getValue();
	if(Number(num) == 0 || Number(num) < 0) {
		mui.alert('用餐人数不能少于1人', ' ');
		return;
	}
	mui('.middlePopover').popover('hide');
	localStorage.setItem('personNum', num);
	localStorage.setItem('deskNum', mui('.deskNum')[0].innerText);
	localStorage.setItem('deskid', a.getAttribute('deskid'));
	localStorage.setItem('desk_no', a.getAttribute('desk_no'));

	index.kaitaiFn(a.getAttribute('deskid'), num);

})
mui('.middlePopover').on('tap', '.cancel', function() {
	mui('.middlePopover').popover('hide');
})
//交班
mui('#btns').on('tap', '#shift', function() {
	//查看当班收银员
	mui.ajax('http://dci.10le.cn/default/Yen', {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if(data.code == '0000') {
				mui.openWindow({
					url: 'jiaobanDetail.html',
					id: 'jiaobanDetail',
					createNew: true,
					styles: {
						cachemode: "noCache"
					}
				})
			}
			if(data.code == '0001') {
				mui.toast(data.msg, ' ');
			}
		}
	});
})

//接班
mui('#btns').on('tap', '#takeOver', function() {
	index.timerFn();
	mui('#middlePopover').popover('show');
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#okBtn', function() {
	if(mui('#beiyong')[0].value) {
		mui.ajax('http://dci.10le.cn/Default/MeetClass?meetstart_amt=' + mui('#beiyong')[0].value + '&meetmemo=' + mui('#beizhu')[0].value + '&weettime=' + mui('#shibieSel')[0].value, {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
			},
			success: function(data) {
				if(data.Body == null && data.code == "0001") {
					mui.toast(data.msg);
					mui('#middlePopover').popover('hide');
				}
				if(data.Body == null && data.code == "0000") {
					mui.toast('接班成功');
					mui('#middlePopover').popover('hide');
				}
				if(data != null && data.code == "0001") {
					return;
				}
				if(data == null || data.code != "0000" || data.Body == null) {
					return;
				}

			},
			error: function(xhr, type, errorThrown) {}
		});
	} else {
		mui.toast('请输入正确的备用金额');
	}

})

//监听手机软键盘是否被唤起
var clientHeight = document.documentElement.clientHeight || document.body.clientHeight;
window.onresize = function() {
	var nowClientHeight = document.documentElement.clientHeight || document.body.clientHeight;
	if(clientHeight > nowClientHeight) {
		//键盘弹出的事件处理
		mui('#btns')[0].style.display = 'none';
	} else {
		//键盘收起的事件处理
		mui('#btns')[0].style.display = 'flex';
	}
}

//外卖
mui('#wrap').on('tap', '#waimai', function() {
	mui.openWindow({
		url: 'waiMai.html',
		id: 'waiMai',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//订单
mui('#wrap').on('tap', '#order', function() {
	mui.openWindow({
		url: 'flow.html',
		id: 'flow',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
