var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if(!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}

mui.init({
	swipeBack: true //启用右滑关闭功能
});

var wrap = new Vue({
	el: "#wrap",
	data: {
		free: 0,
		unfree: 0,
		all: 0,
		info: "",
		list: "",
		deskSum: "",
		quList: [],
		floors: "", //楼层
		deskList: "",
		length: "",
		floor_no: '', //监听楼层
		statu: '', //监听桌子状态

		userNum: 0,
		billNum: 0,
		moneySum: 0,
		noJiezhang: 0
	},
	created: function() {
		this.infoFn();
		this.getFloors();
		//		this.getQuFn();
		this.getDesk();
	},
	methods: {
		infoFn: function() {
			var that = this;
			//销售情况
			mui.ajax('http://dc.10le.cn/boss/api/room_statuslisten.aspx', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data != null && data.code == "0001") {
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.info = data.Body;

					that.userNum = Number(data.Body.usernum.consuming) + Number(data.Body.usernum.consumed);
					that.billNum = Number(data.Body.billnum.pay) + Number(data.Body.billnum.unpay);
					that.moneySum = (Number(data.Body.sum.pay) + Number(data.Body.sum.unpay)).toFixed(2);
					that.noJiezhang = Number(data.Body.sum.unpay);
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.infoFn();
					}
				}
			});
		},
		getQuFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/data_cq_api.aspx?cmd=01', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.quList = data.list;
					} else {
						mui.toast(data.msg);
					}

				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getQuFn();
					}
				}
			});
		},
		getFloors: function() {
			var that = this;
			//获取楼层
			mui.ajax('http://dci.10le.cn/default/index', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						that.floors = data.Body.cq;
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getFloors();
					}
				}
			});
		},
		getDesk: function() {
			var that = this;
			//获取桌子
			mui.ajax('http://dci.10le.cn/default/desk', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {

					if(data.code == '0000') {
						that.deskList = data.Body.desklist;
						that.length = that.deskList.length;
						that.free = data.Body.free;
						that.unfree = data.Body.unfree;
						that.all = data.Body.free + data.Body.unfree;

					} else {
						mui.toast(data.msg);
					}
					mui('#warning')[0].style.display = 'none';
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getDesk();
					}
				}
			});
		},
		common: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/desk?cq_no=' + that.floor_no + '&flag=' + that.statu, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data != null && data.code == "0001") {
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.deskList = data.Body.desklist;
					that.free = data.Body.free;
					that.unfree = data.Body.unfree;
					that.all = data.Body.free + data.Body.unfree;
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.common();
					}
				}
			});
		},
		searchIn: function(event) {
			var value = event.currentTarget.value,
				item1 = mui('#item1')[0];
			var arr = item1.getElementsByTagName('li');
			mui.each(arr, function(index, item) {
				if(item.getAttribute('desk_name').indexOf(value) == -1) {
					item.classList.add('mui-hidden');
				} else {
					item.classList.remove('mui-hidden');
				}
			})
		}
	},
	watch: {
		deskList: function() {
			var html_ = '';
			mui.each(this.deskList, function(index, item) {
				if(item.flag == '非空闲') {
					html_ += '<li class="busy" flag="open" desk_name="' + item.desk_name + '" deskid="' + item.deskid + '" floor="' + item.floor + '"  desk_no="' + item.desk_no + '"><p class="num">' + item.desk_name + '</p><div class="picture"></div><div class="bottom"><p class="pNum"><span class="mui-icon mui-icon-person"></span>' + item.user_num + '位</p> <span>|</span> <p class="orderNum"><span class="mui-icon mui-icon-compose"></span>' + item.billnum + '单</p></div></li>';
				} else {
					html_ += '<li class="free" flag="close" desk_name="' + item.desk_name + '" deskid="' + item.deskid + '" floor="' + item.floor + '"  desk_no="' + item.desk_no + '"><p class="num">' + item.desk_name + '</p><div class="picture"></div><div class="bottom"><p class="pNum"><span class="mui-icon mui-icon-person"></span>0位</p> <span>|</span> <p class="orderNum"><span class="mui-icon mui-icon-compose"></span>0单</p></div></li>';
				}
			})
			mui('#item1Ul')[0].innerHTML = html_;
		},
		floor_no: function() {
			this.common();
		},
		statu: function() {
			this.common();
		}
	}
})
//选择楼层
mui('.floor').on('tap', '.lou', function() {
	var flag = true;
	var floors = mui('#floors')[0];
	if(flag) {
		flag = false;
		floors.style.height = '200px';
		floors.style.overflow = 'auto';
	} else {
		flag = true;
		floors.style.height = '0px';
		floors.style.overflow = 'hidden';
	}
})
//全部
mui('#floors').on('tap', '.allFloor', function() {
	wrap.getDesk();
	wrap.floor_no = '';
	var floors = mui('#floors')[0];
	mui('.lou')[0].innerText = this.innerText;
	floors.style.height = '0px';
	floors.style.overflow = 'hidden';
})
//其他楼层
mui('#floors').on('tap', '.otherFloor', function() {
	var floors = mui('#floors')[0],
		lou = mui('.lou')[0];
	lou.innerText = this.innerText;
	lou.setAttribute('floor_no', this.getAttribute('floor_no'));
	floors.style.height = '0px';
	floors.style.overflow = 'hidden';
	wrap.floor_no = this.getAttribute('floor_no');
})
//按钮
mui('#segmentedControl').on('tap', 'a', function() {
	wrap.statu = this.getAttribute('statu');

	var muibadge = mui('.mui-badge'),
		thisBadge = this.getElementsByClassName('mui-badge')[0];
	mui.each(muibadge, function(index, item) {
		item.classList.remove('active');
		item.classList.add('default');
	})
	thisBadge.classList.remove('default');
	thisBadge.classList.add('active');
})