mui.init();
var vm = new Vue({
	el: '#wrap',
	data: {
		flag: '',
		length: '',
		checkNum: 0,
		list: '',
		itemId: '',

		viptype_no: '', //会员类别
		t_viptype_no: '', //目标会员类别
		upgrade_integral: '', //所需积分
		upgrade_spare_amt: '', //所需充值额
		upgrade_sale_amt: '', //所需消费额

		vipType: [],
		vipTypeObj: []

	},
	created: function() {
		this.listFn();
		this.vipTypeFn();
	},
	methods: {
		//会员类别
		vipTypeFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.vipType = data.list;
					mui.each(data.list, function(index, item) {
						that.vipTypeObj[index] = {
							value: item.basic.viptype_no,
							text: item.basic.viptype_name
						}
					})
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.vipTypeFn();
					}
				}
			});
		},
		listFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.list = data.Body.list;
					that.length = that.list.length;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						that.listFn();
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx', {
				data: {
					cmd: '02',
					t_viptype_no: that.t_viptype_no,
					viptype_no: that.viptype_no,
					upgrade_integral: that.upgrade_integral,
					upgrade_spare_amt: that.upgrade_spare_amt,
					upgrade_sale_amt: that.upgrade_sale_amt
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {

						that.listFn();
						mui.toast(data.Body);
						mui('.middlePopover1').popover('hide');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.upgrade_integral = data.Body.item.upgrade_integral;
						that.upgrade_spare_amt = data.Body.item.upgrade_spare_amt;
						that.upgrade_sale_amt = data.Body.item.upgrade_sale_amt;

						that.viptype_no = data.Body.item.viptype_no;
						that.t_viptype_no = data.Body.item.t_viptype_no;

						mui.each(vm.vipType, function(index, item) {
							if (that.viptype_no == item.basic.viptype_no) {
								mui('.viptype1Inp')[0].value = item.basic.viptype_name;
							}

							if (that.t_viptype_no == item.basic.viptype_no) {
								mui('.viptype2Inp')[0].value = item.basic.viptype_name;
							}
						})
						mui('.middlePopover1').popover('show');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemId,
					t_viptype_no: that.t_viptype_no,
					viptype_no: that.viptype_no,
					upgrade_integral: that.upgrade_integral,
					upgrade_spare_amt: that.upgrade_spare_amt,
					upgrade_sale_amt: that.upgrade_sale_amt
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.listFn();
						mui.toast(data.Body);
						mui('.middlePopover1').popover('hide');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.updateFn();
					}
				}
			});
		},
		upFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx?cmd=44&itemId='+that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.listFn();
					}else{
						mui.alert(data.msg,' ',function(){},'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.upFn();
					}
				}
			});
		},
		downFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_upgrade_api.aspx?cmd=55&itemId='+that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.listFn();
					}else{
						mui.alert(data.msg,' ',function(){},'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.upFn();
					}
				}
			});
		}
	},
	watch: {
		flag: function() {
			var inp = mui('.middlePopover1')[0].getElementsByClassName('readInp');
			if (this.flag == 'add' || this.flag == 'edit') {
				mui.each(inp, function(index, item) {
					item.removeAttribute('readonly');
				})
				mui('.cancel1')[0].style.display = 'inline-block';
				mui('.ok1')[0].style.display = 'inline-block';
				mui('.close')[0].style.display = 'none';
			} else if (this.flag == 'detail') {
				mui('.cancel1')[0].style.display = 'none';
				mui('.ok1')[0].style.display = 'none';
				mui('.close')[0].style.display = 'inline-block';
				mui.each(inp, function(index, item) {
					item.setAttribute('readonly', 'readonly');
				})
			}
		}
	}

})

mui('.middlePopover1').on('tap', '.cancel1', function() {
	mui('.middlePopover1').popover('hide');
})
mui('.middlePopover1').on('tap', '.close', function() {
	mui('.middlePopover1').popover('hide');
})
//添加

mui('.middlePopover1').on('tap', '.ok1', function() {
	if (vm.flag == 'add') {
		vm.addFn();
	} else if (vm.flag == 'edit') {
		vm.updateFn();
	}
})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	vm.flag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
})

//详情
mui('#wrap').on('tap', '.detail', function() {
	vm.flag = 'detail';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
})

//上移下移
mui('#wrap').on('tap', '.opItem1', function(e) {
	e.stopPropagation();
	e.cancelBubble = true;
	vm.itemId = this.getAttribute('itemno');
	vm.upFn();
})
mui('#wrap').on('tap', '.opItem2', function(e) {
	e.stopPropagation();
	e.cancelBubble = true;
	vm.itemId = this.getAttribute('itemno');
	vm.downFn();
})
