mui.init();
var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}


var wrap = new Vue({
	el: '#wrap',
	data: {
		billno: localStorage.getItem('bill_no'),
		list: [],
		vipno: '',
		vipid: '',
		vipname: '',
		nowYue: '',
		referrer: localStorage.getItem('referrer'),
		payStyleList: [{
			value: '01',
			text: '现金'
		}, {
			value: '42',
			text: '微信支付'
		}, {
			value: '41',
			text: '支付宝'
		}, {
			value: '22',
			text: '支票支付'
		}, {
			value: '23',
			text: '银联卡支付'
		}],
		pay_way: '01',
		money: '',
		czList1: [],
		czList2: [],
		id1: '',
		id2: '',
		id3: ''
	},
	methods: {
		//查询会员
		getVip: function(key) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Vip/Search?key=' + key, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == "0000") {
						that.list = data.Body.list;

					} else {
						that.list = 0;
					}
					if (data != null && data.code == "0001") {
						mui.toast(data.msg);
						return;
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.getVip(key);
					}
				}
			});
		},
		//取消绑定会员
		cancelVip: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/CancelVip?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0001') {

						mui.toast(data.msg);
					} else {
						that.billBrush(that.vipno);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.cancelVip();
					}
				}
			});
		},
		//绑定会员
		billBrush: function(id) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/Billbrush?billno=' + that.billno + '&vipno=' + id, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == "0000") {
						mui('#warning')[0].style.display = 'none';
						mui.toast('绑定成功');
						//跳转页面
						mui.later(function() {
							if (that.referrer.indexOf('waiMaiDetail') != -1) {
								mui.openWindow({
									url: 'waiMaiDetail.html',
									id: 'waiMaiDetail',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							} else if (that.referrer.indexOf('orderDetail') != -1) {
								mui.openWindow({
									url: 'orderDetail.html',
									id: 'orderDetail',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							} else if (that.referrer.indexOf('jiezhang') != -1) {
								mui.openWindow({
									url: 'jiezhang.html',
									id: 'jiezhang',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}
						}, 500)
					} else {
						mui('#warning')[0].style.display = 'none';
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.billBrush(id);
					}
				}
			});
		},
		//判断订单是否绑定会员
		yesOrNo: function() {
			var that = this;
			//先查询订单已经绑定的会员
			mui.ajax('http://dci.10le.cn/Default/BillVip?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0001') {
						//如果未绑定会员则绑定此会员
						that.billBrush(that.vipno);
					} else if (data.code == '0000' && data.Body.vip.id == that.vipno) {
						//表示此会员与此订单已经绑定   询问要不要取消绑定
						mui.alert('订单已经绑定此会员', ' ', function() {}, 'div');
					} else if (data.code == '0000' && data.Body.vip.id != that.vipno) {
						//表示此会员未与此订单绑定  
						that.cancelVip();
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.yesOrNo();
					}
				}
			});
		},
		//当前余额
		nowYeFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=YN&vipId=' + that.vipid, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						that.nowYue = data.Body;
						mui('.wrapper2').scroll().scrollTo(0, 0, 10);
						mui('#warning')[0].style.display = 'none';
						mui('.middlePopover').popover('show');
					} else {
						mui('#warning')[0].style.display = 'none';
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.nowYeFn();
					}
				}
			})
		},
		vipRecharge: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=I04&czje=' + that.money + '&vipId=' + that.vipid +
				'&sfje_no=' + that.id1 + '&sfjf_no=' + that.id2 + '&sfyhq_no=' + that.id3 + '&pay_way=' + that.pay_way +
				'&deal_man=', {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast('充值成功');
							that.nowYeFn();
							that.pay_way = '01';
							mui('#payStyle')[0].value = '现金';
							that.money = '';
							that.czList1 = [];
							that.czList2 = [];
							that.id1 = '';
							that.id2 = '';
							that.id3 = '';
						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {

					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.vipRecharge();
						}
					}
				});
		},
		getCztxtFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cztxt_api.aspx?czje=' + that.money, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.czList1 = data.Body.充值赠送方案;
						that.czList2 = data.Body.充值赠送礼品;

						if (that.czList1[1] != null || that.czList1[2] != null || that.czList1[0] != null) {
							mui('.give')[0].style.display = 'block';
						}
						if (that.czList2.length > 0) {
							mui('.give')[0].style.display = 'block';
						}

						if (that.czList1[0] != null) {
							that.id1 = that.czList1[0].id;
							that.dzje = (Number(that.czList1[0].give_value) + Number(that.czje));
						} else {
							that.dzje = that.czje;
							that.id1 = '';
						}
						if (that.czList1[1] != null) {
							that.id2 = that.czList1[1].id;
						} else {
							that.id2 = '';
						}
						if (that.czList1[2] != null) {
							that.id3 = that.czList1[2].id;
						} else {
							that.id3 = '';
						}
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getCztxtFn();
					}
				}
			});
		}
	},
	watch: {
		money: function() {
			if (this.money < 0) {
				mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
				return false;
			} else if (this.money > 10000000) {
				this.money = 10000000;
			}
			this.getCztxtFn();
		}
	}
})

//搜索会员
document.getElementById("search").addEventListener("keypress", function(event) {
	if (event.keyCode == "13") {
		document.activeElement.blur(); //收起虚拟键盘
		wrap.getVip(this.value);
		event.preventDefault(); // 阻止默认事件---阻止页面刷新
	}
});

mui('#wrap').on('tap', '.searchBtn', function() {
	document.activeElement.blur();
	wrap.vipno = '';
	var cells = mui('.vipList');
	mui.each(cells, function(index, item) {
		item.classList.remove('select');
	})
	wrap.getVip(mui('#search')[0].value);
})

mui('#wrap').on('tap', '.vipList', function() {
	var cells = mui('.vipList');
	mui.each(cells, function(index, item) {
		item.classList.remove('select');
	})
	wrap.vipno = this.getAttribute('vip_no');
	wrap.vipid = this.getAttribute('vipid');
	wrap.vipname = this.getAttribute('vipname');
	this.classList.add('select');
})

mui('#wrap').on('tap', '#binding', function() {
	if (wrap.billno == null || wrap.billno == '' || wrap.billno == undefined) {
		mui.toast('暂无订单');
		return false;
	}
	if (wrap.vipno == '') {
		mui.toast('请先选择会员');
	} else {
		wrap.yesOrNo();
	}

})

var flag = true;
mui('#wrap').on('tap', '#more', function() {
	if (flag) {
		flag = false;
		mui('#btns')[0].style.height = '120px';
	} else {
		flag = true;
		mui('#btns')[0].style.height = '60px';
	}
})

mui('#btns').on('tap', '#add', function() {
	localStorage.setItem('vipPage', 'vip');
	mui.openWindow({
		url: 'addVip.html',
		id: 'addVip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

mui('#btns').on('tap', '#chongzhi', function() {
	if (wrap.vipno == '') {
		mui.toast('请先选择会员');
	} else {
		wrap.nowYeFn();
	}
})


mui('.middlePopover').on('tap', '#payStyle', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(wrap.payStyleList);
	picker.show(function(selectItems) {
		wrap.pay_way = selectItems[0].value;
		mui('#payStyle')[0].value = selectItems[0].text;
	})
})

mui('.middlePopover').on('tap', '.cancel', function() {
	mui('.middlePopover').popover('hide');
})

mui('.middlePopover').on('tap', '.okBtn', function() {
	document.activeElement.blur();
	if (wrap.money == '' || wrap.money == 0 || wrap.money < 0) {
		mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
		return false;
	}
	wrap.vipRecharge();
})


mui('#wrap').on('tap', '#detail', function() {
	if (wrap.vipno == '') {
		mui.toast('请先选择会员');
		return false;
	}
	localStorage.setItem('vipPower', 'see');
	localStorage.setItem('vipPage', 'vip');
	mui.openWindow({
		url: 'addVip.html?itemno=' + wrap.vipid,
		id: 'addVip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
mui('#wrap').on('tap', '#update', function() {
	if (wrap.vipno == '') {
		mui.toast('请先选择会员');
		return false;
	}
	localStorage.setItem('vipPage', 'vip');
	localStorage.setItem('vipPower', 'update');
	mui.openWindow({
		url: 'addVip.html?itemno=' + wrap.vipid,
		id: 'addVip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
