mui.init({
	swipeBack: true
});

var vm = new Vue({
	el: '#wrap',
	data: {
		list: [],
		length: 0,

		//选中
		itemId: '',

		allCheck: '',
		checkNum: 0,
		flag: '',

		//查询
		vip_attribute_name: '',
		vip_attribute_memo: '',

	},
	created: function() {
		this.listFn();
	},
	methods: {
		listFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/t_vip_attribute_api.aspx?vip_attribute_name=&vip_attribute_memo', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.list = data.list;
					that.length = that.list.length;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//查询
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/t_vip_attribute_api.aspx?cmd=04&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.itemId = data.Body.item.vip_attribute_no;
					that.vip_attribute_name = data.Body.item.vip_attribute_name;
					that.vip_attribute_memo = data.Body.item.vip_attribute_memo;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		//删除
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/t_vip_attribute_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						that.listFn();

					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		//添加
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/t_vip_attribute_api.aspx?cmd=02&vip_attribute_name=' + that.vip_attribute_name + '&vip_attribute_memo=' + that.vip_attribute_memo, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						that.listFn();
						mui('#middlePopover').popover('hide');
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		//修改
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/t_vip_attribute_api.aspx?cmd=03&vip_attribute_name=' + that.vip_attribute_name + '&vip_attribute_memo=' + that.vip_attribute_memo + '&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == '0000') {
						mui.toast(data.Body);
						that.listFn();
						mui('#middlePopover').popover('hide');
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				}
			});
		}
	},
	watch: {
		flag: function() {
			if(this.flag == 'detail') {
				mui('#close')[0].style.display = 'inline-block';
				mui('#cancel')[0].style.display = 'none';
				mui('#ok')[0].style.display = 'none';
			} else {
				mui('#close')[0].style.display = 'none';
				mui('#cancel')[0].style.display = 'inline-block';
				mui('#ok')[0].style.display = 'inline-block';
			}
		}
	}
})

//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked,
		checkBox = mui('.oneCheck');
	mui.each(checkBox, function(index, item) {
		item.checked = isChecked;
	})
})
//单个选中
mui('body').on('change', '.oneCheck', function() {

})

//添加
mui('#btns').on('tap', '#add', function() {
	vm.flag = 'add';
	vm.vip_attribute_name = '';
	vm.vip_attribute_memo = '';
	mui('#middlePopover').popover('show');
})
mui('#middlePopover').on('tap', '#close', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#ok', function() {
	if(vm.vip_attribute_name == '') {
		mui.alert('请输入属性名称', ' ', function() {}, 'div');
		return false;
	}

	if(vm.flag == 'add') {
		vm.addFn();
	} else if(vm.flag == 'edit') {
		vm.updateFn();
	}
})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	vm.flag = 'edit';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
	mui('#middlePopover').popover('show');

})

//详情
mui('#wrap').on('tap', '.detail', function() {
	vm.flag = 'detail';
	vm.itemId = this.getAttribute('itemno');
	vm.searchFn();
	mui('#middlePopover').popover('show');
})

//单个删除
mui('#wrap').on('tap', '.delete', function() {
	var id = this.getAttribute('itemno');

	mui.confirm('确认删除选中的属性', ' ', ['取消', '确认'], function(e) {
		if(e.index == 1) {
			vm.itemId = id;
			vm.delectFn();
		}
	}, 'div')

})

//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if(item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if(vm.itemId == '') {
		mui.alert('请选择要删除的属性', ' ', function() {}, 'div');
	} else {
		mui.confirm('确认删除选中的属性', ' ', ['取消', '确认'], function(e) {
			if(e.index == 1) {
				vm.delectFn();
			}
		}, 'div')
	}

})

//单个选中
mui('body').on('change', '.oneCheck', function() {
	if(this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if(vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})