mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: getList
		}
	}
});
var page = 1;

function getList() {
	mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx?page=' + page, {
		data: '',
		dataType: 'json',
		type: 'GET',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if (page > data.PageCount) {
				vm.list = vm.list;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.list = vm.list.concat(data.list);
				vm.length = vm.list.length;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}
			page++;
		},
		error: function(xhr, type, errorThrown) {

		}
	});
}

var vm = new Vue({
	el: "#wrap",
	data: {
		list: [],

		allCheck: '',
		checkNum: 0,
		length: 0,

		itemId: '',

		//添加或编辑
		viptype_name: '',
		discount_no: '', //折扣
		//消费金额
		integral_amt: '1',
		//积分
		integral_num: '1',


		flag: '',
		discountArr: []

	},
	mounted: function() {
		var a = 10;
		while (a > 0.1) {
			a = (a - 0.1).toFixed(1);
			this.discountArr.push({
				value: (a / 10).toFixed(2),
				text: a + '折'
			})
		}
		this.discountArr.unshift({
			value: '',
			text: '不打折'
		})
	},
	methods: {
		addFn: function(name, discount_no, integral_amt, integral_num) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx', {
				data: {
					cmd: '02',
					viptype_name: name,
					integral_amt: integral_amt,
					integral_num: integral_num,
					discount_no: discount_no
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						page = 1;
						that.list = [];

						mui.toast('添加成功');
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui('.middlePopover').popover('hide');
						that.viptype_name = '';
						mui('.v1')[0].value = '1';
						mui('.v2')[0].value = '1';
						mui('.discount')[0].value = '不打折';
						that.discount_no = '';
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx?cmd=05&itemid=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		//查询
		searchFn: function(name) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx?cmd=04&itemid=' + that.itemId + '&viptype_name=' + name, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui('.typeName')[0].value = data.Body.item.viptype_name;
					if (data.Body.item.vip_integral_info != null) {
						that.integral_num = data.Body.item.vip_integral_info.one_integral;
						that.integral_amt = data.Body.item.vip_integral_info.one_sale_amt;
					} else {
						that.integral_num = '';
						that.integral_amt = '';
					}

					if (data.Body.item.vip_discount_info != null) {
						that.discount_no = data.Body.item.vip_discount_info.discount_rate;
						mui('.discount')[0].value = data.Body.item.vip_discount_info.discount_name;
					} else {
						that.discount_no = '';
						mui('.discount')[0].value = '不打折';
					}

					mui('.v1')[0].value = that.integral_amt;
					mui('.v2')[0].value = that.integral_num;
					mui('.middlePopover').popover('show');
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		//修改
		editFn: function(name, discount_no, integral_amt, integral_num) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemId,
					viptype_name: name,
					integral_amt: integral_amt,
					integral_num: integral_num,
					discount_no: discount_no
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						page = 1;
						that.list = [];

						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui.toast(data.Body);
						mui('.middlePopover').popover('hide');
						that.viptype_name = '';
						that.viptype_name = '';
						mui('.v1')[0].value = '1';
						mui('.v2')[0].value = '1';
						mui('.discount')[0].value = '不打折';
						that.discount_no = '';
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.editFn();
					}
				}
			});
		}
	},
	watch: {
		flag: function() {
			if (this.flag == 'add' || this.flag == 'edit') {
				mui('#ok')[0].style.display = 'inline-block';
				mui('.typeName')[0].removeAttribute('readonly');
				//				mui('.money')[0].removeAttribute('readonly');
			} else if (this.flag == 'detail') {
				mui('#ok')[0].style.display = 'none';
				mui('.middlePopover').off('tap', '.discountPlan', discountFn);

				mui('.typeName')[0].setAttribute('readonly', 'readonly');
				//				mui('.money')[0].setAttribute('readonly', 'readonly');
			}
		}
	}
})

//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked,
		checkBox = mui('.oneCheck');
	mui.each(checkBox, function(index, item) {
		item.checked = isChecked;
	})
})

mui('#btns').on('tap', '#addPerson', function() {
	vm.flag = 'add';
	vm.viptype_name = '';
	mui('.typeName')[0].value = '';
	mui('.discount')[0].value = '不打折';
	mui('.v1')[0].value = '1';
	mui('.v2')[0].value = '1';
	vm.discount_no = '';
	vm.integral_amt = '1';
	vm.integral_num = '';
	mui('.middlePopover').popover('show');
})
mui('.middlePopover').on('tap', '#close', function() {
	mui('.middlePopover').popover('hide');
})

mui('.middlePopover').on('tap', '#ok', function() {
	var name = mui('.typeName')[0].value;
	if (name == '') {
		mui.toast('请输入类别名称');
		return;
	}
	if (vm.flag == 'add') {
		vm.addFn(name, vm.discount_no, mui('.v1')[0].value, mui('.v2')[0].value);
	} else {
		vm.editFn(name, vm.discount_no, mui('.v1')[0].value, mui('.v2')[0].value);
	}

})

//单个删除
mui('#wrap').on('tap', '.delete', function() {
	vm.itemId = this.getAttribute('itemno');
	mui.confirm('确认删除此分类吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.delectFn();
		}
	}, 'div')
})

//单个选中
mui('body').on('change', '.oneCheck', function() {
	if (this.checked) {
		vm.checkNum++;
	} else {
		vm.checkNum--;
	}
	if (vm.checkNum == vm.length) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})

//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if (item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if (vm.itemId == '') {
		mui.alert('请选择要删除的会员分类', ' ', function() {}, 'div');
	} else {
		mui.confirm('确认删除选中的会员分类吗', ' ', ['取消', '确认'], function(e) {
			if (e.index == 1) {
				vm.delectFn();
			}
		}, 'div')
	}

})

//编辑
mui('#wrap').on('tap', '.edit', function() {
	vm.itemId = this.getAttribute('itemno');
	vm.flag = 'edit';
	vm.searchFn(this.getAttribute('itemname'));
})

//查看详情
mui('#wrap').on('tap', '.detail', function() {
	vm.itemId = this.getAttribute('itemno');
	vm.flag = 'detail';
	vm.viptype_name = '';
	vm.searchFn();
})
mui('.middlePopover').on('tap', '.discountPlan', discountFn);


function discountFn() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.discountArr);
	picker.show(function(selectItems) {
		vm.discount_no = selectItems[0].value;
		mui('.discount')[0].value = selectItems[0].text;
	})
}
