mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: getList
		}
	}
});

var page = 1;

function getList() {
	mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx?cmd=&page=' + page, {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if (page > data.PageCount) {
				vm.list = vm.list;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.list = vm.list.concat(data.list);
				vm.length = vm.list.length;

				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}
			page++;
			mui('#pullrefresh')[0].style.display = 'block';
		},
		complete: function(XMLHttpRequest, status) {
			if (status == 'timeout') {
				getList();
			}
		}
	});
}

var vm = new Vue({
	el: '#wrap',
	data: {
		//会员列表
		list: [],
		length: 0,
		//选中
		itemId: '',

		typeList: [],

		//查询
		vip_userid: '', //登录账号
		vip_name: '', //姓名
		vip_pycode: '', //拼音简码
		vip_mobil1: '', //手机号码
		card_no: ''
	},
	created: function() {
		this.typeListFn();
	},
	methods: {
		typeListFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.typeList = data.list;
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.typeListFn();
					}
				}
			});
		},
		//删除
		delectFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx?cmd=05&itemId=' + that.itemId, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						page = 1;
						that.list = [];
						getList();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.delectFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx?cmd=&vip_userid=' + that.vip_userid + '&vip_name=' + that.vip_name +
				'&vip_pycode=' + that.vip_pycode + '&vip_mobil1=' + that.vip_mobil1 + '&card_no=' + that.card_no, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						mui.each(that.typeList, function(index1, item1) {
							mui.each(data.list, function(index2, item2) {
								if (item2.basic.viptype_no == item1.basic.viptype_no || item2.basic.viptype_no == item1.basic.id) {
									item2.basic.viptype_no = item1.basic.viptype_name;

								}
							})
						})

						that.list = data.list;
						that.length = that.list.length;
						mui('#middlePopover').popover('hide');
					},
					error: function(xhr, type, errorThrown) {

					}
				});
		}
	}
})
//添加会员
mui('#btns').on('tap', "#addPerson", function() {
	localStorage.setItem('vipPage','vipDangan');
	mui.openWindow({
		url: 'addVip.html',
		id: "addVip",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//编辑
mui('#wrap').on('tap', ".edit", function() {
	var itemId = this.getAttribute('itemno');
	localStorage.setItem('vipPage','vipDangan');
	mui.openWindow({
		url: 'addVip.html?itemno=' + itemId,
		id: "addVip",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//会员属性
mui('#btns').on('tap', "#attribute", function() {
	mui.openWindow({
		url: 'vipAttr.html',
		id: "vipAttr",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//会员分类
mui('#btns').on('tap', "#classify", function() {
	mui.openWindow({
		url: 'vipClassify.html',
		id: "vipClassify",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//积分方案
mui('#btns').on('tap', '#jifen', function() {
	mui.openWindow({
		url: 'jifenPlan.html',
		id: "jifenPlan",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//折扣方案
mui('#btns').on('tap', '#discount', function() {
	mui.openWindow({
		url: 'disCountPlan.html',
		id: "disCountPlan",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//全选
mui('#wrap').on('change', '#all', function() {
	var isChecked = this.checked,
		checkBox = mui('.oneCheck');
	mui.each(checkBox, function(index, item) {
		item.checked = isChecked;
	})
})
//单个选中
mui('body').on('change', '.oneCheck', function() {
	var length = mui('.oneCheck').length,
		num = 0;
	mui.each(mui('.oneCheck'), function(index, item) {
		if (!item.checked) {
			num++
		}
	})

	if (num == 0) {
		mui('#all')[0].checked = true;
	} else {
		mui('#all')[0].checked = false;
	}
})

//更多
var flag = true;
mui('#btns').on('tap', '#more', function() {
	if (flag) {
		mui('#btns')[0].style.height = '120px';
		flag = false;
	} else {
		mui('#btns')[0].style.height = '60px';
		flag = true;
	}
})

//查询
mui('#btns').on('tap', '#search', function() {
	mui('#middlePopover').popover('show');
})
mui('#middlePopover').on('tap', '#cancel', function() {
	mui('#middlePopover').popover('hide');
})
mui('#middlePopover').on('tap', '#ok', function() {
	vm.searchFn();
	//	mui('#middlePopover').popover('hide');
})

//充值赠送方案
mui('#btns').on('tap', '#give', function() {
	mui.openWindow({
		url: 'give.html',
		id: "give",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//会员升级方案
mui('#btns').on('tap', '#upgrade', function() {
	mui.openWindow({
		url: 'upgrade.html',
		id: "upgrade",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//积分商品管理
mui('#btns').on('tap', '#IntegralGood', function() {
	mui.openWindow({
		url: 'IntegralGood.html',
		id: "IntegralGood",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//积分兑换设置
mui('#btns').on('tap', '#IntegralExchange', function() {
	mui.openWindow({
		url: 'IntegralExchange.html',
		id: "IntegralExchange",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//删除
mui('body').on('tap', '.delete', function() {
	vm.itemId = this.getAttribute('itemno');
	mui.confirm('确认删除此会员档案吗', ' ', ['取消', '确认'], function(e) {
		if (e.index == 1) {
			vm.delectFn();
		}
	}, 'div')
})

//批量删除
mui('#btns').on('tap', '#delect', function() {
	vm.itemId = '';
	var oneCheck = document.getElementsByClassName('oneCheck');
	mui.each(oneCheck, function(index, item) {
		if (item.checked) {
			vm.itemId = vm.itemId + ',' + item.getAttribute('itemno');
		}
	})
	vm.itemId = vm.itemId.substr(1);
	if (vm.itemId == '') {
		mui.alert('请选择要删除的会员资料', ' ', function() {}, 'div');
	} else {
		mui.confirm('确认删除选中的会员档案吗', ' ', ['取消', '确认'], function(e) {
			if (e.index == 1) {
				vm.delectFn();
			}
		}, 'div')
	}
})
