mui.init({
	swipeBack: true
});
var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
var wrapEl = new Vue({
	el: '#index',
	data: {
		imgArr: [],
		goodsId: '',
		goodsMoney: '',
		goodsDanwei: '',
		goodName: '',
		goodMemo: "",
		packList: [],

		classify: "", //类别
		list: '', //菜品列表
		listArr: [],
		account: 0, //购物车总价格
		buyCarList: '', //购物车列表
		selectList: '',
		itmeno: '',
		unitsOptions: [],
		billno: '-',
		userInfo: '', //用户信息
		ywList: '',
		buyCarArr: {
			id: [],
			num: [],
			name: [],
			price: [],
			count: []
		}, //本地购物车数组
		index: 0,
		pPrice: '',
		pName: "",
		idString: '',
		numString: '',
		thisBuycar: '', //此单的购物车
		length: 0,
		searchValue: ""
	},
	created: function() {
		this.billno = localStorage.getItem('wbill_no') ? localStorage.getItem('wbill_no') : '-';
		this.classList();
		this.listFn();
		this.initBuycar();
	},
	methods: {
		//初始化购物车
		initBuycar: function() {
			//初始化本地数据库字段
			if (!localStorage.getItem('buyCarList')) {
				localStorage.setItem('buyCarList', JSON.stringify({
					billno: [],
					child: []
				}));
			}
			this.buyCarList = JSON.parse(localStorage.getItem('buyCarList'));

			//拿到此订单id
			var billno = localStorage.getItem('wbill_no'),
				billList = this.buyCarList.billno;

			//获取订单id的索引
			this.index = billList.indexOf(billno);

			//没有此订单
			if (this.index == -1) {
				this.buyCarList.billno.push(billno);
				this.buyCarList.child.push({
					id: [],
					num: [],
					name: [],
					price: [],
					count: []
				});
				this.index = this.buyCarList.billno.indexOf(billno);
				localStorage.setItem('buyCarList', JSON.stringify(this.buyCarList));
			}

			this.thisBuycar = this.buyCarList.child[this.index];
			//			this.length = this.thisBuycar.id.length;

			//购物车总价
			var that = this;
			mui.each(that.buyCarList.child[that.index].count, function(index, item) {
				that.account += this;
				that.length += Number(that.thisBuycar.num[index]);
			})

		},
		//获取类别
		classList: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/itemclass', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.classify = data.Body.list;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.classList();
					}
				}
			});
		},
		//获取菜品
		listFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/ClassItem?classdata=', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.list = data.Body.list;
					if (that.list.length == 0) {
						mui.alert('暂无菜品', ' ', function() {}, 'div');
						return false;
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//添加到购物车
		addBuycar: function() {
			//			if(this.billno == '-') {
			//				mui.alert('无效订单，请新建订单', ' ');
			//			} else {
			this.account = 0;
			this.length = 0;
			this.buyCarList = JSON.parse(localStorage.getItem('buyCarList'));
			var index = this.buyCarList.child[this.index].id.indexOf(this.itmeno);
			//			//购物车没有此菜品
			if (index == -1) {
				this.buyCarList.child[this.index].id.push(this.itmeno);
				this.buyCarList.child[this.index].num.push(1);
				this.buyCarList.child[this.index].name.push(this.pName);
				this.buyCarList.child[this.index].price.push(Number(this.pPrice)); //单价
				this.buyCarList.child[this.index].count.push(Number(this.pPrice)); //总价
			} else {
				//购物车里有此菜品   数量和总价更新
				this.buyCarList.child[this.index].num[index]++;
				this.buyCarList.child[this.index].count[index] += this.buyCarList.child[this.index].price[index];

			}

			localStorage.setItem('buyCarList', JSON.stringify(this.buyCarList));

			this.thisBuycar = this.buyCarList.child[this.index];

			var that = this;
			mui.each(that.buyCarList.child[that.index].count, function(index, item) {
				that.account += this;
				that.length += Number(that.thisBuycar.num[index]);
			})
			//			}

		},
		//减购物车商品
		subGoods: function() {
			this.account = 0;
			this.length = 0;
			this.buyCarList = JSON.parse(localStorage.getItem('buyCarList'));
			var index = this.buyCarList.child[this.index].id.indexOf(this.itmeno);

			this.buyCarList.child[this.index].num[index]--;
			this.buyCarList.child[this.index].count[index] -= this.buyCarList.child[this.index].price[index];

			if (this.buyCarList.child[this.index].num[index] == 0 || this.buyCarList.child[this.index].num[index] < 0) {
				//删除该菜品
				this.buyCarList.child[this.index].id.splice(index, 1);
				this.buyCarList.child[this.index].num.splice(index, 1);
				this.buyCarList.child[this.index].name.splice(index, 1);
				this.buyCarList.child[this.index].price.splice(index, 1);
				this.buyCarList.child[this.index].count.splice(index, 1);
			}

			localStorage.setItem('buyCarList', JSON.stringify(this.buyCarList));
			this.thisBuycar = this.buyCarList.child[this.index];

			var that = this;
			mui.each(that.buyCarList.child[that.index].count, function(index, item) {
				that.account += this;
				that.length += Number(that.thisBuycar.num[index]);
			})
			//			this.length = this.thisBuycar.id.length;
		},
		scrollFn: function() {
			var controlsElem = document.getElementById("segmentedControls");
			var contentsElem = document.getElementById("segmentedControlContents");
			var controlListElem = controlsElem.querySelectorAll('.mui-control-item');
			var contentListElem = contentsElem.querySelectorAll('.mui-control-content');
			var controlWrapperElem = controlsElem.parentNode;
			var controlWrapperHeight = controlWrapperElem.offsetHeight;
			var controlMaxScroll = controlWrapperElem.scrollHeight - controlWrapperHeight; //左侧类别最大可滚动高度
			var maxScroll = contentsElem.scrollHeight - contentsElem.offsetHeight; //右侧内容最大可滚动高度
			//			var controlHeight = controlListElem[0].offsetHeight; //左侧类别每一项的高度
			var controlHeight = 50;
			var controlTops = []; //存储control的scrollTop值
			var contentTops = [0]; //存储content的scrollTop值
			var length = contentListElem.length;
			for (var i = 0; i < length; i++) {
				controlTops.push(controlListElem[i].offsetTop + controlHeight);
			}
			for (var i = 1; i < length; i++) {
				var offsetTop = contentListElem[i].offsetTop;
				if (offsetTop + 100 >= maxScroll) {
					var height = Math.max(offsetTop + 100 - maxScroll, 100);
					var totalHeight = 0;
					var heights = [];
					for (var j = i; j < length; j++) {
						var offsetHeight = contentListElem[j].offsetHeight;
						totalHeight += offsetHeight;
						heights.push(totalHeight);
					}
					for (var m = 0, len = heights.length; m < len; m++) {
						contentTops.push(parseInt(maxScroll - (height - heights[m] / totalHeight * height)));
					}
					break;
				} else {
					contentTops.push(parseInt(offsetTop));
				}
			}
			contentsElem.addEventListener('scroll', function() {
				var scrollTop = contentsElem.scrollTop;
				for (var i = 0; i < length; i++) {
					var offsetTop = contentTops[i];
					var offset = Math.abs(offsetTop - scrollTop);

					if (scrollTop < offsetTop) {
						if (scrollTop >= maxScroll) {
							onScroll(length - 1);
						} else {
							onScroll(i - 1);
						}
						break;
					} else if (offset < 20) {
						onScroll(i);
						break;
					} else if (scrollTop >= maxScroll) {
						onScroll(length - 1);
						break;
					}
				}
			});
			var lastIndex = 0;
			//监听content滚动
			var onScroll = function(index) {
				if (lastIndex !== index) {
					lastIndex = index;
					var lastActiveElem = controlsElem.querySelector('.mui-active');
					lastActiveElem && (lastActiveElem.classList.remove('mui-active'));
					var currentElem = controlsElem.querySelector('.mui-control-item:nth-child(' + (index + 1) + ')');
					currentElem.classList.add('mui-active');
					//简单处理左侧分类滚动，要么滚动到底，要么滚动到顶
					var controlScrollTop = controlWrapperElem.scrollTop;
					if (controlScrollTop + controlWrapperHeight < controlTops[index]) {
						controlWrapperElem.scrollTop = controlMaxScroll;
					} else if (controlScrollTop > controlTops[index] - controlHeight) {
						controlWrapperElem.scrollTop = 0;
					}
				}
			};
			//滚动到指定content
			var scrollTo = function(index) {
				contentsElem.scrollTop = contentTops[index];
			};
			mui(controlsElem).on('tap', '.mui-control-item', function(e) {
				scrollTo(this.getAttribute('data-index'));
				return false;
			});
		},

		//查询套餐下的菜品
		selectFn: function() {
			var that = this,
				setMenu = mui('#setMenu')[0],
				wrap = mui('#wrap')[0];
			mui.ajax('http://dci.10le.cn/Nothing/packlist?itemid=' + that.itmeno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data != null && data.code == "0001") {
						return;
					}
					if (data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.selectList = data.Body.items;
					wrap.style.display = 'block';
					setMenu.style.height = 'auto';
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.selectFn();
					}
				}
			});
		},
		//临时菜单位
		unitsOptionsFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/UnitsOptions', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data != null && data.code == "0001") {
						return;
					}
					if (data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.unitsOptions = data.Body.data;

				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.unitsOptionsFn();
					}
				}

			});
		},
		//客户信息
		userInfoFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/GetCus?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.userInfo = data.Body;
				},
				error: function(xhr, type, errorThrown) {
					mui.alert(errorThrown);
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.userInfoFn();
					}
				}

			});
		},
		//修改用户信息
		updateInfo: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/SaveCus?billno=' + that.billno + '&cust_name=' + that.userInfo.客户名称 +
				'&cust_tel=' + that.userInfo.客户电话 + '&cust_address=' + that.userInfo.送餐地址, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == "0000") {
							mui.toast('保存成功');
						} else {
							mui.toast(data.msg);
						}
						mui('#warning')[0].style.display = 'none';
					},
					error: function(xhr, type, errorThrown) {
						mui.alert(errorThrown);
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateInfo();
						}
					}

				});
		},
		//下单
		xiadanFn: function() {
			var that = this;
			if (that.account != 0) {
				var idString = wrapEl.thisBuycar.id.join(','),
					numString = wrapEl.thisBuycar.num.join(',');
				mui.ajax('http://dci.10le.cn/Order/Addbilldetail?billno=' + that.billno + '&itmeno=' + idString + '&num=' +
					numString, {
						data: "",
						dataType: 'json',
						type: 'GET',
						timeout: 10000,
						headers: {
							'Content-Type': 'application/json',
							'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
						},
						beforeSend: function() {
							mui('#warning')[0].style.display = 'block';
						},
						success: function(data) {
							if (data.code == '0000') {
								//下单成功  删除本地购物车
								//删除该菜品
								that.buyCarList.child[that.index].id.length = 0;
								that.buyCarList.child[that.index].num.length = 0;
								that.buyCarList.child[that.index].name.length = 0;
								that.buyCarList.child[that.index].price.length = 0;
								that.buyCarList.child[that.index].count.length = 0;
								localStorage.setItem('buyCarList', JSON.stringify(that.buyCarList));
								mui.toast('下单成功！');
								localStorage.setItem('wbill_no', that.billno);
								mui.later(function() {
									mui.openWindow({
										url: 'waiMaiDetail.html',
										id: 'waiMaiDetail',
										createNew: true,
										styles: {
											cachemode: "noCache"
										}
									})
								}, 700)
							} else {
								mui.toast(data.msg);
							}
							mui('#warning')[0].style.display = 'none';
						},
						error: function(xhr, type, errorThrown) {
							mui.alert(errorThrown);
						}
					});
			}
		},
		//继续结账
		jiezhangFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + that.billno + '&qs=1', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {

					if (data != null && data.code == "0001") {
						return;
					}
					if (data == null || data.code != "0000" || data.Body == null) {
						return;
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		},
		//业务员
		ywFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/emp', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.ywList = data.Body;
				},
				error: function(xhr, type, errorThrown) {
					console.log('erro');
				}
			});
		},
		//保存送餐人
		keepDelivery: function(emp_no) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/Leave?billno=' + that.billno + '&emp_no=' + emp_no, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('操作成功');
					} else {
						mui.toast(data.msg);
					}
					mui('#warning')[0].style.display = 'none';

				},
				error: function(xhr, type, errorThrown) {
					console.log('erro');
				}
			});
		},
		//新建
		newBuildFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/Create', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					mui('#warning')[0].style.display = 'none';
					that.billno = data.Body.bill_no;
					localStorage.setItem('wbill_no', that.billno);
					that.xiadanFn();
				},
				error: function(xhr, type, errorThrown) {
					console.log('erro');
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.newBuildFn();
					}
				}

			});
		}
	},
	updated: function() {
		this.scrollFn();
		var gallery = mui('.mui-slider');
		gallery.slider({
			interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
		});

		this.scrollFn();
	},
	watch: {
		classify: function() {
			if (this.classify != '' && this.list != '') {
				mui('.mui-fullscreen')[0].style.display = 'block';
				mui('#warning')[0].style.display = 'none';
			}
		},
		list: function() {
			if (this.classify != '' && this.list != '') {
				mui('.mui-fullscreen')[0].style.display = 'block';
				mui('#warning')[0].style.display = 'none';
			}
		},
		billno: function() {
			mui('#billNo').innerText = this.billno;
		},
		searchValue: function() {
			var that = this,
				lis = mui('#segmentedControlContents li'),
				parentEl = mui('#segmentedControlContents')[0],
				flag = 0;
			if (that.searchValue == '') {
				parentEl.scrollTop = 0;
				return;
			}

			mui.each(lis, function(index, item) {
				var code = this.getAttribute('code'),
					searchValue = that.searchValue.toUpperCase();

				if (code != null) {
					if (code.indexOf(searchValue) != -1) {
						flag++;
						var index = this.parentNode.parentNode.id;
						if (index == 0) {
							parentEl.scrollTop = this.offsetTop;
						} else {
							var top = 0;
							for (var i = 0; i < index; i++) {
								top += document.getElementById(i).offsetHeight;
							}
							parentEl.scrollTop = this.offsetTop + top;
						}

						return false;
					}
				}

				if (flag != 0) {
					return false;
				}
			})
			if (flag == 0) {
				mui.toast('抱歉，没有此菜品');
				parentEl.scrollTop = 0;
			}
		},
		account: function() {
			var account = mui('#account')[0],
				haveGoods = mui('.haveGoods')[0],
				noGoods = mui('.noGoods')[0],
				buyCar = mui('.buyCar')[0],
				img = mui('.buyCar')[0].getElementsByTagName('img')[0],
				settlement = mui('.settlement')[0],
				wrap = mui('#wrap')[0],
				buyCarDetail = mui('#buyCarDetail')[0],
				that = this;

			var length = this.buyCarArr.length;
			//总价格的变化
			//显示
			if (that.account > 0) {
				haveGoods.style.opacity = '1';
				noGoods.style.opacity = '0';
				//购物车和去结算的状态改变
				buyCar.style.backgroundColor = '#3595fd';
				img.setAttribute('src', '../images/buyCar2.png');
				settlement.style.backgroundColor = '#33b888';
				settlement.style.color = 'white';
			} else { //消失
				haveGoods.style.opacity = '0';
				noGoods.style.opacity = '1';
				//购物车和去结算的状态改变
				buyCar.style.backgroundColor = '#474747';
				img.setAttribute('src', '../images/buyCar1.png');
				settlement.style.backgroundColor = '#6c6c6c';
				settlement.style.color = '#b5b5b5';

				buyCarDetail.classList.add('mui-hidden');
				buyCarDetail.classList.remove('mui-show');
				wrap.style.display = 'none';
			}
		}

	}
});

var setMenu = mui('#setMenu')[0],
	wrap = mui('#wrap')[0];
//
mui('.mui-content').on('tap', '.add', function(e) {
	//阻止事件冒泡
	var oEvent = e || event;
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();

	if (this.getAttribute('itemno')) {
		wrapEl.itmeno = this.getAttribute('itemno');
		wrapEl.addBuycar();
		mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1,1)";
		}, 100);
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
		}, 180);
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1,1)";
		}, 300);
	} else {
		//查看剩余库存
		var nowQty = this.getAttribute('num'),
			name = this.getAttribute('name');
		if (nowQty == '0') {
			mui.alert(name + '已售完', ' ', function() {}, 'div');
			return false;
		}

		wrapEl.itmeno = this.getAttribute('pid');
		wrapEl.pPrice = this.getAttribute('money');
		wrapEl.pName = this.getAttribute('name');

		if (this.getAttribute('isPack')) {
			var src = this.getAttribute('href'),
				mimg = mui('.mImg')[0];
			mimg.setAttribute('src', src);
			mui('.mname')[0].innerText = wrapEl.pName;
			mui('.money2')[0].innerText = wrapEl.pPrice;
			//查询套餐下的菜品
			wrapEl.selectFn();

		} else {
			wrapEl.addBuycar();
			mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1,1)";
			}, 100);
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
			}, 180);
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1,1)";
			}, 300);
		}
	}
});

//选好了
mui('#setMenu').on('tap', '.selectOk', function() {
	wrapEl.addBuycar();
	wrap.style.display = 'none';
	setMenu.style.height = '0px';
	mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 100);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
	}, 180);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 300);
})

mui('#setMenu').on('tap', '.closeBtn', function() {
	wrap.style.display = 'none';
	setMenu.style.height = '0px';
})

//购物车里的减
mui('.detail').on('tap', '.sub', function(e) {
	//阻止事件冒泡
	var oEvent = e || event;
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();

	var num = this.parentNode.getElementsByClassName('num')[0];
	wrapEl.itmeno = this.getAttribute('itemno');
	wrapEl.subGoods();
	mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 100);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
	}, 180);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 300);
})
//临时菜
mui('#index').on('tap', '#addLinshi', function() {
	wrapEl.unitsOptionsFn();
	mui('#middlePopover').popover('show');
})

mui('#middlePopover').on('tap', '#cancel', function() {
	document.activeElement.blur();
	mui('#middlePopover').popover('hide');
})
//确定临时菜
mui('#middlePopover').on('tap', '#okBtn', function() {
	var check = true;
	mui("#middlePopover .must").each(function() {
		//若当前input为空，则alert提醒
		if (!this.value) {
			var label = this.previousElementSibling;
			mui.alert(label.innerText + "不允许为空", ' ');
			check = false;
			return false;
		}
	});
	if (check) {
		var obj1 = mui('#lb')[0],
			obj2 = mui('#dw')[0];
		var value1 = obj1.options[obj1.selectedIndex].value,
			text = obj2.options[obj2.selectedIndex].text;

		mui.ajax('http://dci.10le.cn/Default/Addlsc?classid=' + value1 + '&itemname=' + mui('#addName')[0].value +
			'&code=&price=' + mui('#addPrice')[0].value + '&danwei=' + text + '&beizhu=' + mui('#beizhu')[0].value, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 20000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == "0000") {
						mui.toast('添加成功');
						wrapEl.listFn();
						document.activeElement.blur();
						mui('#middlePopover').popover('hide');
					}
					if (data.Body == null && data.code == "0001") {
						mui.toast(data.msg, ' ');
					}

				}
			});

	}
})

//更多
// var flag = true;
// var length = Math.ceil(document.getElementsByClassName('btnDiv').length / 5);
// 
// mui('#btns').on('tap', '#more', function() {
// 	var btns = mui('#btns')[0];
// 	if (flag) {
// 		flag = false;
// 		btns.style.height = length * 60 + 10 + 'px';
// 	} else {
// 		flag = true;
// 		btns.style.height = '60px';
// 	}
// })
// 
// mui('#btns').on('tap', '#newBuild', function() {
// 	wrapEl.newBuildFn();
// })

var buyCarDetail = mui('#buyCarDetail')[0],
	wrap = mui('#wrap')[0];
var btns = mui('#btns')[0];
mui('#btns').on('tap', '#buyCar', function() {
	buyCarDetail.style.bottom = btns.offsetHeight + 'px';
	if (buyCarDetail.getAttribute('class').indexOf('mui-hidden') == -1) {
		buyCarDetail.classList.add('mui-hidden');
		buyCarDetail.classList.remove('mui-show');
		wrap.style.display = 'none';
	} else {
		buyCarDetail.classList.remove('mui-hidden');
		buyCarDetail.classList.add('mui-show');
		wrap.style.display = 'block';
	}
})
mui('#buyCarDetail').on('tap', '.closeBuycar', function() {
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	wrap.style.display = 'none';
})
mui('#index').on('tap', '#wrap', function() {
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	wrap.style.display = 'none';
})

//记录
mui('header').on('tap', '#record', function() {
	mui.openWindow({
		url: 'waimaiRecord.html?s='+Math.random(),
		id: 'waimaiRecord',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
});
document.getElementById('record1').addEventListener('tap',function () {
  mui.openWindow({
  	url: 'waimaiRecord.html?s='+Math.random(),
  	id: 'waimaiRecord',
  	createNew: true,
  	styles: {
  		cachemode: "noCache"
  	}
  })      
})
//客户信息
mui('#index').on('tap', '#customer', function() {
	if (wrapEl.billno == '-') {
		mui.toast('请点餐');
	} else {
		wrapEl.userInfoFn();
		mui('.middlePopover').popover('show');
	}
})
mui('#index').on('tap', '#cancel1', function() {
	mui('.middlePopover').popover('hide');
})
mui('#index').on('tap', '#okBtn1', function() {
	wrapEl.updateInfo();
	mui('.middlePopover').popover('hide');
})

//下单
mui('#index').on('tap', '.settlement', function() {
	if (wrapEl.billno == '-') { //新建订单
		wrapEl.newBuildFn();
	} else {
		wrapEl.xiadanFn();
	}

})

//会员
mui('#btns').on('tap', '#vip', function() {
	localStorage.setItem('bill_no', wrapEl.billno);
	mui.openWindow({
		url: 'vip.html',
		id: 'vip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//结账
mui('#btns').on('tap', '#jiezhang', function() {
	if (wrapEl.billno == '-') {
		mui.alert('请新建外卖', ' ');
		return;
	}
	localStorage.setItem('bill_no', wrapEl.billno);
	mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + wrapEl.billno, {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000,
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if (data.code == '0000') {
				if (data.Body.obj.未上菜) {
					mui.confirm('还有未下单菜品，是否继续结账？', ' ', ['继续结账', '返回'], function(e) {
						if (e.index == 0) {
							wrapEl.jiezhangFn();
							mui.openWindow({
								url: 'jiezhang.html',
								id: 'jiezhang',
								createNew: true,
								styles: {
									cachemode: "noCache"
								}

							})
						}
					}, 'div');
				} else {
					mui.openWindow({
						url: 'jiezhang.html',
						id: 'jiezhang',
						createNew: true,
						styles: {
							cachemode: "noCache"
						}
					})
				}
			}
			if (data.code == '0001') {
				mui.toast(data.msg);
			}

		},
		error: function(xhr, type, errorThrown) {}
	});
})

//送餐
mui('#btns').on('tap', '#delivery', function() {
	wrapEl.ywFn();
	mui('.middlePopover2').popover('show');
})
mui('.middlePopover2').on('tap', '#cancel2', function() {
	mui('.middlePopover2').popover('hide');
})
mui('.middlePopover2').on('tap', '#okBtn2', function() {
	var obj = mui('#yw')[0];
	var value = obj.options[obj.selectedIndex].value;

	wrapEl.keepDelivery(value);
	mui('.middlePopover2').popover('hide');
})

//购物车详情
var haveGoods = mui('.haveGoods')[0],
	wrap = mui('#wrap')[0],
	buyCarDetail = mui('#buyCarDetail')[0];

mui('#index').on('tap', '#goDetial', function() {
	if (haveGoods.style.opacity == '1') {
		if (buyCarDetail.getAttribute('class').indexOf('mui-hidden') == -1) {
			buyCarDetail.classList.add('mui-hidden');
			buyCarDetail.classList.remove('mui-show');
			wrap.style.display = 'none';
		} else {
			buyCarDetail.classList.remove('mui-hidden');
			buyCarDetail.classList.add('mui-show');
			wrap.style.display = 'block';
		}
	}

})

mui('#index').on('tap', '.closeBuycar', function() {
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	wrap.style.display = 'none';
})

var flag = 0;
mui('#index').on('tap', '.caipin', function() {
	flag++;
	wrapEl.imgArr = [];
	wrapEl.goodsId = '';
	wrapEl.goodsDanwei = '';
	wrapEl.goodName = '';
	wrapEl.goodsMoney = '';
	wrapEl.goodMemo = '';
	wrapEl.goodsMoney = this.getAttribute('money');
	wrapEl.goodsId = this.getAttribute('pid');

	if (this.getAttribute('imgArr') != '') {
		wrapEl.imgArr = this.getAttribute('imgArr').split(',');
	}
	wrapEl.goodsDanwei = this.getAttribute('dw');
	wrapEl.goodName = this.getAttribute('valname');
	wrapEl.goodMemo = this.getAttribute('memo');

	mui('.packText')[0].innerText = '';
	//是否是套餐
	if (this.getAttribute('isPack')) {
		mui.ajax('http://dci.10le.cn/Nothing/packlist?itemid=' + wrapEl.goodsId, {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
			},
			success: function(data) {
				wrapEl.packList = data.Body.items;
				var html = '';
				mui.each(data.Body.items, function(index, item) {
					html += item.item_name + '*' + item.sort + '+';
				})
				html = html.substring(0, html.length - 1);
				mui('.packText')[0].innerText = html;
			},
			error: function(xhr, type, errorThrown) {
				mui.alert(errorThrown);
			}
		});
	}

	mui('.goodDetail')[0].style.display = 'block';
	mui('.wrap')[0].style.display = 'block';
	if (wrapEl.imgArr.length == 0) {
		return false;
	}

	var gallery = mui('.mui-slider');
	gallery.slider({
		interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
	});

	if (flag != 1) {
		gallery.slider("gotoItem");
	} else {
		gallery.slider().gotoItem(0, 0);
	}

})

mui('.goodDetail').on('tap', '.mui-icon-close', function() {
	mui('.goodDetail')[0].style.display = 'none';
	mui('.wrap')[0].style.display = 'none';
	wrapEl.imgArr = [];
})
mui('#index').on('tap', '.wrap', function() {
	mui('.goodDetail')[0].style.display = 'none';
	mui('.wrap')[0].style.display = 'none';
	wrapEl.imgArr = [];
})
