mui.init();
var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}

var wrap = new Vue({
	el: '#wrap',
	data: {
		reg: /^1[345789]\d{9}$/,
		billno: localStorage.getItem('wbill_no'),
		order: '',
		detailid: '',
		state: '',
		make: '', //整单已存制法
		giveOption: [], //赠送原因
		loseOptions: '', //退菜原因
		userInfo: '', //用户信息
		ywList: '', //业务员列表
		length: '0'
	},
	created: function() {
		this.listFn();
		this.giveFn();
		this.ywFn();
		this.userInfoFn();
	},
	methods: {
		listFn: function() {
			var that = this,
				warning = mui('#warning')[0];
			mui.ajax('http://dci.10le.cn/Order/GetDetailsNos?billno=' + that.billno + '&type=&yestype=&0.1819844303453062', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					warning.style.display = 'block';
				},
				success: function(data) {
					warning.style.display = 'none';
					if (data.code == '0001') {
						mui.toast(data.msg);
						return false;
					}
					that.order = data.Body.order;
					that.make = data.Body.order.make.join('+');
					that.length = that.order.list.length;
					mui('.topUl')[0].style.display = 'block';
					if (that.order.s_name != '' && that.order.s_name != null) {
						mui('.info')[0].style.display = 'block';
					}
					mui('.list')[0].style.display = 'block';


				},
				complete: function(XMLHttpRequest, status) {
					warning.style.display = 'none';
					if (status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//划菜
		huacaiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/BillSort?billno=' + that.billno + '&detailid=' + that.detailid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == "0000") {
						mui.toast('操作成功');
						that.listFn();
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.huacaiFn();
					}
				}
			});
		},
		//赠送
		give1Fn: function(text) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/BillGive?billno=' + that.billno + '&detailid=' + that.detailid + '&givename=' +
				text, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == "0000") {
							mui.toast('赠送成功');
							that.listFn();
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.give1Fn(text);
						}
					}

				});
		},
		giveFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Default/GiveOptions', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.giveOption = data.Body.data;
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.giveFn();
					}
				}
			});
		},
		pickerFn: function(value, text) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Order/LoseItem?billno=' + that.billno + '&detailid=' + that.detailid + '&loseno=' +
				value + '&losename=' + text + '&thqty=1', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.Body == null && data.code == "0000") {
							that.listFn();
							mui.toast('退菜成功！');
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.pickerFn(value, text);
						}
					}
				});
		},
		//客户信息
		userInfoFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/GetCus?billno=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.userInfo = data.Body;
						if (that.userInfo.客户名称 != null && that.userInfo.客户名称 != '') {
							mui('.info')[0].style.display = 'block';
							mui('.userInfo')[0].style.display = 'block';
						}

					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.userInfoFn();
					}
				}

			});
		},
		//修改用户信息
		updateInfo: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/SaveCus?billno=' + that.billno + '&cust_name=' + that.userInfo.客户名称 +
				'&cust_tel=' + that.userInfo.客户电话 + '&cust_address=' + that.userInfo.送餐地址, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast('保存成功');
							mui('.middlePopover').popover('hide');
							that.userInfoFn();
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.updateInfo();
						}
					}

				});
		},
		//业务员
		ywFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/emp', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.ywList = data.Body;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.ywFn();
					}
				}
			});
		},
		//保存送餐人
		keepDelivery: function(emp_no) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/Leave?billno=' + that.billno + '&emp_no=' + emp_no, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast('操作成功');
						that.listFn();
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.keepDelivery();
					}
				}
			});
		},
		//添加临时送餐人
		addScfn: function(name, tel) {
			var that = this;
			mui.ajax('http://dci.10le.cn/Takeaway/adduser?emp_name=' + name + '&tel=' + tel, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == "0001") {
						mui.toast(data.msg);
						return;
					}
					if (data != null && data.code == "0001") {
						return;
					}
					if (data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					mui.toast('添加成功');
					mui('.middlePopover3').popover('hide');
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.addScfn(name, tel);
					}
				}
			});
		}

	}
})

mui('body').on('tap', 'li', function() {
	var list = mui('.list')[0];
	var lis = list.getElementsByTagName('li');
	if (this.className.indexOf('selected') == -1) {
		mui.each(lis, function(index, item) {
			item.classList.remove('selected');
		})
		this.classList.add('selected');
		wrap.detailid = this.getAttribute('detailid');
		wrap.state = this.getAttribute('state');
	} else {
		this.classList.remove('selected');
		wrap.detailid = 0;
		wrap.state = 0;
	}
})

var flag = true;
mui('#btns').on('tap', '#more', function() {
	var btns = mui('#btns')[0];
	btns.style.height = '215px';
	this.style.display = 'none';
	mui('.pull')[0].style.display = 'block';
})
mui('#btns').on('tap', '#pullBtn', function() {
	btns.style.height = '60px';
	mui('#more')[0].style.display = 'inline-block';
	mui('.pull')[0].style.display = 'none';
})
mui('#btns').on('tap', '#record', function() {
	mui.openWindow({
		url: 'waimaiRecord.html',
		id: 'waimaiRecord',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//划菜
mui('#btns').on('tap', '#delimit', function() {
	if (wrap.detailid) {
		wrap.huacaiFn();

	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})
//赠送
mui('#btns').on('tap', '#give', function() {
	if (wrap.detailid) {
		//查看赠送原因
		if (wrap.giveOption.length == 0) {
			mui.prompt('', '', '赠送原因', ['取消', '确定'], function(e) {
				if (e.index == 1) {
					wrap.give1Fn(e.value);
				}
			}, 'div');
		} else {
			var picker = new mui.PopPicker(),
				arr = [];
			mui.each(wrap.giveOption, function(index, item) {
				if (item != '') {
					arr[index] = {
						value: index,
						text: item
					};
				}
			})
			picker.setData(arr);
			picker.show(function(selectItems) {
				wrap.give1Fn(selectItems[0].text);
			})
		}

	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})
//退菜
mui('#btns').on('tap', '#retire', function() {
	if (wrap.detailid) {
		if (wrap.state == "已退菜") {
			mui.alert('此菜品已是退菜状态', ' ', function() {}, 'div');
		} else {
			//查看退菜原因
			mui.ajax('http://dci.10le.cn/Default/LoseOptions', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					wrap.loseOptions = data.Body.options;
					if (wrap.loseOptions.length > 0) {
						var picker = new mui.PopPicker(),
							arr = [];
						mui.each(wrap.loseOptions, function(index, item) {
							arr[index] = {
								value: item.lose_no,
								text: item.lose_name
							};
						})
						picker.setData(arr);
						picker.show(function(selectItems) {
							wrap.pickerFn(selectItems[0].value, selectItems[0].text);
						})
					} else {
						mui.prompt('', '', '退菜原因', ['取消', '确定'], function(e) {
							wrap.pickerFn('', e.value);
						}, 'div');
					}
				}
			});
		}
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})
//制法
mui('#btns').on('tap', '.proMethod', function() {
	localStorage.setItem('bill_no', wrap.billno);
	var index = this.getAttribute('item');
	if (index == 1) {
		if (wrap.detailid) {
			if (wrap.state == "已退菜" || wrap.state == "已上菜") {
				mui.toast('未开始制作的菜品才可以修改制法');
			} else {
				localStorage.setItem('detailid', wrap.detailid);
				localStorage.setItem('makeOpPre', 'waimai');
				mui.openWindow({
					url: 'makeOptions.html',
					id: 'makeOptions',
					createNew: true,
					styles: {
						cachemode: "noCache"
					}
				})
			}
		} else {
			mui.alert('请选择菜品', ' ', function() {}, 'div');
		}
	} else {
		localStorage.setItem('detailid', '');
		localStorage.setItem('makeOpPre', 'waimai');
		mui.openWindow({
			url: 'makeOptions.html',
			id: 'makeOptions',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	}
})
//点菜
mui('#btns').on('tap', '#diancai', function() {
	mui.openWindow({
		url: 'waiMai.html',
		id: 'waiMai',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//客户信息
mui('#btns').on('tap', '#customer', function() {
	mui('.middlePopover').popover('show');
})
mui('.middlePopover').on('tap', '#cancel1', function() {
	mui('.middlePopover').popover('hide');
})
mui('.middlePopover').on('tap', '#okBtn1', function() {
	if (wrap.userInfo.客户名称 == '') {
		mui.alert('请输入客户姓名', ' ', function() {}, 'div');
	} else if (wrap.reg.test(wrap.userInfo.客户电话) == false) {
		mui.alert('请输入正确的手机号码', ' ', function() {}, 'div');
	} else if (wrap.userInfo.送餐地址 == '') {
		mui.alert('请输入送餐地址', ' ', function() {}, 'div');
	} else {
		wrap.updateInfo();

	}
})

//会员
mui('#btns').on('tap', '#vip', function() {
	localStorage.setItem('bill_no', wrap.billno);
	localStorage.setItem('referrer', 'waiMaiDetail');
	mui.openWindow({
		url: 'vip.html',
		id: 'vip',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//结账
mui('#btns').on('tap', '#jiezhang', function() {
	localStorage.setItem('bill_no', wrap.billno);
	var warning = mui('#warning')[0];
	mui.ajax('http://dci.10le.cn/Default/Checkout?billno=' + wrap.billno, {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000,
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		beforeSend: function() {
			warning.style.display = 'block';
		},
		success: function(data) {
			warning.style.display = 'none';
			if (data.code == "0001") {
				mui.alert(data.msg, ' ', function() {}, 'div');
			}
			if (data.code == "0000") {
				localStorage.setItem('orderForm', '外卖');
				mui.openWindow({
					url: 'jiezhang.html',
					id: 'jiezhang',
					createNew: true,
					styles: {
						cachemode: "noCache"
					}
				})
			}

		},
		error: function(xhr, type, errorThrown) {}
	});
})

//送餐
mui('#btns').on('tap', '#delivery', function() {
	mui('.middlePopover2').popover('show');
})
mui('.middlePopover2').on('tap', '#cancel2', function() {
	mui('.middlePopover2').popover('hide');
})
mui('.middlePopover2').on('tap', '#okBtn2', function() {
	var obj = mui('#yw')[0];
	var value = obj.options[obj.selectedIndex].value;
	wrap.keepDelivery(value);
	mui('.middlePopover2').popover('hide');
})
//添加临时送餐人
mui('.middlePopover2').on('tap', '#addSc', function() {
	mui('.middlePopover3').popover('show');
})
mui('.middlePopover3').on('tap', '#cancel3', function() {
	mui('.middlePopover3').popover('hide');
})
mui('.middlePopover3').on('tap', '#okBtn3', function() {
	var check = true;
	mui(".middlePopover3 input").each(function() {
		//若当前input为空，则alert提醒
		if (!this.value) {
			var label = this.previousElementSibling;
			mui.alert(label.innerText + "不允许为空", ' ', function() {}, 'div');
			check = false;
			return false;
		}
	});



	if (check) {
		if (wrap.reg.test(mui('#scPhone')[0].value) == false) {
			mui.alert('请输入正确的手机号码', ' ', function(e) {}, 'div');
			return false;
		}
		wrap.addScfn(mui('#scName')[0].value, mui('#scPhone')[0].value);
	}
})
