mui.init({
	swipeBack: true //启用右滑关闭功能
});
var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if(!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui('.scrollEl').scroll({
	indicators: true,
	deceleration: 0.0006,
	bounce: true
});
var screenH = window.screen.availHeight,
	items = mui('.mui-control-content');
var bigh = screenH - mui('.mui-bar-nav')[0].offsetHeight - mui('.mui-segmented-control')[0].offsetHeight;

mui.each(items, function(index, item) {
	this.style.height = bigh - 70 + 'px';
})

var wrap = new Vue({
	el: '#wrap',
	data: {
		year: new Date().getFullYear(),
		month: new Date().getMonth() + 1,
		date: new Date().getDate(),
		ywList: [],
		yudingList: [],
		notcomeList: [],
		floors: '',
		deskList: "",

		nowText: '',
		nowFloor: '', //筛选的楼层
		nowDesk: '', //筛选的桌台
		thatDay: '',
		flag: '1'
	},
	mounted: function() {
		this.thatDay = this.year + '-' + this.month + '-' + this.date;
		mui('#eatDate')[0].value = this.thatDay;
		this.ywFn();
		this.getFloors();
		this.getDesk();
		this.thatdayYuding(this.thatDay);
		this.getYudingList(this.thatDay);

	},
	methods: {
		//业务员
		ywFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/emp', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body, function(index, item) {
						that.ywList[index] = {
							value: item.emp_name,
							text: item.emp_name
						}
					})
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.ywFn();
					}
				}
			});
		},
		//获取当天所有的就餐
		getYudingList: function(thatDay) {
			var that = this;
			mui.ajax('http://dc.10le.cn/boss/api/book_list.aspx?intime=' + thatDay, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data != null && data.code == "0001") {
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.yudingList = data.Body.table;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getYudingList();
					}
				}
			});
		},
		//获取当天就餐的预订列表(未到店)
		thatdayYuding: function(thatDay) {
			var that = this;

			mui.ajax('http://dc.10le.cn/boss/api/book_list.aspx?tel=' + mui("#nowTel")[0].value + '&booktime=' + mui("#yudingDate")[0].value + '&intime=' + thatDay + '&deskid=' + that.nowDesk + '&floor_no=&cq_id=' + that.nowFloor + '&bookId=' + mui("#bookId")[0].value + '&emp_no=' + mui("#nowYw")[0].value + '&czyid=' + '&customer_info=' + mui('#nowName')[0].value + '&sfdd=1', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data != null && data.code == "0001") {
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.notcomeList = data.Body.table;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.thatdayYuding();
					}
				}
			});
		},
		getFloors: function() {
			var that = this;
			//获取楼层
			mui.ajax('http://dci.10le.cn/default/index', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.floors = data.Body.cq;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getFloors();
					}
				}
			});
		},
		getDesk: function() {
			var that = this;
			//获取桌子
			mui.ajax('http://dci.10le.cn/default/desk', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.deskList = data.Body.desklist;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.getDesk();
					}
				}
			});
		},
		getArr: function() {
			var arr = [],
				that = this;
			mui.each(that.floors, function(index1, item1) {
				arr[index1] = {
					value: item1.id,
					text: item1.cq_name
				};
				arr[index1].children = [];
				arr[index1].children.push({
					value: 'all',
					text: '全部'
				});
				mui.each(that.deskList, function(index2, item2) {
					if(item1.cq_no == item2.cq_no) {
						arr[index1].children.push({
							value: item2.deskid,
							text: item2.desk_name
						});
					}
				})
			})
			arr.unshift({
				text: '全部',
				value: 'all'
			});
			arr[0].children = [];
			return arr;
		},
		//确认到店
		okComeFn: function(id) {
			var that = this;
			mui.ajax('http://dc.10le.cn/home/books_api.aspx?cmd=030&itemId=' + id, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == "0000") {
						that.searchYuding();
						mui.toast('操作成功');
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.okComeFn();
					}
				}
			});
		},
		//搜索预定
		searchYuding: function() {

			//如果搜索的全部和已到店    导航 全部 加 mui-active  item2加mui-active
			//如果搜索的未到店    导航未到店 加 mui-active  item1加mui-active
			var that = this,
				daohang = mui('.mui-segmented-control')[0],
				list = mui('.list')[0],
				flag = mui('#yesNo')[0].value;
			var intime = mui('#eatDate')[0].value;
			mui.ajax('http://dc.10le.cn/boss/api/book_list.aspx?tel=' + mui("#nowTel")[0].value + '&booktime=' + mui("#yudingDate")[0].value + '&intime=' + intime + '&deskid=' + that.nowDesk + '&floor_no=&cq_id=' + that.nowFloor + '&bookId=' + mui("#bookId")[0].value + '&emp_no=' + mui("#nowYw")[0].value + '&czyid=&customer_info=' + mui('#nowName')[0].value + '&sfdd=' + flag, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == "0000") {
						mui('.middlePopover2').popover('hide');
						that.yudingList = data.Body.table;
						that.thatdayYuding(intime);
						//查询的是未到店
						if(that.flag == '1') {
							mui('#notCom')[0].classList.add('mui-active');
							mui('#all')[0].classList.remove('mui-active');
							mui('#item1')[0].classList.add('mui-active');
							mui('#item2')[0].classList.remove('mui-active');
							mui('.scrollEl1').scroll().scrollTo(0, 0);

						} else if(that.flag == '0' || that.flag == '') {
							mui('#notCom')[0].classList.remove('mui-active');
							mui('#all')[0].classList.add('mui-active');
							mui('#item1')[0].classList.remove('mui-active');
							mui('#item2')[0].classList.add('mui-active');
							mui('.scrollEl2').scroll().scrollTo(0, 0);

						}
					}
					if(data.code == '0001') {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {
					console.log('erro');
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.searchYuding();
					}
				}
			});
		},
		//取消
		cancelFn: function(id, reason) {
			var that = this;
			mui.ajax('http://dc.10le.cn/home/books_api.aspx?cmd=032&itemId=' + id + '&no_reason=' + reason, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if(data.code == "0000") {
						that.searchYuding();
						mui.toast('操作成功');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.cancelFn();
					}
				}
			});
		}
	}
})

//确认到店
mui('#wrap').on('tap', '.okCome', function(ev) {
	var oEvent = ev || event,
		id = this.getAttribute('itemid');

	//js阻止事件冒泡
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();

	mui.confirm('确定客人到店？', ' ', function(e) {
		if(e.index == 1) {
			//确认
			wrap.okComeFn(id);
		}
	}, 'div');

})
//取消
mui('#wrap').on('tap', '.cancel', function(ev) {
	var oEvent = ev || event,
		id = this.getAttribute('itemid');
	//js阻止事件冒泡
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();
	mui.prompt(' ', ' ', '请输入取消原因', function(e) {
		if(e.index == '1') { //确定
			wrap.cancelFn(id, e.value);
		}
	}, 'div')
})

mui('#wrap').on('tap', '#xinjian', function() {
	mui.openWindow({
		url: 'addYuding.html',
		id: 'addYuding',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
mui('#wrap').on('tap', '#search', function() {
	mui('.middlePopover2').popover('show');
})

mui('#wrap').on('tap', '#yudingDate', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		document.getElementById("yudingDate").value = rs.text;
		//销毁时间控件
		dtpicker.dispose();
	})
})

mui('#wrap').on('tap', '#eatDate', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		document.getElementById("eatDate").value = rs.text;
		//销毁时间控件
		dtpicker.dispose();
	})
})

mui('#wrap').on('tap', '#select', function() {
	var picker = new mui.PopPicker({
		layer: 2
	});
	picker.setData(wrap.getArr());
	picker.show(function(selectItems) {
		if(selectItems[1].text == undefined) {
			wrap.nowText = selectItems[0].text;
			wrap.nowFloor = '';
			wrap.nowDesk = '';
		} else {
			if(selectItems[1].value == 'all') {
				wrap.nowDesk = '';
			} else {
				wrap.nowDesk = selectItems[1].value;

			}
			wrap.nowText = selectItems[0].text + '-' + selectItems[1].text;
			wrap.nowFloor = selectItems[0].value;
		}
		wrap.searchYuding();
		picker.dispose();
	})
})

mui('#wrap').on('tap', '#searchBtn', function() {
	document.activeElement.blur();
	wrap.flag = mui('#yesNo')[0].value;
	wrap.searchYuding();

})

//是否到店
mui('#wrap').on('change', '#yesNo', function() {
	wrap.flag = this.value;
})
//点击了导航的全部
mui('#wrap').on('tap', '#all', function() {

	wrap.flag = '';
	wrap.searchYuding();

})
//点击了导航的未到店
mui('#wrap').on('tap', '#notCom', function() {

	wrap.flag = '1';
	wrap.searchYuding();

})

mui('#wrap').on('tap', '#nowYw', function() {
	var picker = new mui.PopPicker({
		layer: 1
	});
	picker.setData(wrap.ywList);
	picker.show(function(selectItems) {
		mui('#nowYw')[0].value = selectItems[0].text;
		picker.dispose();
	})
})