mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: listFn
		}
	}
});
var page = 1;

function listFn() {
	mui.ajax('http://dci.10le.cn/vipphone/book?cmd=01&page=' + page + '&sfdd=' + vm.sfdd + '&booktime=' + vm.booktime +'&eattime=' + vm.eattime + '&bookId=' + vm.bookId, {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
				'qrkey': localStorage["qrkey"] || ''
			},
			success: function(data) {
				if (data.code == '0001') {
					mui.toast(data.mag);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
					return;
				}

				if (page > data.Body.PageCount) {
					vm.list = vm.list;
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				} else {
					vm.list = vm.list.concat(data.Body.list);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				}
				page++;
			},
			complete: function(XMLHttpRequest, status) {
				if (status == 'timeout') {
					listFn();
				}
			}
		});
}
var vm = new Vue({
	el: '#wrap',
	data: {
		list: [],
		desklistObj: [],
		thatDay: new Date().toLocaleDateString().replace(/\//g, "-"),
		//查询
		sfdd: '1',
		booktime: '',
		eattime: '',
		bookId: ''
	},
	methods: {
		cancelFn: function(id, reason) {
			var that = this;
			mui.ajax('http://dci.10le.cn/vipphone/book?cmd=032&itemId=' + id + '&no_reason=' + reason, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == "0000") {
						page = 1;
						that.list = [];
						listFn();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui.toast('操作成功');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.cancelFn();
					}
				}
			});
		}
	},
	watch: {
		sfdd: function() {
			if (this.sfdd == '1') { //未到店
				mui('#notCom')[0].classList.add('mui-active');
				mui('#all')[0].classList.remove('mui-active');
			} else {
				mui('#notCom')[0].classList.remove('mui-active');
				mui('#all')[0].classList.add('mui-active');
			}
		}
	}
})

mui('#btns').on('tap', '#add', function() {
	mui.openWindow({
		url: "addYuyue.html",
		id: "addYuyue",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

mui('#btns').on('tap', '#search', function() {
	mui('.middlePopover').popover('show');
})

//未到店
mui('#wrap').on('tap', '#notCom', function() {
	vm.sfdd = '1';
	page = 1;
	vm.list = [];
	listFn();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
})
//全部
mui('#wrap').on('tap', '#all', function() {
	vm.sfdd = '';
	page = 1;
	vm.list = [];
	listFn();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
})

mui('#wrap').on('tap', '#yudingDate', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		mui('#yudingDate')[0].value = rs.text;
		vm.booktime = rs.text;
		//销毁时间控件
		dtpicker.dispose();
	})
})
mui('#wrap').on('tap', '#eatDate', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		mui('#eatDate')[0].value = rs.text;
		vm.eattime = rs.text;
		//销毁时间控件
		dtpicker.dispose();
	})
})

mui('#wrap').on('tap', '#searchBtn', function() {
	vm.sfdd = mui('#yesNo')[0].value;
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0);
	mui('.middlePopover').popover('hide');
	vm.eattime = mui('#eatDate')[0].value;
	vm.booktime = mui('#yudingDate')[0].value;
	page = 1;
	vm.list = [];
	listFn();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
})

//取消
mui('#wrap').on('tap', '.cancel', function(ev) {
	var oEvent = ev || event,
		id = this.getAttribute('itemid');

	//js阻止事件冒泡
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();

	mui.prompt(' ', ' ', '请输入取消原因', function(e) {

		if (e.index == '1') { //确定
			vm.cancelFn(id, e.value);
		}
	})
})

mui('body').on('tap', '.allList', function() {
	if (this.getAttribute('state') == '未到店') {
		mui.toast('未到店');
	} else if (this.getAttribute('state') == '已到店') {
		mui.toast('已到店');
	} else if (this.getAttribute('state') == '已取消') {
		mui.toast('已取消');
	}
})
